import { css as we, createStitches as ll, createTheme as cl } from "@stitches/core";
import { generateClassNames as _e, VIEWS as J, template as ml, merge as $t, en as ul } from "pasubot-auth-ui-shared";
import * as c from "react";
import s, { useState as R, useRef as dl, useEffect as G, createContext as fl, useContext as pl } from "react";
import { appendErrors as gl, useForm as We, FormProvider as On, Controller as hl, useFormContext as Ro } from "react-hook-form";
import { z as _ } from "zod";
import { validateFieldsNatively as El, toNestErrors as yl } from "@hookform/resolvers";
import { toast as q, Toaster as Dn } from "sonner";
import * as Ca from "@radix-ui/react-checkbox";
import { Check as Ln, ChevronRight as wl, Circle as vl, X as To, Loader2 as bl, ChevronDown as Po, ChevronUp as xl, Search as _l } from "lucide-react";
import { clsx as Nl } from "clsx";
import { twMerge as Sl } from "tailwind-merge";
import { CircleIcon as Ce, ArrowDownIcon as Re, ArrowUpIcon as Te, CaretSortIcon as Fn, DotsHorizontalIcon as kn, DoubleArrowLeftIcon as qn, ChevronLeftIcon as Mn, ChevronRightIcon as zn, DoubleArrowRightIcon as jn, MixerHorizontalIcon as Bn, Cross2Icon as Hn, PlusIcon as Un, PlusCircledIcon as Cl, CheckIcon as Rl } from "@radix-ui/react-icons";
import { Slot as Ao } from "@radix-ui/react-slot";
import { cva as Et } from "class-variance-authority";
import * as $ from "@radix-ui/react-dropdown-menu";
import { DropdownMenuTrigger as $n } from "@radix-ui/react-dropdown-menu";
import * as oe from "@radix-ui/react-dialog";
import * as Io from "@radix-ui/react-label";
import * as Ge from "@radix-ui/react-tooltip";
import Tl from "prop-types";
import { FontAwesomeIcon as Ra } from "@fortawesome/react-fontawesome";
import { faEye as Pl, faEyeSlash as Al } from "@fortawesome/free-solid-svg-icons";
import Oo from "react-select";
import { useReactTable as Wn, getCoreRowModel as Gn, getFilteredRowModel as Kn, getPaginationRowModel as Jn, getSortedRowModel as Zn, getFacetedRowModel as Yn, getFacetedUniqueValues as Xn, flexRender as Pe } from "@tanstack/react-table";
import * as U from "@radix-ui/react-select";
import * as Y from "@radix-ui/react-alert-dialog";
import * as Do from "@radix-ui/react-separator";
import { Command as V } from "cmdk";
import * as He from "@radix-ui/react-popover";
import * as ee from "@radix-ui/react-toast";
const Il = we({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseBodySize",
  marginBottom: "$anchorBottomMargin",
  color: "$anchorTextColor",
  display: "block",
  textAlign: "center",
  textDecoration: "underline",
  "&:hover": {
    color: "$anchorTextHoverColor"
  }
}), ve = ({ children: e, appearance: t, ...r }) => {
  var n;
  const a = _e(
    "anchor",
    Il(),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "a",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.anchor,
      className: a.join(" ")
    },
    e
  );
}, Ol = we({
  fontFamily: "$buttonFontFamily",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  gap: "8px",
  borderRadius: "$borderRadiusButton",
  fontSize: "$baseButtonSize",
  padding: "$buttonPadding",
  cursor: "pointer",
  borderWidth: "$buttonBorderWidth",
  borderStyle: "solid",
  width: "100%",
  transitionProperty: "background-color",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  "&:disabled": {
    opacity: 0.7,
    cursor: "unset"
  },
  variants: {
    color: {
      default: {
        backgroundColor: "$defaultButtonBackground",
        color: "$defaultButtonText",
        borderColor: "$defaultButtonBorder",
        "&:hover:not(:disabled)": {
          backgroundColor: "$defaultButtonBackgroundHover"
        }
      },
      primary: {
        backgroundColor: "$brand",
        color: "$brandButtonText",
        borderColor: "$brandAccent",
        "&:hover:not(:disabled)": {
          backgroundColor: "$brandAccent"
        }
      }
    }
  }
}), Ie = ({
  children: e,
  color: t = "default",
  appearance: r,
  icon: a,
  loading: n = !1,
  ...o
}) => {
  var l;
  const i = _e(
    "button",
    Ol({ color: t }),
    r
  );
  return /* @__PURE__ */ s.createElement(
    "button",
    {
      ...o,
      style: (l = r == null ? void 0 : r.style) == null ? void 0 : l.button,
      className: i.join(" "),
      disabled: n
    },
    a,
    e
  );
}, Dl = we({
  display: "flex",
  gap: "4px",
  variants: {
    direction: {
      horizontal: {
        display: "grid",
        gridTemplateColumns: "repeat(auto-fit, minmax(48px, 1fr))"
      },
      vertical: {
        flexDirection: "column",
        margin: "8px 0"
      }
    },
    gap: {
      small: {
        gap: "4px"
      },
      medium: {
        gap: "8px"
      },
      large: {
        gap: "16px"
      }
    }
  }
}), le = ({
  children: e,
  appearance: t,
  ...r
}) => {
  var n;
  const a = _e(
    "container",
    Dl({
      direction: r.direction,
      gap: r.gap
    }),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "div",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.container,
      className: a.join(" ")
    },
    e
  );
}, Ll = we({
  background: "$dividerBackground",
  display: "block",
  margin: "16px 0",
  height: "1px",
  width: "100%"
}), Fl = ({
  children: e,
  appearance: t,
  ...r
}) => {
  var n;
  const a = _e(
    "divider",
    Ll(),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "div",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.divider,
      className: a.join(" ")
    }
  );
}, kl = we({
  fontFamily: "$inputFontFamily",
  background: "$inputBackground",
  borderRadius: "$inputBorderRadius",
  padding: "$inputPadding",
  cursor: "text",
  borderWidth: "$inputBorderWidth",
  borderColor: "$inputBorder",
  borderStyle: "solid",
  fontSize: "$baseInputSize",
  width: "100%",
  color: "$inputText",
  boxSizing: "border-box",
  "&:hover": {
    borderColor: "$inputBorderHover",
    outline: "none"
  },
  "&:focus": {
    borderColor: "$inputBorderFocus",
    outline: "none"
  },
  "&::placeholder": {
    color: "$inputPlaceholder",
    letterSpacing: "initial"
  },
  transitionProperty: "background-color, border",
  transitionTimingFunction: "cubic-bezier(0.4, 0, 0.2, 1)",
  transitionDuration: "100ms",
  variants: {
    type: {
      default: {
        letterSpacing: "0px"
      },
      password: {
        letterSpacing: "0px"
      }
    }
  }
}), he = ({ children: e, appearance: t, ...r }) => {
  var n;
  const a = _e(
    "input",
    kl({
      type: r.type === "password" ? "password" : "default"
    }),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "input",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.input,
      className: a.join(" ")
    },
    e
  );
}, ql = we({
  fontFamily: "$labelFontFamily",
  fontSize: "$baseLabelSize",
  marginBottom: "$labelBottomMargin",
  color: "$inputLabelText",
  display: "block"
}), Ee = ({ children: e, appearance: t, ...r }) => {
  var n;
  const a = _e(
    "label",
    ql(),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "label",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.label,
      className: a.join(" ")
    },
    e
  );
}, Ml = we({
  fontFamily: "$bodyFontFamily",
  fontSize: "$baseInputSize",
  marginBottom: "$labelBottomMargin",
  display: "block",
  textAlign: "center",
  borderRadius: "0.375rem",
  padding: "1.5rem 1rem",
  lineHeight: "1rem",
  color: "$messageText",
  backgroundColor: "$messageBackground",
  border: "1px solid $messageBorder",
  variants: {
    color: {
      danger: {
        color: "$messageTextDanger",
        backgroundColor: "$messageBackgroundDanger",
        border: "1px solid $messageBorderDanger"
      }
    }
  }
}), ce = ({
  children: e,
  appearance: t,
  ...r
}) => {
  var n;
  const a = _e(
    "message",
    Ml({ color: r.color }),
    t
  );
  return /* @__PURE__ */ s.createElement(
    "span",
    {
      ...r,
      style: (n = t == null ? void 0 : t.style) == null ? void 0 : n.message,
      className: a.join(" ")
    },
    e
  );
};
function Lo({
  setAuthView: e = () => {
  },
  supabaseClient: t,
  redirectTo: r,
  i18n: a,
  appearance: n,
  showLinks: o = !1
}) {
  var x;
  const [i, l] = R(""), [d, m] = R(""), [u, p] = R(""), [g, f] = R(!1), h = async (b) => {
    var E, w;
    if (b.preventDefault(), m(""), p(""), f(!0), i.length === 0) {
      m((E = a == null ? void 0 : a.magic_link) == null ? void 0 : E.empty_email_address), f(!1);
      return;
    }
    const { error: S } = await t.auth.signInWithOtp({
      email: i,
      options: { emailRedirectTo: r }
    });
    S ? m(S.message) : p((w = a == null ? void 0 : a.magic_link) == null ? void 0 : w.confirmation_text), f(!1);
  }, y = a == null ? void 0 : a.magic_link;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-magic-link", onSubmit: h }, /* @__PURE__ */ s.createElement(le, { gap: "large", direction: "vertical", appearance: n }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "email", appearance: n }, y == null ? void 0 : y.email_input_label), /* @__PURE__ */ s.createElement(
    he,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: y == null ? void 0 : y.email_input_placeholder,
      onChange: (b) => {
        m && m(""), l(b.target.value);
      },
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement(
    Ie,
    {
      color: "primary",
      type: "submit",
      loading: g,
      appearance: n
    },
    g ? y == null ? void 0 : y.loading_button_label : y == null ? void 0 : y.button_label
  ), o && /* @__PURE__ */ s.createElement(
    ve,
    {
      href: "#auth-sign-in",
      onClick: (b) => {
        b.preventDefault(), e(J.SIGN_IN);
      },
      appearance: n
    },
    (x = a == null ? void 0 : a.sign_in) == null ? void 0 : x.link_text
  ), u && /* @__PURE__ */ s.createElement(ce, { appearance: n }, u), d && /* @__PURE__ */ s.createElement(ce, { color: "danger", appearance: n }, d)));
}
const K = we({
  width: "21px",
  height: "21px"
}), zl = ({ provider: e }) => e == "google" ? jl() : e == "facebook" ? Bl() : e == "twitter" ? Hl() : e == "apple" ? Ul() : e == "github" ? $l() : e == "gitlab" ? Wl() : e == "bitbucket" ? Gl() : e == "discord" ? Kl() : e == "azure" ? Jl() : e == "keycloak" ? Zl() : e == "linkedin" || e == "linkedin_oidc" ? Ta() : e == "notion" ? Yl() : e == "slack" ? Xl() : e == "spotify" ? Vl() : e == "twitch" ? Ql() : e == "workos" ? ec() : e == "kakao" ? tc() : null, jl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFC107",
      d: "M43.611,20.083H42V20H24v8h11.303c-1.649,4.657-6.08,8-11.303,8c-6.627,0-12-5.373-12-12c0-6.627,5.373-12,12-12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C12.955,4,4,12.955,4,24c0,11.045,8.955,20,20,20c11.045,0,20-8.955,20-20C44,22.659,43.862,21.35,43.611,20.083z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FF3D00",
      d: "M6.306,14.691l6.571,4.819C14.655,15.108,18.961,12,24,12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C16.318,4,9.656,8.337,6.306,14.691z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#4CAF50",
      d: "M24,44c5.166,0,9.86-1.977,13.409-5.192l-6.19-5.238C29.211,35.091,26.715,36,24,36c-5.202,0-9.619-3.317-11.283-7.946l-6.522,5.025C9.505,39.556,16.227,44,24,44z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#1976D2",
      d: "M43.611,20.083H42V20H24v8h11.303c-0.792,2.237-2.231,4.166-4.087,5.571c0.001-0.001,0.002-0.001,0.003-0.002l6.19,5.238C36.971,39.205,44,34,44,24C44,22.659,43.862,21.35,43.611,20.083z"
    }
  )
), Bl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement("path", { fill: "#039be5", d: "M24 5A19 19 0 1 0 24 43A19 19 0 1 0 24 5Z" }),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#fff",
      d: "M26.572,29.036h4.917l0.772-4.995h-5.69v-2.73c0-2.075,0.678-3.915,2.619-3.915h3.119v-4.359c-0.548-0.074-1.707-0.236-3.897-0.236c-4.573,0-7.254,2.415-7.254,7.917v3.323h-4.701v4.995h4.701v13.729C22.089,42.905,23.032,43,24,43c0.875,0,1.729-0.08,2.572-0.194V29.036z"
    }
  )
), Hl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "black",
      d: "M28.4714 20.3247L45.9682 0H41.822L26.6295 17.6477L14.4953 0H0.5L18.8493 26.6864L0.5 48H4.64642L20.6901 29.3635L33.5047 48H47.5L28.4704 20.3247H28.4714ZM22.7923 26.9215L20.9331 24.2642L6.14043 3.11923H12.5091L24.447 20.1839L26.3061 22.8412L41.824 45.0226H35.4553L22.7923 26.9225V26.9215Z"
    }
  )
), Ul = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ s.createElement("path", { d: "M 15.904297 1.078125 C 15.843359 1.06875 15.774219 1.0746094 15.699219 1.0996094 C 14.699219 1.2996094 13.600391 1.8996094 12.900391 2.5996094 C 12.300391 3.1996094 11.800781 4.1996094 11.800781 5.0996094 C 11.800781 5.2996094 11.999219 5.5 12.199219 5.5 C 13.299219 5.4 14.399609 4.7996094 15.099609 4.0996094 C 15.699609 3.2996094 16.199219 2.4 16.199219 1.5 C 16.199219 1.275 16.087109 1.10625 15.904297 1.078125 z M 16.199219 5.4003906 C 14.399219 5.4003906 13.600391 6.5 12.400391 6.5 C 11.100391 6.5 9.9003906 5.5 8.4003906 5.5 C 6.3003906 5.5 3.0996094 7.4996094 3.0996094 12.099609 C 2.9996094 16.299609 6.8 21 9 21 C 10.3 21 10.600391 20.199219 12.400391 20.199219 C 14.200391 20.199219 14.600391 21 15.900391 21 C 17.400391 21 18.500391 19.399609 19.400391 18.099609 C 19.800391 17.399609 20.100391 17.000391 20.400391 16.400391 C 20.600391 16.000391 20.4 15.600391 20 15.400391 C 17.4 14.100391 16.900781 9.9003906 19.800781 8.4003906 C 20.300781 8.1003906 20.4 7.4992188 20 7.1992188 C 18.9 6.1992187 17.299219 5.4003906 16.199219 5.4003906 z" })
), $l = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    fill: "gray",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 30 30",
    width: "21px",
    height: "21px"
  },
  " ",
  /* @__PURE__ */ s.createElement("path", { d: "M15,3C8.373,3,3,8.373,3,15c0,5.623,3.872,10.328,9.092,11.63C12.036,26.468,12,26.28,12,26.047v-2.051 c-0.487,0-1.303,0-1.508,0c-0.821,0-1.551-0.353-1.905-1.009c-0.393-0.729-0.461-1.844-1.435-2.526 c-0.289-0.227-0.069-0.486,0.264-0.451c0.615,0.174,1.125,0.596,1.605,1.222c0.478,0.627,0.703,0.769,1.596,0.769 c0.433,0,1.081-0.025,1.691-0.121c0.328-0.833,0.895-1.6,1.588-1.962c-3.996-0.411-5.903-2.399-5.903-5.098 c0-1.162,0.495-2.286,1.336-3.233C9.053,10.647,8.706,8.73,9.435,8c1.798,0,2.885,1.166,3.146,1.481C13.477,9.174,14.461,9,15.495,9 c1.036,0,2.024,0.174,2.922,0.483C18.675,9.17,19.763,8,21.565,8c0.732,0.731,0.381,2.656,0.102,3.594 c0.836,0.945,1.328,2.066,1.328,3.226c0,2.697-1.904,4.684-5.894,5.097C18.199,20.49,19,22.1,19,23.313v2.734 c0,0.104-0.023,0.179-0.035,0.268C23.641,24.676,27,20.236,27,15C27,8.373,21.627,3,15,3z" })
), Wl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement("path", { fill: "#e53935", d: "M24 43L16 20 32 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ff7043", d: "M24 43L42 20 32 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#e53935", d: "M37 5L42 20 32 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ffa726", d: "M24 43L42 20 45 28z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ff7043", d: "M24 43L6 20 16 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#e53935", d: "M11 5L6 20 16 20z" }),
  /* @__PURE__ */ s.createElement("path", { fill: "#ffa726", d: "M24 43L6 20 3 28z" })
), Gl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "512",
    height: "512",
    viewBox: "0 0 62.42 62.42"
  },
  /* @__PURE__ */ s.createElement("defs", null, /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "New_Gradient_Swatch_1",
      x1: "64.01",
      y1: "30.27",
      x2: "32.99",
      y2: "54.48",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0.18", stopColor: "#0052cc" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopColor: "#2684ff" })
  )),
  /* @__PURE__ */ s.createElement("title", null, "Bitbucket-blue"),
  /* @__PURE__ */ s.createElement("g", { id: "Layer_2", "data-name": "Layer 2" }, /* @__PURE__ */ s.createElement("g", { id: "Blue", transform: "translate(0 -3.13)" }, /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M2,6.26A2,2,0,0,0,0,8.58L8.49,60.12a2.72,2.72,0,0,0,2.66,2.27H51.88a2,2,0,0,0,2-1.68L62.37,8.59a2,2,0,0,0-2-2.32ZM37.75,43.51h-13L21.23,25.12H40.9Z",
      fill: "#2684ff"
    }
  ), /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M59.67,25.12H40.9L37.75,43.51h-13L9.4,61.73a2.71,2.71,0,0,0,1.75.66H51.89a2,2,0,0,0,2-1.68Z",
      fill: "url(#New_Gradient_Swatch_1)"
    }
  )))
), Kl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#536dfe",
      d: "M39.248,10.177c-2.804-1.287-5.812-2.235-8.956-2.778c-0.057-0.01-0.114,0.016-0.144,0.068	c-0.387,0.688-0.815,1.585-1.115,2.291c-3.382-0.506-6.747-0.506-10.059,0c-0.3-0.721-0.744-1.603-1.133-2.291	c-0.03-0.051-0.087-0.077-0.144-0.068c-3.143,0.541-6.15,1.489-8.956,2.778c-0.024,0.01-0.045,0.028-0.059,0.051	c-5.704,8.522-7.267,16.835-6.5,25.044c0.003,0.04,0.026,0.079,0.057,0.103c3.763,2.764,7.409,4.442,10.987,5.554	c0.057,0.017,0.118-0.003,0.154-0.051c0.846-1.156,1.601-2.374,2.248-3.656c0.038-0.075,0.002-0.164-0.076-0.194	c-1.197-0.454-2.336-1.007-3.432-1.636c-0.087-0.051-0.094-0.175-0.014-0.234c0.231-0.173,0.461-0.353,0.682-0.534	c0.04-0.033,0.095-0.04,0.142-0.019c7.201,3.288,14.997,3.288,22.113,0c0.047-0.023,0.102-0.016,0.144,0.017	c0.22,0.182,0.451,0.363,0.683,0.536c0.08,0.059,0.075,0.183-0.012,0.234c-1.096,0.641-2.236,1.182-3.434,1.634	c-0.078,0.03-0.113,0.12-0.075,0.196c0.661,1.28,1.415,2.498,2.246,3.654c0.035,0.049,0.097,0.07,0.154,0.052	c3.595-1.112,7.241-2.79,11.004-5.554c0.033-0.024,0.054-0.061,0.057-0.101c0.917-9.491-1.537-17.735-6.505-25.044	C39.293,10.205,39.272,10.187,39.248,10.177z M16.703,30.273c-2.168,0-3.954-1.99-3.954-4.435s1.752-4.435,3.954-4.435	c2.22,0,3.989,2.008,3.954,4.435C20.658,28.282,18.906,30.273,16.703,30.273z M31.324,30.273c-2.168,0-3.954-1.99-3.954-4.435	s1.752-4.435,3.954-4.435c2.22,0,3.989,2.008,3.954,4.435C35.278,28.282,33.544,30.273,31.324,30.273z"
    }
  )
), Jl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6a",
      x1: "-1254.397",
      x2: "-1261.911",
      y1: "877.268",
      y2: "899.466",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0", stopColor: "#114a8b" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopColor: "#0669bc" })
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6a)",
      d: "M17.634,6h11.305L17.203,40.773c-0.247,0.733-0.934,1.226-1.708,1.226H6.697 c-0.994,0-1.8-0.806-1.8-1.8c0-0.196,0.032-0.39,0.094-0.576L15.926,7.227C16.173,6.494,16.86,6,17.634,6L17.634,6z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#0078d4",
      d: "M34.062,29.324H16.135c-0.458-0.001-0.83,0.371-0.831,0.829c0,0.231,0.095,0.451,0.264,0.608 l11.52,10.752C27.423,41.826,27.865,42,28.324,42h10.151L34.062,29.324z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6b",
      x1: "-1252.05",
      x2: "-1253.788",
      y1: "887.612",
      y2: "888.2",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0", stopOpacity: ".3" }),
    /* @__PURE__ */ s.createElement("stop", { offset: ".071", stopOpacity: ".2" }),
    /* @__PURE__ */ s.createElement("stop", { offset: ".321", stopOpacity: ".1" }),
    /* @__PURE__ */ s.createElement("stop", { offset: ".623", stopOpacity: ".05" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopOpacity: "0" })
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6b)",
      d: "M17.634,6c-0.783-0.003-1.476,0.504-1.712,1.25L5.005,39.595 c-0.335,0.934,0.151,1.964,1.085,2.299C6.286,41.964,6.493,42,6.702,42h9.026c0.684-0.122,1.25-0.603,1.481-1.259l2.177-6.416 l7.776,7.253c0.326,0.27,0.735,0.419,1.158,0.422h10.114l-4.436-12.676l-12.931,0.003L28.98,6H17.634z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "linearGradient",
    {
      id: "k8yl7~hDat~FaoWq8WjN6c",
      x1: "-1252.952",
      x2: "-1244.704",
      y1: "876.6",
      y2: "898.575",
      gradientTransform: "translate(1981.75 -1362.063) scale(1.5625)",
      gradientUnits: "userSpaceOnUse"
    },
    /* @__PURE__ */ s.createElement("stop", { offset: "0", stopColor: "#3ccbf4" }),
    /* @__PURE__ */ s.createElement("stop", { offset: "1", stopColor: "#2892df" })
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "url(#k8yl7~hDat~FaoWq8WjN6c)",
      d: "M32.074,7.225C31.827,6.493,31.141,6,30.368,6h-12.6c0.772,0,1.459,0.493,1.705,1.224 l10.935,32.399c0.318,0.942-0.188,1.963-1.13,2.281C29.093,41.968,28.899,42,28.703,42h12.6c0.994,0,1.8-0.806,1.8-1.801 c0-0.196-0.032-0.39-0.095-0.575L32.074,7.225z"
    }
  )
), Zl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M472.136 163.959H408.584C407.401 163.959 406.218 163.327 405.666 162.3L354.651 73.6591C354.02 72.632 352.916 72 351.654 72H143.492C142.309 72 141.126 72.632 140.574 73.6591L87.5084 165.618L36.414 254.259C35.862 255.286 35.862 256.55 36.414 257.656L87.5084 346.297L140.495 438.335C141.047 439.362 142.23 440.073 143.413 439.994H351.654C352.837 439.994 354.02 439.362 354.651 438.335L405.745 349.694C406.297 348.667 407.48 347.956 408.663 348.035H472.215C474.344 348.035 476 346.297 476 344.243V167.83C475.921 165.697 474.186 163.959 472.136 163.959ZM228.728 349.694L212.721 377.345C212.485 377.74 212.091 378.135 211.696 378.372C211.223 378.609 210.75 378.767 210.198 378.767H178.422C177.318 378.767 176.293 378.214 175.82 377.187L128.431 294.787L123.779 286.65L106.748 257.498C106.511 257.103 106.353 256.629 106.432 256.076C106.432 255.602 106.59 255.049 106.827 254.654L123.937 224.949L175.899 134.886C176.451 133.938 177.476 133.306 178.501 133.306H210.198C210.75 133.306 211.302 133.464 211.854 133.701C212.248 133.938 212.643 134.254 212.879 134.728L228.886 162.537C229.359 163.485 229.28 164.67 228.728 165.539L177.397 254.654C177.16 255.049 177.081 255.523 177.081 255.918C177.081 256.392 177.239 256.787 177.397 257.182L228.728 346.218C229.438 347.403 229.359 348.667 228.728 349.694V349.694ZM388.083 257.498L371.051 286.65L366.399 294.787L319.011 377.187C318.459 378.135 317.512 378.767 316.409 378.767H284.632C284.08 378.767 283.607 378.609 283.134 378.372C282.74 378.135 282.346 377.819 282.109 377.345L266.103 349.694C265.393 348.667 265.393 347.403 266.024 346.376L317.355 257.34C317.591 256.945 317.67 256.471 317.67 256.076C317.67 255.602 317.513 255.207 317.355 254.812L266.024 165.697C265.472 164.749 265.393 163.643 265.866 162.695L281.873 134.886C282.109 134.491 282.503 134.096 282.898 133.859C283.371 133.543 283.923 133.464 284.553 133.464H316.409C317.512 133.464 318.538 134.017 319.011 135.044L370.972 225.107L388.083 254.812C388.319 255.286 388.477 255.76 388.477 256.234C388.477 256.55 388.319 257.024 388.083 257.498V257.498Z",
      fill: "#008AAA"
    }
  )
), Ta = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#0288D1",
      d: "M42,37c0,2.762-2.238,5-5,5H11c-2.761,0-5-2.238-5-5V11c0-2.762,2.239-5,5-5h26c2.762,0,5,2.238,5,5V37z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFF",
      d: "M12 19H17V36H12zM14.485 17h-.028C12.965 17 12 15.888 12 14.499 12 13.08 12.995 12 14.514 12c1.521 0 2.458 1.08 2.486 2.499C17 15.887 16.035 17 14.485 17zM36 36h-5v-9.099c0-2.198-1.225-3.698-3.192-3.698-1.501 0-2.313 1.012-2.707 1.99C24.957 25.543 25 26.511 25 27v9h-5V19h5v2.616C25.721 20.5 26.85 19 29.738 19c3.578 0 6.261 2.25 6.261 7.274L36 36 36 36z"
    }
  )
), Yl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px",
    fillRule: "evenodd",
    clipRule: "evenodd"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#fff",
      fillRule: "evenodd",
      d: "M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619 l23.971-1.387c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463 C13.171,14.718,12.862,15.181,12.862,16.182L12.862,16.182z",
      clipRule: "evenodd"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#424242",
      fillRule: "evenodd",
      d: "M11.553,11.099c1.232,1.001,1.694,0.925,4.008,0.77 l21.812-1.31c0.463,0,0.078-0.461-0.076-0.538l-3.622-2.619c-0.694-0.539-1.619-1.156-3.391-1.002l-21.12,1.54 c-0.77,0.076-0.924,0.461-0.617,0.77L11.553,11.099z M12.862,16.182v22.95c0,1.233,0.616,1.695,2.004,1.619l23.971-1.387 c1.388-0.076,1.543-0.925,1.543-1.927V14.641c0-1-0.385-1.54-1.234-1.463l-25.05,1.463C13.171,14.718,12.862,15.181,12.862,16.182 L12.862,16.182z M36.526,17.413c0.154,0.694,0,1.387-0.695,1.465l-1.155,0.23v16.943c-1.003,0.539-1.928,0.847-2.698,0.847 c-1.234,0-1.543-0.385-2.467-1.54l-7.555-11.86v11.475l2.391,0.539c0,0,0,1.386-1.929,1.386l-5.317,0.308 c-0.154-0.308,0-1.078,0.539-1.232l1.388-0.385V20.418l-1.927-0.154c-0.155-0.694,0.23-1.694,1.31-1.772l5.704-0.385l7.862,12.015 V19.493l-2.005-0.23c-0.154-0.848,0.462-1.464,1.233-1.54L36.526,17.413z M7.389,5.862l21.968-1.618 c2.698-0.231,3.392-0.076,5.087,1.155l7.013,4.929C42.614,11.176,43,11.407,43,12.33v27.032c0,1.694-0.617,2.696-2.775,2.849 l-25.512,1.541c-1.62,0.077-2.391-0.154-3.239-1.232l-5.164-6.7C5.385,34.587,5,33.664,5,32.585V8.556 C5,7.171,5.617,6.015,7.389,5.862z",
      clipRule: "evenodd"
    }
  )
), Xl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 48 48",
    width: "21px",
    height: "21px"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M33,8c0-2.209-1.791-4-4-4s-4,1.791-4,4c0,1.254,0,9.741,0,11c0,2.209,1.791,4,4,4s4-1.791,4-4	C33,17.741,33,9.254,33,8z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#33d375",
      d: "M43,19c0,2.209-1.791,4-4,4c-1.195,0-4,0-4,0s0-2.986,0-4c0-2.209,1.791-4,4-4S43,16.791,43,19z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M8,14c-2.209,0-4,1.791-4,4s1.791,4,4,4c1.254,0,9.741,0,11,0c2.209,0,4-1.791,4-4s-1.791-4-4-4	C17.741,14,9.254,14,8,14z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#40c4ff",
      d: "M19,4c2.209,0,4,1.791,4,4c0,1.195,0,4,0,4s-2.986,0-4,0c-2.209,0-4-1.791-4-4S16.791,4,19,4z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M14,39.006C14,41.212,15.791,43,18,43s4-1.788,4-3.994c0-1.252,0-9.727,0-10.984	c0-2.206-1.791-3.994-4-3.994s-4,1.788-4,3.994C14,29.279,14,37.754,14,39.006z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#e91e63",
      d: "M4,28.022c0-2.206,1.791-3.994,4-3.994c1.195,0,4,0,4,0s0,2.981,0,3.994c0,2.206-1.791,3.994-4,3.994	S4,30.228,4,28.022z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M39,33c2.209,0,4-1.791,4-4s-1.791-4-4-4c-1.254,0-9.741,0-11,0c-2.209,0-4,1.791-4,4s1.791,4,4,4	C29.258,33,37.746,33,39,33z"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#ffc107",
      d: "M28,43c-2.209,0-4-1.791-4-4c0-1.195,0-4,0-4s2.986,0,4,0c2.209,0,4,1.791,4,4S30.209,43,28,43z"
    }
  )
), Vl = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M255.498 31.0034C131.513 31.0034 31 131.515 31 255.502C31 379.492 131.513 480 255.498 480C379.497 480 480 379.495 480 255.502C480 131.522 379.497 31.0135 255.495 31.0135L255.498 31V31.0034ZM358.453 354.798C354.432 361.391 345.801 363.486 339.204 359.435C286.496 327.237 220.139 319.947 141.993 337.801C134.463 339.516 126.957 334.798 125.24 327.264C123.516 319.731 128.217 312.225 135.767 310.511C221.284 290.972 294.639 299.384 353.816 335.549C360.413 339.596 362.504 348.2 358.453 354.798ZM385.932 293.67C380.864 301.903 370.088 304.503 361.858 299.438C301.512 262.345 209.528 251.602 138.151 273.272C128.893 276.067 119.118 270.851 116.309 261.61C113.521 252.353 118.74 242.597 127.981 239.782C209.512 215.044 310.87 227.026 380.17 269.612C388.4 274.68 391 285.456 385.935 293.676V293.673L385.932 293.67ZM388.293 230.016C315.935 187.039 196.56 183.089 127.479 204.055C116.387 207.42 104.654 201.159 101.293 190.063C97.9326 178.964 104.189 167.241 115.289 163.87C194.59 139.796 326.418 144.446 409.723 193.902C419.722 199.826 422.995 212.71 417.068 222.675C411.168 232.653 398.247 235.943 388.303 230.016H388.293V230.016Z",
      fill: "#1ED760"
    }
  )
), Ql = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement("path", { d: "M416 240L352 304H288L232 360V304H160V64H416V240Z", fill: "white" }),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M144 32L64 112V400H160V480L240 400H304L448 256V32H144ZM416 240L352 304H288L232 360V304H160V64H416V240Z",
      fill: "#9146FF"
    }
  ),
  /* @__PURE__ */ s.createElement("path", { d: "M368 120H336V216H368V120Z", fill: "#9146FF" }),
  /* @__PURE__ */ s.createElement("path", { d: "M280 120H248V216H280V120Z", fill: "#9146FF" })
), ec = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    width: "512",
    height: "512",
    viewBox: "0 0 512 512",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M33 256.043C33 264.556 35.3159 273.069 39.4845 280.202L117.993 415.493C126.098 429.298 138.373 440.572 153.657 445.634C183.764 455.528 214.797 442.873 229.618 417.333L248.609 384.661L173.806 256.043L252.777 119.831L271.768 87.1591C277.557 77.2654 284.968 69.4424 294 63H285.894H172.185C150.878 63 131.193 74.2742 120.54 92.6812L39.7161 231.884C35.3159 239.016 33 247.53 33 256.043Z",
      fill: "#6363F1"
    }
  ),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      d: "M480 256.058C480 247.539 477.684 239.021 473.516 231.883L393.849 94.6596C379.028 69.3331 347.995 56.4396 317.888 66.34C302.603 71.4053 290.329 82.6871 282.224 96.5015L264.391 127.354L339.194 256.058L260.223 392.131L241.232 424.825C235.443 434.495 228.032 442.553 219 449H227.106H340.815C362.122 449 381.807 437.718 392.46 419.299L473.284 280.003C477.684 272.866 480 264.577 480 256.058Z",
      fill: "#6363F1"
    }
  )
), tc = () => /* @__PURE__ */ s.createElement(
  "svg",
  {
    className: K(),
    xmlns: "http://www.w3.org/2000/svg",
    width: "2500",
    height: "2500",
    viewBox: "0 0 256 256"
  },
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M256 236c0 11.046-8.954 20-20 20H20c-11.046 0-20-8.954-20-20V20C0 8.954 8.954 0 20 0h216c11.046 0 20 8.954 20 20v216z"
    }
  ),
  /* @__PURE__ */ s.createElement("path", { d: "M128 36C70.562 36 24 72.713 24 118c0 29.279 19.466 54.97 48.748 69.477-1.593 5.494-10.237 35.344-10.581 37.689 0 0-.207 1.762.934 2.434s2.483.15 2.483.15c3.272-.457 37.943-24.811 43.944-29.04 5.995.849 12.168 1.29 18.472 1.29 57.438 0 104-36.712 104-82 0-45.287-46.562-82-104-82z" }),
  /* @__PURE__ */ s.createElement(
    "path",
    {
      fill: "#FFE812",
      d: "M70.5 146.625c-3.309 0-6-2.57-6-5.73V105.25h-9.362c-3.247 0-5.888-2.636-5.888-5.875s2.642-5.875 5.888-5.875h30.724c3.247 0 5.888 2.636 5.888 5.875s-2.642 5.875-5.888 5.875H76.5v35.645c0 3.16-2.691 5.73-6 5.73zM123.112 146.547c-2.502 0-4.416-1.016-4.993-2.65l-2.971-7.778-18.296-.001-2.973 7.783c-.575 1.631-2.488 2.646-4.99 2.646a9.155 9.155 0 0 1-3.814-.828c-1.654-.763-3.244-2.861-1.422-8.52l14.352-37.776c1.011-2.873 4.082-5.833 7.99-5.922 3.919.088 6.99 3.049 8.003 5.928l14.346 37.759c1.826 5.672.236 7.771-1.418 8.532a9.176 9.176 0 0 1-3.814.827c-.001 0 0 0 0 0zm-11.119-21.056L106 108.466l-5.993 17.025h11.986zM138 145.75c-3.171 0-5.75-2.468-5.75-5.5V99.5c0-3.309 2.748-6 6.125-6s6.125 2.691 6.125 6v35.25h12.75c3.171 0 5.75 2.468 5.75 5.5s-2.579 5.5-5.75 5.5H138zM171.334 146.547c-3.309 0-6-2.691-6-6V99.5c0-3.309 2.691-6 6-6s6 2.691 6 6v12.896l16.74-16.74c.861-.861 2.044-1.335 3.328-1.335 1.498 0 3.002.646 4.129 1.772 1.051 1.05 1.678 2.401 1.764 3.804.087 1.415-.384 2.712-1.324 3.653l-13.673 13.671 14.769 19.566a5.951 5.951 0 0 1 1.152 4.445 5.956 5.956 0 0 1-2.328 3.957 5.94 5.94 0 0 1-3.609 1.211 5.953 5.953 0 0 1-4.793-2.385l-14.071-18.644-2.082 2.082v13.091a6.01 6.01 0 0 1-6.002 6.003z"
    }
  )
);
function rc({
  supabaseClient: e,
  socialLayout: t = "vertical",
  providers: r = ["github", "google", "azure"],
  providerScopes: a,
  queryParams: n,
  redirectTo: o,
  onlyThirdPartyProviders: i = !0,
  view: l = "sign_in",
  i18n: d,
  appearance: m
}) {
  const [u, p] = R(!1), [g, f] = R(""), h = t === "vertical", y = l === "magic_link" ? "sign_in" : l, x = async (E) => {
    p(!0);
    const { error: w } = await e.auth.signInWithOAuth({
      provider: E,
      options: {
        redirectTo: o,
        scopes: a == null ? void 0 : a[E],
        queryParams: n
      }
    });
    w && f(w.message), p(!1);
  };
  function b(E) {
    return E === "linkedin_oidc" ? "LinkedIn" : E;
  }
  function S(E) {
    const w = E.toLowerCase();
    return E.charAt(0).toUpperCase() + w.slice(1);
  }
  return /* @__PURE__ */ s.createElement(s.Fragment, null, r && r.length > 0 && /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(le, { gap: "large", direction: "vertical", appearance: m }, /* @__PURE__ */ s.createElement(
    le,
    {
      direction: h ? "vertical" : "horizontal",
      gap: h ? "small" : "medium",
      appearance: m
    },
    r.map((E) => {
      var w;
      return /* @__PURE__ */ s.createElement(
        Ie,
        {
          key: E,
          color: "default",
          loading: u,
          onClick: () => x(E),
          appearance: m
        },
        /* @__PURE__ */ s.createElement(zl, { provider: E }),
        h && ml(
          (w = d == null ? void 0 : d[y]) == null ? void 0 : w.social_provider_text,
          {
            provider: S(
              b(E)
            )
          }
        )
      );
    })
  )), !i && /* @__PURE__ */ s.createElement(Fl, { appearance: m })));
}
function Pa({
  authView: e = "sign_in",
  defaultEmail: t = "",
  defaultPassword: r = "",
  setAuthView: a = () => {
  },
  setDefaultEmail: n = (y) => {
  },
  setDefaultPassword: o = (y) => {
  },
  supabaseClient: i,
  showLinks: l = !1,
  redirectTo: d,
  additionalData: m,
  magicLink: u,
  i18n: p,
  appearance: g,
  passwordLimit: f = !1,
  children: h
}) {
  var j, te, X, z;
  const y = dl(!0), [x, b] = R(t), [S, E] = R(r), [w, N] = R(""), [C, P] = R(!1), [D, I] = R("");
  G(() => (y.current = !0, b(t), E(r), () => {
    y.current = !1;
  }), [e]);
  const A = async (k) => {
    var B;
    switch (k.preventDefault(), N(""), P(!0), e) {
      case "sign_in":
        const { error: Se } = await i.auth.signInWithPassword({
          email: x,
          password: S
        });
        Se && N(Se.message);
        break;
      case "sign_up":
        if (f && S.length > 72) {
          N("Password exceeds maxmium length of 72 characters");
          return;
        }
        let ke = {
          emailRedirectTo: d
        };
        m && (ke.data = m);
        const {
          data: { user: Bt, session: Ht },
          error: qe
        } = await i.auth.signUp({
          email: x,
          password: S,
          options: ke
        });
        qe ? N(qe.message) : Bt && !Ht && I((B = p == null ? void 0 : p.sign_up) == null ? void 0 : B.confirmation_text);
        break;
    }
    y.current && P(!1);
  }, O = (k) => {
    n(x), o(S), a(k);
  }, L = p == null ? void 0 : p[e];
  return /* @__PURE__ */ s.createElement(
    "form",
    {
      id: e === "sign_in" ? "auth-sign-in" : "auth-sign-up",
      onSubmit: A,
      autoComplete: "on",
      style: { width: "100%" }
    },
    /* @__PURE__ */ s.createElement(le, { direction: "vertical", gap: "large", appearance: g }, /* @__PURE__ */ s.createElement(le, { direction: "vertical", gap: "large", appearance: g }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "email", appearance: g }, L == null ? void 0 : L.email_label), /* @__PURE__ */ s.createElement(
      he,
      {
        id: "email",
        type: "email",
        name: "email",
        placeholder: L == null ? void 0 : L.email_input_placeholder,
        defaultValue: x,
        onChange: (k) => b(k.target.value),
        autoComplete: "email",
        appearance: g
      }
    )), /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "password", appearance: g }, L == null ? void 0 : L.password_label), /* @__PURE__ */ s.createElement(
      he,
      {
        id: "password",
        type: "password",
        name: "password",
        placeholder: L == null ? void 0 : L.password_input_placeholder,
        defaultValue: S,
        onChange: (k) => E(k.target.value),
        autoComplete: e === "sign_in" ? "current-password" : "new-password",
        appearance: g
      }
    )), h), /* @__PURE__ */ s.createElement(
      Ie,
      {
        type: "submit",
        color: "primary",
        loading: C,
        appearance: g
      },
      C ? L == null ? void 0 : L.loading_button_label : L == null ? void 0 : L.button_label
    ), l && /* @__PURE__ */ s.createElement(le, { direction: "vertical", gap: "small", appearance: g }, e === J.SIGN_IN && u && /* @__PURE__ */ s.createElement(
      ve,
      {
        href: "#auth-magic-link",
        onClick: (k) => {
          k.preventDefault(), a(J.MAGIC_LINK);
        },
        appearance: g
      },
      (j = p == null ? void 0 : p.magic_link) == null ? void 0 : j.link_text
    ), e === J.SIGN_IN && /* @__PURE__ */ s.createElement(
      ve,
      {
        href: "#auth-forgot-password",
        onClick: (k) => {
          k.preventDefault(), a(J.FORGOTTEN_PASSWORD);
        },
        appearance: g
      },
      (te = p == null ? void 0 : p.forgotten_password) == null ? void 0 : te.link_text
    ), e === J.SIGN_IN ? /* @__PURE__ */ s.createElement(
      ve,
      {
        href: "#auth-sign-up",
        onClick: (k) => {
          k.preventDefault(), O(J.SIGN_UP);
        },
        appearance: g
      },
      (X = p == null ? void 0 : p.sign_up) == null ? void 0 : X.link_text
    ) : /* @__PURE__ */ s.createElement(
      ve,
      {
        href: "#auth-sign-in",
        onClick: (k) => {
          k.preventDefault(), O(J.SIGN_IN);
        },
        appearance: g
      },
      (z = p == null ? void 0 : p.sign_in) == null ? void 0 : z.link_text
    ))),
    D && /* @__PURE__ */ s.createElement(ce, { appearance: g }, D),
    w && /* @__PURE__ */ s.createElement(ce, { color: "danger", appearance: g }, w)
  );
}
function Fo({
  setAuthView: e = () => {
  },
  supabaseClient: t,
  redirectTo: r,
  i18n: a,
  appearance: n,
  showLinks: o = !1
}) {
  var x;
  const [i, l] = R(""), [d, m] = R(""), [u, p] = R(""), [g, f] = R(!1), h = async (b) => {
    var E;
    b.preventDefault(), m(""), p(""), f(!0);
    const { error: S } = await t.auth.resetPasswordForEmail(i, {
      redirectTo: r
    });
    S ? m(S.message) : p((E = a == null ? void 0 : a.forgotten_password) == null ? void 0 : E.confirmation_text), f(!1);
  }, y = a == null ? void 0 : a.forgotten_password;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-forgot-password", onSubmit: h }, /* @__PURE__ */ s.createElement(le, { direction: "vertical", gap: "large", appearance: n }, /* @__PURE__ */ s.createElement(le, { gap: "large", direction: "vertical", appearance: n }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "email", appearance: n }, y == null ? void 0 : y.email_label), /* @__PURE__ */ s.createElement(
    he,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: y == null ? void 0 : y.email_input_placeholder,
      onChange: (b) => l(b.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement(
    Ie,
    {
      type: "submit",
      color: "primary",
      loading: g,
      appearance: n
    },
    g ? y == null ? void 0 : y.loading_button_label : y == null ? void 0 : y.button_label
  ), o && /* @__PURE__ */ s.createElement(
    ve,
    {
      href: "#auth-sign-in",
      onClick: (b) => {
        b.preventDefault(), e(J.SIGN_IN);
      },
      appearance: n
    },
    (x = a == null ? void 0 : a.sign_in) == null ? void 0 : x.link_text
  ), u && /* @__PURE__ */ s.createElement(ce, { appearance: n }, u), d && /* @__PURE__ */ s.createElement(ce, { color: "danger", appearance: n }, d))));
}
function ko({
  supabaseClient: e,
  i18n: t,
  appearance: r,
  passwordLimit: a = !1
}) {
  const [n, o] = R(""), [i, l] = R(""), [d, m] = R(""), [u, p] = R(!1), g = async (h) => {
    var x;
    if (h.preventDefault(), l(""), m(""), p(!0), a && n.length > 72) {
      l("Password exceeds maxmium length of 72 characters"), p(!1);
      return;
    }
    const { error: y } = await e.auth.updateUser({ password: n });
    y ? l(y.message) : m((x = t == null ? void 0 : t.update_password) == null ? void 0 : x.confirmation_text), p(!1);
  }, f = t == null ? void 0 : t.update_password;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-update-password", onSubmit: g }, /* @__PURE__ */ s.createElement(le, { gap: "large", direction: "vertical", appearance: r }, /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "password", appearance: r }, f == null ? void 0 : f.password_label), /* @__PURE__ */ s.createElement(
    he,
    {
      id: "password",
      name: "password",
      placeholder: f == null ? void 0 : f.password_input_placeholder,
      type: "password",
      autoFocus: !0,
      onChange: (h) => o(h.target.value),
      appearance: r
    }
  )), /* @__PURE__ */ s.createElement(
    Ie,
    {
      type: "submit",
      color: "primary",
      loading: u,
      appearance: r
    },
    u ? f == null ? void 0 : f.loading_button_label : f == null ? void 0 : f.button_label
  ), d && /* @__PURE__ */ s.createElement(ce, { appearance: r }, d), i && /* @__PURE__ */ s.createElement(ce, { color: "danger", appearance: r }, i)));
}
function nc({
  setAuthView: e = () => {
  },
  supabaseClient: t,
  otpType: r = "email",
  i18n: a,
  appearance: n,
  showLinks: o = !1
}) {
  var w;
  const [i, l] = R(""), [d, m] = R(""), [u, p] = R(""), [g, f] = R(""), [h, y] = R(""), [x, b] = R(!1), S = async (N) => {
    N.preventDefault(), f(""), y(""), b(!0);
    let C = {
      email: i,
      token: u,
      type: r
    };
    ["sms", "phone_change"].includes(r) && (C = {
      phone: d,
      token: u,
      type: r
    });
    const { error: P } = await t.auth.verifyOtp(C);
    P && f(P.message), b(!1);
  }, E = a == null ? void 0 : a.verify_otp;
  return /* @__PURE__ */ s.createElement("form", { id: "auth-magic-link", onSubmit: S }, /* @__PURE__ */ s.createElement(le, { gap: "large", direction: "vertical", appearance: n }, ["sms", "phone_change"].includes(r) ? /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "phone", appearance: n }, E == null ? void 0 : E.phone_input_label), /* @__PURE__ */ s.createElement(
    he,
    {
      id: "phone",
      name: "phone",
      type: "text",
      autoFocus: !0,
      placeholder: E == null ? void 0 : E.phone_input_placeholder,
      onChange: (N) => m(N.target.value),
      appearance: n
    }
  )) : /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "email", appearance: n }, E == null ? void 0 : E.email_input_label), /* @__PURE__ */ s.createElement(
    he,
    {
      id: "email",
      name: "email",
      type: "email",
      autoFocus: !0,
      placeholder: E == null ? void 0 : E.email_input_placeholder,
      onChange: (N) => l(N.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement("div", null, /* @__PURE__ */ s.createElement(Ee, { htmlFor: "token", appearance: n }, E == null ? void 0 : E.token_input_label), /* @__PURE__ */ s.createElement(
    he,
    {
      id: "token",
      name: "token",
      type: "text",
      placeholder: E == null ? void 0 : E.token_input_placeholder,
      onChange: (N) => p(N.target.value),
      appearance: n
    }
  )), /* @__PURE__ */ s.createElement(
    Ie,
    {
      color: "primary",
      type: "submit",
      loading: x,
      appearance: n
    },
    x ? E == null ? void 0 : E.loading_button_label : E == null ? void 0 : E.button_label
  ), o && /* @__PURE__ */ s.createElement(
    ve,
    {
      href: "#auth-sign-in",
      onClick: (N) => {
        N.preventDefault(), e(J.SIGN_IN);
      },
      appearance: n
    },
    (w = a == null ? void 0 : a.sign_in) == null ? void 0 : w.link_text
  ), h && /* @__PURE__ */ s.createElement(ce, { appearance: n }, h), g && /* @__PURE__ */ s.createElement(ce, { color: "danger", appearance: n }, g)));
}
const qo = fl({ user: null, session: null }), ac = (e) => {
  const { supabaseClient: t } = e, [r, a] = R(null), [n, o] = R((r == null ? void 0 : r.user) ?? null);
  G(() => {
    (async () => {
      var m;
      const { data: d } = await t.auth.getSession();
      a(d.session), o(((m = d.session) == null ? void 0 : m.user) ?? null);
    })();
    const { data: l } = t.auth.onAuthStateChange(
      async (d, m) => {
        a(m), o((m == null ? void 0 : m.user) ?? null);
      }
    );
    return () => {
      l == null || l.subscription.unsubscribe();
    };
  }, []);
  const i = {
    session: r,
    user: n
  };
  return /* @__PURE__ */ s.createElement(qo.Provider, { value: i, ...e });
}, sc = () => {
  const e = pl(qo);
  if (e === void 0)
    throw new Error("useUser must be used within a UserContextProvider.");
  return e;
};
function Ke({
  supabaseClient: e,
  socialLayout: t = "vertical",
  providers: r,
  providerScopes: a,
  queryParams: n,
  view: o = "sign_in",
  redirectTo: i,
  onlyThirdPartyProviders: l = !1,
  magicLink: d = !1,
  showLinks: m = !0,
  appearance: u,
  theme: p = "default",
  localization: g = { variables: {} },
  otpType: f = "email",
  additionalData: h,
  passwordLimit: y,
  children: x
}) {
  const b = $t(ul, g.variables ?? {}), [S, E] = R(o), [w, N] = R(""), [C, P] = R(""), D = S === "sign_in" || S === "sign_up" || S === "magic_link";
  G(() => {
    var O, L;
    ll({
      theme: $t(
        ((O = u == null ? void 0 : u.theme) == null ? void 0 : O.default) ?? {},
        ((L = u == null ? void 0 : u.variables) == null ? void 0 : L.default) ?? {}
      )
    });
  }, [u]);
  const I = ({ children: O }) => {
    var L;
    return (
      // @ts-ignore
      /* @__PURE__ */ s.createElement(
        "div",
        {
          className: p !== "default" ? cl(
            $t(
              // @ts-ignore
              u == null ? void 0 : u.theme[p],
              ((L = u == null ? void 0 : u.variables) == null ? void 0 : L[p]) ?? {}
            )
          ) : ""
        },
        D && /* @__PURE__ */ s.createElement(
          rc,
          {
            appearance: u,
            supabaseClient: e,
            providers: r,
            providerScopes: a,
            queryParams: n,
            socialLayout: t,
            redirectTo: i,
            onlyThirdPartyProviders: l,
            i18n: b,
            view: S
          }
        ),
        !l && O
      )
    );
  };
  G(() => {
    const { data: O } = e.auth.onAuthStateChange(
      (L) => {
        L === "PASSWORD_RECOVERY" ? E("update_password") : L === "USER_UPDATED" && E("sign_in");
      }
    );
    return E(o), () => O.subscription.unsubscribe();
  }, [o]);
  const A = {
    supabaseClient: e,
    setAuthView: E,
    defaultEmail: w,
    defaultPassword: C,
    setDefaultEmail: N,
    setDefaultPassword: P,
    redirectTo: i,
    magicLink: d,
    showLinks: m,
    i18n: b,
    appearance: u,
    passwordLimit: y
  };
  switch (S) {
    case J.SIGN_IN:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(Pa, { ...A, authView: "sign_in" }));
    case J.SIGN_UP:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(
        Pa,
        {
          appearance: u,
          supabaseClient: e,
          authView: "sign_up",
          setAuthView: E,
          defaultEmail: w,
          defaultPassword: C,
          setDefaultEmail: N,
          setDefaultPassword: P,
          redirectTo: i,
          magicLink: d,
          showLinks: m,
          i18n: b,
          additionalData: h,
          passwordLimit: y,
          children: x
        }
      ));
    case J.FORGOTTEN_PASSWORD:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(
        Fo,
        {
          appearance: u,
          supabaseClient: e,
          setAuthView: E,
          redirectTo: i,
          showLinks: m,
          i18n: b
        }
      ));
    case J.MAGIC_LINK:
      return /* @__PURE__ */ s.createElement(I, null, /* @__PURE__ */ s.createElement(
        Lo,
        {
          appearance: u,
          supabaseClient: e,
          setAuthView: E,
          redirectTo: i,
          showLinks: m,
          i18n: b
        }
      ));
    case J.UPDATE_PASSWORD:
      return /* @__PURE__ */ s.createElement(
        ko,
        {
          appearance: u,
          supabaseClient: e,
          i18n: b,
          passwordLimit: y
        }
      );
    case J.VERIFY_OTP:
      return /* @__PURE__ */ s.createElement(
        nc,
        {
          appearance: u,
          supabaseClient: e,
          otpType: f,
          i18n: b
        }
      );
    default:
      return null;
  }
}
Ke.ForgottenPassword = Fo;
Ke.UpdatePassword = ko;
Ke.MagicLink = Lo;
Ke.UserContextProvider = ac;
Ke.useUser = sc;
var oc = function(e, t) {
  for (var r = {}; e.length; ) {
    var a = e[0], n = a.code, o = a.message, i = a.path.join(".");
    if (!r[i])
      if ("unionErrors" in a) {
        var l = a.unionErrors[0].errors[0];
        r[i] = { message: l.message, type: l.code };
      } else
        r[i] = { message: o, type: n };
    if ("unionErrors" in a && a.unionErrors.forEach(function(u) {
      return u.errors.forEach(function(p) {
        return e.push(p);
      });
    }), t) {
      var d = r[i].types, m = d && d[a.code];
      r[i] = gl(i, t, r, n, m ? [].concat(m, a.message) : a.message);
    }
    e.shift();
  }
  return r;
}, Ae = function(e, t, r) {
  return r === void 0 && (r = {}), function(a, n, o) {
    try {
      return Promise.resolve(function(i, l) {
        try {
          var d = Promise.resolve(e[r.mode === "sync" ? "parse" : "parseAsync"](a, t)).then(function(m) {
            return o.shouldUseNativeValidation && El({}, o), { errors: {}, values: r.raw ? a : m };
          });
        } catch (m) {
          return l(m);
        }
        return d && d.then ? d.then(void 0, l) : d;
      }(0, function(i) {
        if (function(l) {
          return l.errors != null;
        }(i))
          return { values: {}, errors: yl(oc(i.errors, !o.shouldUseNativeValidation && o.criteriaMode === "all"), o) };
        throw i;
      }));
    } catch (i) {
      return Promise.reject(i);
    }
  };
};
const ic = ({
  title: e,
  isLoading: t = !1,
  disabled: r = !1,
  type: a = "filled",
  bgColour: n = "bg-green-500",
  icon: o,
  onClick: i,
  width: l
}) => /* @__PURE__ */ s.createElement(
  "button",
  {
    type: "submit",
    className: `${l ? `w-[${l}px]` : "w-full"} py-2 px-4 rounded flex justify-center items-center ${a === "filled" ? n : "border border-gray-400"} ${a === "filled" ? " text-white" : " text-black"} ${r || t ? "cursor-not-allowed opacity-50" : ""}`,
    disabled: r || t,
    onClick: i
  },
  /* @__PURE__ */ s.createElement(s.Fragment, null, t && /* @__PURE__ */ s.createElement("svg", { className: "animate-spin h-5 w-5 mr-3", viewBox: "0 0 24 24" }, /* @__PURE__ */ s.createElement(
    "circle",
    {
      className: "opacity-25",
      cx: "12",
      cy: "12",
      r: "10",
      stroke: "currentColor",
      strokeWidth: "4"
    }
  ), /* @__PURE__ */ s.createElement(
    "path",
    {
      className: "opacity-75",
      fill: "currentColor",
      d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
    }
  )), o && /* @__PURE__ */ s.createElement("img", { src: o, alt: "icon", className: "h-5 w-5 mr-3" }), e)
), je = ic;
function Mo(e, t) {
  return function() {
    return e.apply(t, arguments);
  };
}
const { toString: lc } = Object.prototype, { getPrototypeOf: Vn } = Object, yt = ((e) => (t) => {
  const r = lc.call(t);
  return e[r] || (e[r] = r.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), ie = (e) => (e = e.toLowerCase(), (t) => yt(t) === e), wt = (e) => (t) => typeof t === e, { isArray: Oe } = Array, Ue = wt("undefined");
function cc(e) {
  return e !== null && !Ue(e) && e.constructor !== null && !Ue(e.constructor) && re(e.constructor.isBuffer) && e.constructor.isBuffer(e);
}
const zo = ie("ArrayBuffer");
function mc(e) {
  let t;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? t = ArrayBuffer.isView(e) : t = e && e.buffer && zo(e.buffer), t;
}
const uc = wt("string"), re = wt("function"), jo = wt("number"), vt = (e) => e !== null && typeof e == "object", dc = (e) => e === !0 || e === !1, st = (e) => {
  if (yt(e) !== "object")
    return !1;
  const t = Vn(e);
  return (t === null || t === Object.prototype || Object.getPrototypeOf(t) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}, fc = ie("Date"), pc = ie("File"), gc = ie("Blob"), hc = ie("FileList"), Ec = (e) => vt(e) && re(e.pipe), yc = (e) => {
  let t;
  return e && (typeof FormData == "function" && e instanceof FormData || re(e.append) && ((t = yt(e)) === "formdata" || // detect form-data instance
  t === "object" && re(e.toString) && e.toString() === "[object FormData]"));
}, wc = ie("URLSearchParams"), [vc, bc, xc, _c] = ["ReadableStream", "Request", "Response", "Headers"].map(ie), Nc = (e) => e.trim ? e.trim() : e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function Je(e, t, { allOwnKeys: r = !1 } = {}) {
  if (e === null || typeof e > "u")
    return;
  let a, n;
  if (typeof e != "object" && (e = [e]), Oe(e))
    for (a = 0, n = e.length; a < n; a++)
      t.call(null, e[a], a, e);
  else {
    const o = r ? Object.getOwnPropertyNames(e) : Object.keys(e), i = o.length;
    let l;
    for (a = 0; a < i; a++)
      l = o[a], t.call(null, e[l], l, e);
  }
}
function Bo(e, t) {
  t = t.toLowerCase();
  const r = Object.keys(e);
  let a = r.length, n;
  for (; a-- > 0; )
    if (n = r[a], t === n.toLowerCase())
      return n;
  return null;
}
const Ho = (() => typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global)(), Uo = (e) => !Ue(e) && e !== Ho;
function xn() {
  const { caseless: e } = Uo(this) && this || {}, t = {}, r = (a, n) => {
    const o = e && Bo(t, n) || n;
    st(t[o]) && st(a) ? t[o] = xn(t[o], a) : st(a) ? t[o] = xn({}, a) : Oe(a) ? t[o] = a.slice() : t[o] = a;
  };
  for (let a = 0, n = arguments.length; a < n; a++)
    arguments[a] && Je(arguments[a], r);
  return t;
}
const Sc = (e, t, r, { allOwnKeys: a } = {}) => (Je(t, (n, o) => {
  r && re(n) ? e[o] = Mo(n, r) : e[o] = n;
}, { allOwnKeys: a }), e), Cc = (e) => (e.charCodeAt(0) === 65279 && (e = e.slice(1)), e), Rc = (e, t, r, a) => {
  e.prototype = Object.create(t.prototype, a), e.prototype.constructor = e, Object.defineProperty(e, "super", {
    value: t.prototype
  }), r && Object.assign(e.prototype, r);
}, Tc = (e, t, r, a) => {
  let n, o, i;
  const l = {};
  if (t = t || {}, e == null)
    return t;
  do {
    for (n = Object.getOwnPropertyNames(e), o = n.length; o-- > 0; )
      i = n[o], (!a || a(i, e, t)) && !l[i] && (t[i] = e[i], l[i] = !0);
    e = r !== !1 && Vn(e);
  } while (e && (!r || r(e, t)) && e !== Object.prototype);
  return t;
}, Pc = (e, t, r) => {
  e = String(e), (r === void 0 || r > e.length) && (r = e.length), r -= t.length;
  const a = e.indexOf(t, r);
  return a !== -1 && a === r;
}, Ac = (e) => {
  if (!e)
    return null;
  if (Oe(e))
    return e;
  let t = e.length;
  if (!jo(t))
    return null;
  const r = new Array(t);
  for (; t-- > 0; )
    r[t] = e[t];
  return r;
}, Ic = ((e) => (t) => e && t instanceof e)(typeof Uint8Array < "u" && Vn(Uint8Array)), Oc = (e, t) => {
  const a = (e && e[Symbol.iterator]).call(e);
  let n;
  for (; (n = a.next()) && !n.done; ) {
    const o = n.value;
    t.call(e, o[0], o[1]);
  }
}, Dc = (e, t) => {
  let r;
  const a = [];
  for (; (r = e.exec(t)) !== null; )
    a.push(r);
  return a;
}, Lc = ie("HTMLFormElement"), Fc = (e) => e.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(r, a, n) {
    return a.toUpperCase() + n;
  }
), Aa = (({ hasOwnProperty: e }) => (t, r) => e.call(t, r))(Object.prototype), kc = ie("RegExp"), $o = (e, t) => {
  const r = Object.getOwnPropertyDescriptors(e), a = {};
  Je(r, (n, o) => {
    let i;
    (i = t(n, o, e)) !== !1 && (a[o] = i || n);
  }), Object.defineProperties(e, a);
}, qc = (e) => {
  $o(e, (t, r) => {
    if (re(e) && ["arguments", "caller", "callee"].indexOf(r) !== -1)
      return !1;
    const a = e[r];
    if (re(a)) {
      if (t.enumerable = !1, "writable" in t) {
        t.writable = !1;
        return;
      }
      t.set || (t.set = () => {
        throw Error("Can not rewrite read-only method '" + r + "'");
      });
    }
  });
}, Mc = (e, t) => {
  const r = {}, a = (n) => {
    n.forEach((o) => {
      r[o] = !0;
    });
  };
  return Oe(e) ? a(e) : a(String(e).split(t)), r;
}, zc = () => {
}, jc = (e, t) => e != null && Number.isFinite(e = +e) ? e : t, Wt = "abcdefghijklmnopqrstuvwxyz", Ia = "0123456789", Wo = {
  DIGIT: Ia,
  ALPHA: Wt,
  ALPHA_DIGIT: Wt + Wt.toUpperCase() + Ia
}, Bc = (e = 16, t = Wo.ALPHA_DIGIT) => {
  let r = "";
  const { length: a } = t;
  for (; e--; )
    r += t[Math.random() * a | 0];
  return r;
};
function Hc(e) {
  return !!(e && re(e.append) && e[Symbol.toStringTag] === "FormData" && e[Symbol.iterator]);
}
const Uc = (e) => {
  const t = new Array(10), r = (a, n) => {
    if (vt(a)) {
      if (t.indexOf(a) >= 0)
        return;
      if (!("toJSON" in a)) {
        t[n] = a;
        const o = Oe(a) ? [] : {};
        return Je(a, (i, l) => {
          const d = r(i, n + 1);
          !Ue(d) && (o[l] = d);
        }), t[n] = void 0, o;
      }
    }
    return a;
  };
  return r(e, 0);
}, $c = ie("AsyncFunction"), Wc = (e) => e && (vt(e) || re(e)) && re(e.then) && re(e.catch), v = {
  isArray: Oe,
  isArrayBuffer: zo,
  isBuffer: cc,
  isFormData: yc,
  isArrayBufferView: mc,
  isString: uc,
  isNumber: jo,
  isBoolean: dc,
  isObject: vt,
  isPlainObject: st,
  isReadableStream: vc,
  isRequest: bc,
  isResponse: xc,
  isHeaders: _c,
  isUndefined: Ue,
  isDate: fc,
  isFile: pc,
  isBlob: gc,
  isRegExp: kc,
  isFunction: re,
  isStream: Ec,
  isURLSearchParams: wc,
  isTypedArray: Ic,
  isFileList: hc,
  forEach: Je,
  merge: xn,
  extend: Sc,
  trim: Nc,
  stripBOM: Cc,
  inherits: Rc,
  toFlatObject: Tc,
  kindOf: yt,
  kindOfTest: ie,
  endsWith: Pc,
  toArray: Ac,
  forEachEntry: Oc,
  matchAll: Dc,
  isHTMLForm: Lc,
  hasOwnProperty: Aa,
  hasOwnProp: Aa,
  // an alias to avoid ESLint no-prototype-builtins detection
  reduceDescriptors: $o,
  freezeMethods: qc,
  toObjectSet: Mc,
  toCamelCase: Fc,
  noop: zc,
  toFiniteNumber: jc,
  findKey: Bo,
  global: Ho,
  isContextDefined: Uo,
  ALPHABET: Wo,
  generateString: Bc,
  isSpecCompliantForm: Hc,
  toJSONObject: Uc,
  isAsyncFn: $c,
  isThenable: Wc
};
function F(e, t, r, a, n) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e, this.name = "AxiosError", t && (this.code = t), r && (this.config = r), a && (this.request = a), n && (this.response = n);
}
v.inherits(F, Error, {
  toJSON: function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: v.toJSONObject(this.config),
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }
});
const Go = F.prototype, Ko = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
  // eslint-disable-next-line func-names
].forEach((e) => {
  Ko[e] = { value: e };
});
Object.defineProperties(F, Ko);
Object.defineProperty(Go, "isAxiosError", { value: !0 });
F.from = (e, t, r, a, n, o) => {
  const i = Object.create(Go);
  return v.toFlatObject(e, i, function(d) {
    return d !== Error.prototype;
  }, (l) => l !== "isAxiosError"), F.call(i, e.message, t, r, a, n), i.cause = e, i.name = e.name, o && Object.assign(i, o), i;
};
const Gc = null;
function _n(e) {
  return v.isPlainObject(e) || v.isArray(e);
}
function Jo(e) {
  return v.endsWith(e, "[]") ? e.slice(0, -2) : e;
}
function Oa(e, t, r) {
  return e ? e.concat(t).map(function(n, o) {
    return n = Jo(n), !r && o ? "[" + n + "]" : n;
  }).join(r ? "." : "") : t;
}
function Kc(e) {
  return v.isArray(e) && !e.some(_n);
}
const Jc = v.toFlatObject(v, {}, null, function(t) {
  return /^is[A-Z]/.test(t);
});
function bt(e, t, r) {
  if (!v.isObject(e))
    throw new TypeError("target must be an object");
  t = t || new FormData(), r = v.toFlatObject(r, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(y, x) {
    return !v.isUndefined(x[y]);
  });
  const a = r.metaTokens, n = r.visitor || u, o = r.dots, i = r.indexes, d = (r.Blob || typeof Blob < "u" && Blob) && v.isSpecCompliantForm(t);
  if (!v.isFunction(n))
    throw new TypeError("visitor must be a function");
  function m(h) {
    if (h === null)
      return "";
    if (v.isDate(h))
      return h.toISOString();
    if (!d && v.isBlob(h))
      throw new F("Blob is not supported. Use a Buffer instead.");
    return v.isArrayBuffer(h) || v.isTypedArray(h) ? d && typeof Blob == "function" ? new Blob([h]) : Buffer.from(h) : h;
  }
  function u(h, y, x) {
    let b = h;
    if (h && !x && typeof h == "object") {
      if (v.endsWith(y, "{}"))
        y = a ? y : y.slice(0, -2), h = JSON.stringify(h);
      else if (v.isArray(h) && Kc(h) || (v.isFileList(h) || v.endsWith(y, "[]")) && (b = v.toArray(h)))
        return y = Jo(y), b.forEach(function(E, w) {
          !(v.isUndefined(E) || E === null) && t.append(
            // eslint-disable-next-line no-nested-ternary
            i === !0 ? Oa([y], w, o) : i === null ? y : y + "[]",
            m(E)
          );
        }), !1;
    }
    return _n(h) ? !0 : (t.append(Oa(x, y, o), m(h)), !1);
  }
  const p = [], g = Object.assign(Jc, {
    defaultVisitor: u,
    convertValue: m,
    isVisitable: _n
  });
  function f(h, y) {
    if (!v.isUndefined(h)) {
      if (p.indexOf(h) !== -1)
        throw Error("Circular reference detected in " + y.join("."));
      p.push(h), v.forEach(h, function(b, S) {
        (!(v.isUndefined(b) || b === null) && n.call(
          t,
          b,
          v.isString(S) ? S.trim() : S,
          y,
          g
        )) === !0 && f(b, y ? y.concat(S) : [S]);
      }), p.pop();
    }
  }
  if (!v.isObject(e))
    throw new TypeError("data must be an object");
  return f(e), t;
}
function Da(e) {
  const t = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g, function(a) {
    return t[a];
  });
}
function Qn(e, t) {
  this._pairs = [], e && bt(e, this, t);
}
const Zo = Qn.prototype;
Zo.append = function(t, r) {
  this._pairs.push([t, r]);
};
Zo.toString = function(t) {
  const r = t ? function(a) {
    return t.call(this, a, Da);
  } : Da;
  return this._pairs.map(function(n) {
    return r(n[0]) + "=" + r(n[1]);
  }, "").join("&");
};
function Zc(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function Yo(e, t, r) {
  if (!t)
    return e;
  const a = r && r.encode || Zc, n = r && r.serialize;
  let o;
  if (n ? o = n(t, r) : o = v.isURLSearchParams(t) ? t.toString() : new Qn(t, r).toString(a), o) {
    const i = e.indexOf("#");
    i !== -1 && (e = e.slice(0, i)), e += (e.indexOf("?") === -1 ? "?" : "&") + o;
  }
  return e;
}
class Yc {
  constructor() {
    this.handlers = [];
  }
  /**
   * Add a new interceptor to the stack
   *
   * @param {Function} fulfilled The function to handle `then` for a `Promise`
   * @param {Function} rejected The function to handle `reject` for a `Promise`
   *
   * @return {Number} An ID used to remove interceptor later
   */
  use(t, r, a) {
    return this.handlers.push({
      fulfilled: t,
      rejected: r,
      synchronous: a ? a.synchronous : !1,
      runWhen: a ? a.runWhen : null
    }), this.handlers.length - 1;
  }
  /**
   * Remove an interceptor from the stack
   *
   * @param {Number} id The ID that was returned by `use`
   *
   * @returns {Boolean} `true` if the interceptor was removed, `false` otherwise
   */
  eject(t) {
    this.handlers[t] && (this.handlers[t] = null);
  }
  /**
   * Clear all interceptors from the stack
   *
   * @returns {void}
   */
  clear() {
    this.handlers && (this.handlers = []);
  }
  /**
   * Iterate over all the registered interceptors
   *
   * This method is particularly useful for skipping over any
   * interceptors that may have become `null` calling `eject`.
   *
   * @param {Function} fn The function to call for each interceptor
   *
   * @returns {void}
   */
  forEach(t) {
    v.forEach(this.handlers, function(a) {
      a !== null && t(a);
    });
  }
}
const La = Yc, Xo = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, Xc = typeof URLSearchParams < "u" ? URLSearchParams : Qn, Vc = typeof FormData < "u" ? FormData : null, Qc = typeof Blob < "u" ? Blob : null, em = {
  isBrowser: !0,
  classes: {
    URLSearchParams: Xc,
    FormData: Vc,
    Blob: Qc
  },
  protocols: ["http", "https", "file", "blob", "url", "data"]
}, ea = typeof window < "u" && typeof document < "u", tm = ((e) => ea && ["ReactNative", "NativeScript", "NS"].indexOf(e) < 0)(typeof navigator < "u" && navigator.product), rm = (() => typeof WorkerGlobalScope < "u" && // eslint-disable-next-line no-undef
self instanceof WorkerGlobalScope && typeof self.importScripts == "function")(), nm = ea && window.location.href || "http://localhost", am = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  hasBrowserEnv: ea,
  hasStandardBrowserEnv: tm,
  hasStandardBrowserWebWorkerEnv: rm,
  origin: nm
}, Symbol.toStringTag, { value: "Module" })), ae = {
  ...am,
  ...em
};
function sm(e, t) {
  return bt(e, new ae.classes.URLSearchParams(), Object.assign({
    visitor: function(r, a, n, o) {
      return ae.isNode && v.isBuffer(r) ? (this.append(a, r.toString("base64")), !1) : o.defaultVisitor.apply(this, arguments);
    }
  }, t));
}
function om(e) {
  return v.matchAll(/\w+|\[(\w*)]/g, e).map((t) => t[0] === "[]" ? "" : t[1] || t[0]);
}
function im(e) {
  const t = {}, r = Object.keys(e);
  let a;
  const n = r.length;
  let o;
  for (a = 0; a < n; a++)
    o = r[a], t[o] = e[o];
  return t;
}
function Vo(e) {
  function t(r, a, n, o) {
    let i = r[o++];
    if (i === "__proto__")
      return !0;
    const l = Number.isFinite(+i), d = o >= r.length;
    return i = !i && v.isArray(n) ? n.length : i, d ? (v.hasOwnProp(n, i) ? n[i] = [n[i], a] : n[i] = a, !l) : ((!n[i] || !v.isObject(n[i])) && (n[i] = []), t(r, a, n[i], o) && v.isArray(n[i]) && (n[i] = im(n[i])), !l);
  }
  if (v.isFormData(e) && v.isFunction(e.entries)) {
    const r = {};
    return v.forEachEntry(e, (a, n) => {
      t(om(a), n, r, 0);
    }), r;
  }
  return null;
}
function lm(e, t, r) {
  if (v.isString(e))
    try {
      return (t || JSON.parse)(e), v.trim(e);
    } catch (a) {
      if (a.name !== "SyntaxError")
        throw a;
    }
  return (r || JSON.stringify)(e);
}
const ta = {
  transitional: Xo,
  adapter: ["xhr", "http", "fetch"],
  transformRequest: [function(t, r) {
    const a = r.getContentType() || "", n = a.indexOf("application/json") > -1, o = v.isObject(t);
    if (o && v.isHTMLForm(t) && (t = new FormData(t)), v.isFormData(t))
      return n ? JSON.stringify(Vo(t)) : t;
    if (v.isArrayBuffer(t) || v.isBuffer(t) || v.isStream(t) || v.isFile(t) || v.isBlob(t) || v.isReadableStream(t))
      return t;
    if (v.isArrayBufferView(t))
      return t.buffer;
    if (v.isURLSearchParams(t))
      return r.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), t.toString();
    let l;
    if (o) {
      if (a.indexOf("application/x-www-form-urlencoded") > -1)
        return sm(t, this.formSerializer).toString();
      if ((l = v.isFileList(t)) || a.indexOf("multipart/form-data") > -1) {
        const d = this.env && this.env.FormData;
        return bt(
          l ? { "files[]": t } : t,
          d && new d(),
          this.formSerializer
        );
      }
    }
    return o || n ? (r.setContentType("application/json", !1), lm(t)) : t;
  }],
  transformResponse: [function(t) {
    const r = this.transitional || ta.transitional, a = r && r.forcedJSONParsing, n = this.responseType === "json";
    if (v.isResponse(t) || v.isReadableStream(t))
      return t;
    if (t && v.isString(t) && (a && !this.responseType || n)) {
      const i = !(r && r.silentJSONParsing) && n;
      try {
        return JSON.parse(t);
      } catch (l) {
        if (i)
          throw l.name === "SyntaxError" ? F.from(l, F.ERR_BAD_RESPONSE, this, null, this.response) : l;
      }
    }
    return t;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: ae.classes.FormData,
    Blob: ae.classes.Blob
  },
  validateStatus: function(t) {
    return t >= 200 && t < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
v.forEach(["delete", "get", "head", "post", "put", "patch"], (e) => {
  ta.headers[e] = {};
});
const ra = ta, cm = v.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), mm = (e) => {
  const t = {};
  let r, a, n;
  return e && e.split(`
`).forEach(function(i) {
    n = i.indexOf(":"), r = i.substring(0, n).trim().toLowerCase(), a = i.substring(n + 1).trim(), !(!r || t[r] && cm[r]) && (r === "set-cookie" ? t[r] ? t[r].push(a) : t[r] = [a] : t[r] = t[r] ? t[r] + ", " + a : a);
  }), t;
}, Fa = Symbol("internals");
function Me(e) {
  return e && String(e).trim().toLowerCase();
}
function ot(e) {
  return e === !1 || e == null ? e : v.isArray(e) ? e.map(ot) : String(e);
}
function um(e) {
  const t = /* @__PURE__ */ Object.create(null), r = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let a;
  for (; a = r.exec(e); )
    t[a[1]] = a[2];
  return t;
}
const dm = (e) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e.trim());
function Gt(e, t, r, a, n) {
  if (v.isFunction(a))
    return a.call(this, t, r);
  if (n && (t = r), !!v.isString(t)) {
    if (v.isString(a))
      return t.indexOf(a) !== -1;
    if (v.isRegExp(a))
      return a.test(t);
  }
}
function fm(e) {
  return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (t, r, a) => r.toUpperCase() + a);
}
function pm(e, t) {
  const r = v.toCamelCase(" " + t);
  ["get", "set", "has"].forEach((a) => {
    Object.defineProperty(e, a + r, {
      value: function(n, o, i) {
        return this[a].call(this, t, n, o, i);
      },
      configurable: !0
    });
  });
}
class xt {
  constructor(t) {
    t && this.set(t);
  }
  set(t, r, a) {
    const n = this;
    function o(l, d, m) {
      const u = Me(d);
      if (!u)
        throw new Error("header name must be a non-empty string");
      const p = v.findKey(n, u);
      (!p || n[p] === void 0 || m === !0 || m === void 0 && n[p] !== !1) && (n[p || d] = ot(l));
    }
    const i = (l, d) => v.forEach(l, (m, u) => o(m, u, d));
    if (v.isPlainObject(t) || t instanceof this.constructor)
      i(t, r);
    else if (v.isString(t) && (t = t.trim()) && !dm(t))
      i(mm(t), r);
    else if (v.isHeaders(t))
      for (const [l, d] of t.entries())
        o(d, l, a);
    else
      t != null && o(r, t, a);
    return this;
  }
  get(t, r) {
    if (t = Me(t), t) {
      const a = v.findKey(this, t);
      if (a) {
        const n = this[a];
        if (!r)
          return n;
        if (r === !0)
          return um(n);
        if (v.isFunction(r))
          return r.call(this, n, a);
        if (v.isRegExp(r))
          return r.exec(n);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(t, r) {
    if (t = Me(t), t) {
      const a = v.findKey(this, t);
      return !!(a && this[a] !== void 0 && (!r || Gt(this, this[a], a, r)));
    }
    return !1;
  }
  delete(t, r) {
    const a = this;
    let n = !1;
    function o(i) {
      if (i = Me(i), i) {
        const l = v.findKey(a, i);
        l && (!r || Gt(a, a[l], l, r)) && (delete a[l], n = !0);
      }
    }
    return v.isArray(t) ? t.forEach(o) : o(t), n;
  }
  clear(t) {
    const r = Object.keys(this);
    let a = r.length, n = !1;
    for (; a--; ) {
      const o = r[a];
      (!t || Gt(this, this[o], o, t, !0)) && (delete this[o], n = !0);
    }
    return n;
  }
  normalize(t) {
    const r = this, a = {};
    return v.forEach(this, (n, o) => {
      const i = v.findKey(a, o);
      if (i) {
        r[i] = ot(n), delete r[o];
        return;
      }
      const l = t ? fm(o) : String(o).trim();
      l !== o && delete r[o], r[l] = ot(n), a[l] = !0;
    }), this;
  }
  concat(...t) {
    return this.constructor.concat(this, ...t);
  }
  toJSON(t) {
    const r = /* @__PURE__ */ Object.create(null);
    return v.forEach(this, (a, n) => {
      a != null && a !== !1 && (r[n] = t && v.isArray(a) ? a.join(", ") : a);
    }), r;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([t, r]) => t + ": " + r).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(t) {
    return t instanceof this ? t : new this(t);
  }
  static concat(t, ...r) {
    const a = new this(t);
    return r.forEach((n) => a.set(n)), a;
  }
  static accessor(t) {
    const a = (this[Fa] = this[Fa] = {
      accessors: {}
    }).accessors, n = this.prototype;
    function o(i) {
      const l = Me(i);
      a[l] || (pm(n, i), a[l] = !0);
    }
    return v.isArray(t) ? t.forEach(o) : o(t), this;
  }
}
xt.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
v.reduceDescriptors(xt.prototype, ({ value: e }, t) => {
  let r = t[0].toUpperCase() + t.slice(1);
  return {
    get: () => e,
    set(a) {
      this[r] = a;
    }
  };
});
v.freezeMethods(xt);
const se = xt;
function Kt(e, t) {
  const r = this || ra, a = t || r, n = se.from(a.headers);
  let o = a.data;
  return v.forEach(e, function(l) {
    o = l.call(r, o, n.normalize(), t ? t.status : void 0);
  }), n.normalize(), o;
}
function Qo(e) {
  return !!(e && e.__CANCEL__);
}
function De(e, t, r) {
  F.call(this, e ?? "canceled", F.ERR_CANCELED, t, r), this.name = "CanceledError";
}
v.inherits(De, F, {
  __CANCEL__: !0
});
function ei(e, t, r) {
  const a = r.config.validateStatus;
  !r.status || !a || a(r.status) ? e(r) : t(new F(
    "Request failed with status code " + r.status,
    [F.ERR_BAD_REQUEST, F.ERR_BAD_RESPONSE][Math.floor(r.status / 100) - 4],
    r.config,
    r.request,
    r
  ));
}
function gm(e) {
  const t = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e);
  return t && t[1] || "";
}
function hm(e, t) {
  e = e || 10;
  const r = new Array(e), a = new Array(e);
  let n = 0, o = 0, i;
  return t = t !== void 0 ? t : 1e3, function(d) {
    const m = Date.now(), u = a[o];
    i || (i = m), r[n] = d, a[n] = m;
    let p = o, g = 0;
    for (; p !== n; )
      g += r[p++], p = p % e;
    if (n = (n + 1) % e, n === o && (o = (o + 1) % e), m - i < t)
      return;
    const f = u && m - u;
    return f ? Math.round(g * 1e3 / f) : void 0;
  };
}
function Em(e, t) {
  let r = 0;
  const a = 1e3 / t;
  let n = null;
  return function() {
    const i = this === !0, l = Date.now();
    if (i || l - r > a)
      return n && (clearTimeout(n), n = null), r = l, e.apply(null, arguments);
    n || (n = setTimeout(() => (n = null, r = Date.now(), e.apply(null, arguments)), a - (l - r)));
  };
}
const mt = (e, t, r = 3) => {
  let a = 0;
  const n = hm(50, 250);
  return Em((o) => {
    const i = o.loaded, l = o.lengthComputable ? o.total : void 0, d = i - a, m = n(d), u = i <= l;
    a = i;
    const p = {
      loaded: i,
      total: l,
      progress: l ? i / l : void 0,
      bytes: d,
      rate: m || void 0,
      estimated: m && l && u ? (l - i) / m : void 0,
      event: o,
      lengthComputable: l != null
    };
    p[t ? "download" : "upload"] = !0, e(p);
  }, r);
}, ym = ae.hasStandardBrowserEnv ? (
  // Standard browser envs have full support of the APIs needed to test
  // whether the request URL is of the same origin as current location.
  function() {
    const t = /(msie|trident)/i.test(navigator.userAgent), r = document.createElement("a");
    let a;
    function n(o) {
      let i = o;
      return t && (r.setAttribute("href", i), i = r.href), r.setAttribute("href", i), {
        href: r.href,
        protocol: r.protocol ? r.protocol.replace(/:$/, "") : "",
        host: r.host,
        search: r.search ? r.search.replace(/^\?/, "") : "",
        hash: r.hash ? r.hash.replace(/^#/, "") : "",
        hostname: r.hostname,
        port: r.port,
        pathname: r.pathname.charAt(0) === "/" ? r.pathname : "/" + r.pathname
      };
    }
    return a = n(window.location.href), function(i) {
      const l = v.isString(i) ? n(i) : i;
      return l.protocol === a.protocol && l.host === a.host;
    };
  }()
) : (
  // Non standard browser envs (web workers, react-native) lack needed support.
  function() {
    return function() {
      return !0;
    };
  }()
), wm = ae.hasStandardBrowserEnv ? (
  // Standard browser envs support document.cookie
  {
    write(e, t, r, a, n, o) {
      const i = [e + "=" + encodeURIComponent(t)];
      v.isNumber(r) && i.push("expires=" + new Date(r).toGMTString()), v.isString(a) && i.push("path=" + a), v.isString(n) && i.push("domain=" + n), o === !0 && i.push("secure"), document.cookie = i.join("; ");
    },
    read(e) {
      const t = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)"));
      return t ? decodeURIComponent(t[3]) : null;
    },
    remove(e) {
      this.write(e, "", Date.now() - 864e5);
    }
  }
) : (
  // Non-standard browser env (web workers, react-native) lack needed support.
  {
    write() {
    },
    read() {
      return null;
    },
    remove() {
    }
  }
);
function vm(e) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(e);
}
function bm(e, t) {
  return t ? e.replace(/\/?\/$/, "") + "/" + t.replace(/^\/+/, "") : e;
}
function ti(e, t) {
  return e && !vm(t) ? bm(e, t) : t;
}
const ka = (e) => e instanceof se ? { ...e } : e;
function be(e, t) {
  t = t || {};
  const r = {};
  function a(m, u, p) {
    return v.isPlainObject(m) && v.isPlainObject(u) ? v.merge.call({ caseless: p }, m, u) : v.isPlainObject(u) ? v.merge({}, u) : v.isArray(u) ? u.slice() : u;
  }
  function n(m, u, p) {
    if (v.isUndefined(u)) {
      if (!v.isUndefined(m))
        return a(void 0, m, p);
    } else
      return a(m, u, p);
  }
  function o(m, u) {
    if (!v.isUndefined(u))
      return a(void 0, u);
  }
  function i(m, u) {
    if (v.isUndefined(u)) {
      if (!v.isUndefined(m))
        return a(void 0, m);
    } else
      return a(void 0, u);
  }
  function l(m, u, p) {
    if (p in t)
      return a(m, u);
    if (p in e)
      return a(void 0, m);
  }
  const d = {
    url: o,
    method: o,
    data: o,
    baseURL: i,
    transformRequest: i,
    transformResponse: i,
    paramsSerializer: i,
    timeout: i,
    timeoutMessage: i,
    withCredentials: i,
    withXSRFToken: i,
    adapter: i,
    responseType: i,
    xsrfCookieName: i,
    xsrfHeaderName: i,
    onUploadProgress: i,
    onDownloadProgress: i,
    decompress: i,
    maxContentLength: i,
    maxBodyLength: i,
    beforeRedirect: i,
    transport: i,
    httpAgent: i,
    httpsAgent: i,
    cancelToken: i,
    socketPath: i,
    responseEncoding: i,
    validateStatus: l,
    headers: (m, u) => n(ka(m), ka(u), !0)
  };
  return v.forEach(Object.keys(Object.assign({}, e, t)), function(u) {
    const p = d[u] || n, g = p(e[u], t[u], u);
    v.isUndefined(g) && p !== l || (r[u] = g);
  }), r;
}
const ri = (e) => {
  const t = be({}, e);
  let { data: r, withXSRFToken: a, xsrfHeaderName: n, xsrfCookieName: o, headers: i, auth: l } = t;
  t.headers = i = se.from(i), t.url = Yo(ti(t.baseURL, t.url), e.params, e.paramsSerializer), l && i.set(
    "Authorization",
    "Basic " + btoa((l.username || "") + ":" + (l.password ? unescape(encodeURIComponent(l.password)) : ""))
  );
  let d;
  if (v.isFormData(r)) {
    if (ae.hasStandardBrowserEnv || ae.hasStandardBrowserWebWorkerEnv)
      i.setContentType(void 0);
    else if ((d = i.getContentType()) !== !1) {
      const [m, ...u] = d ? d.split(";").map((p) => p.trim()).filter(Boolean) : [];
      i.setContentType([m || "multipart/form-data", ...u].join("; "));
    }
  }
  if (ae.hasStandardBrowserEnv && (a && v.isFunction(a) && (a = a(t)), a || a !== !1 && ym(t.url))) {
    const m = n && o && wm.read(o);
    m && i.set(n, m);
  }
  return t;
}, xm = typeof XMLHttpRequest < "u", _m = xm && function(e) {
  return new Promise(function(r, a) {
    const n = ri(e);
    let o = n.data;
    const i = se.from(n.headers).normalize();
    let { responseType: l } = n, d;
    function m() {
      n.cancelToken && n.cancelToken.unsubscribe(d), n.signal && n.signal.removeEventListener("abort", d);
    }
    let u = new XMLHttpRequest();
    u.open(n.method.toUpperCase(), n.url, !0), u.timeout = n.timeout;
    function p() {
      if (!u)
        return;
      const f = se.from(
        "getAllResponseHeaders" in u && u.getAllResponseHeaders()
      ), y = {
        data: !l || l === "text" || l === "json" ? u.responseText : u.response,
        status: u.status,
        statusText: u.statusText,
        headers: f,
        config: e,
        request: u
      };
      ei(function(b) {
        r(b), m();
      }, function(b) {
        a(b), m();
      }, y), u = null;
    }
    "onloadend" in u ? u.onloadend = p : u.onreadystatechange = function() {
      !u || u.readyState !== 4 || u.status === 0 && !(u.responseURL && u.responseURL.indexOf("file:") === 0) || setTimeout(p);
    }, u.onabort = function() {
      u && (a(new F("Request aborted", F.ECONNABORTED, n, u)), u = null);
    }, u.onerror = function() {
      a(new F("Network Error", F.ERR_NETWORK, n, u)), u = null;
    }, u.ontimeout = function() {
      let h = n.timeout ? "timeout of " + n.timeout + "ms exceeded" : "timeout exceeded";
      const y = n.transitional || Xo;
      n.timeoutErrorMessage && (h = n.timeoutErrorMessage), a(new F(
        h,
        y.clarifyTimeoutError ? F.ETIMEDOUT : F.ECONNABORTED,
        n,
        u
      )), u = null;
    }, o === void 0 && i.setContentType(null), "setRequestHeader" in u && v.forEach(i.toJSON(), function(h, y) {
      u.setRequestHeader(y, h);
    }), v.isUndefined(n.withCredentials) || (u.withCredentials = !!n.withCredentials), l && l !== "json" && (u.responseType = n.responseType), typeof n.onDownloadProgress == "function" && u.addEventListener("progress", mt(n.onDownloadProgress, !0)), typeof n.onUploadProgress == "function" && u.upload && u.upload.addEventListener("progress", mt(n.onUploadProgress)), (n.cancelToken || n.signal) && (d = (f) => {
      u && (a(!f || f.type ? new De(null, e, u) : f), u.abort(), u = null);
    }, n.cancelToken && n.cancelToken.subscribe(d), n.signal && (n.signal.aborted ? d() : n.signal.addEventListener("abort", d)));
    const g = gm(n.url);
    if (g && ae.protocols.indexOf(g) === -1) {
      a(new F("Unsupported protocol " + g + ":", F.ERR_BAD_REQUEST, e));
      return;
    }
    u.send(o || null);
  });
}, Nm = (e, t) => {
  let r = new AbortController(), a;
  const n = function(d) {
    if (!a) {
      a = !0, i();
      const m = d instanceof Error ? d : this.reason;
      r.abort(m instanceof F ? m : new De(m instanceof Error ? m.message : m));
    }
  };
  let o = t && setTimeout(() => {
    n(new F(`timeout ${t} of ms exceeded`, F.ETIMEDOUT));
  }, t);
  const i = () => {
    e && (o && clearTimeout(o), o = null, e.forEach((d) => {
      d && (d.removeEventListener ? d.removeEventListener("abort", n) : d.unsubscribe(n));
    }), e = null);
  };
  e.forEach((d) => d && d.addEventListener && d.addEventListener("abort", n));
  const { signal: l } = r;
  return l.unsubscribe = i, [l, () => {
    o && clearTimeout(o), o = null;
  }];
}, Sm = Nm, Cm = function* (e, t) {
  let r = e.byteLength;
  if (!t || r < t) {
    yield e;
    return;
  }
  let a = 0, n;
  for (; a < r; )
    n = a + t, yield e.slice(a, n), a = n;
}, Rm = async function* (e, t, r) {
  for await (const a of e)
    yield* Cm(ArrayBuffer.isView(a) ? a : await r(String(a)), t);
}, qa = (e, t, r, a, n) => {
  const o = Rm(e, t, n);
  let i = 0;
  return new ReadableStream({
    type: "bytes",
    async pull(l) {
      const { done: d, value: m } = await o.next();
      if (d) {
        l.close(), a();
        return;
      }
      let u = m.byteLength;
      r && r(i += u), l.enqueue(new Uint8Array(m));
    },
    cancel(l) {
      return a(l), o.return();
    }
  }, {
    highWaterMark: 2
  });
}, Ma = (e, t) => {
  const r = e != null;
  return (a) => setTimeout(() => t({
    lengthComputable: r,
    total: e,
    loaded: a
  }));
}, _t = typeof fetch == "function" && typeof Request == "function" && typeof Response == "function", ni = _t && typeof ReadableStream == "function", Nn = _t && (typeof TextEncoder == "function" ? ((e) => (t) => e.encode(t))(new TextEncoder()) : async (e) => new Uint8Array(await new Response(e).arrayBuffer())), Tm = ni && (() => {
  let e = !1;
  const t = new Request(ae.origin, {
    body: new ReadableStream(),
    method: "POST",
    get duplex() {
      return e = !0, "half";
    }
  }).headers.has("Content-Type");
  return e && !t;
})(), za = 64 * 1024, Sn = ni && !!(() => {
  try {
    return v.isReadableStream(new Response("").body);
  } catch {
  }
})(), ut = {
  stream: Sn && ((e) => e.body)
};
_t && ((e) => {
  ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((t) => {
    !ut[t] && (ut[t] = v.isFunction(e[t]) ? (r) => r[t]() : (r, a) => {
      throw new F(`Response type '${t}' is not supported`, F.ERR_NOT_SUPPORT, a);
    });
  });
})(new Response());
const Pm = async (e) => {
  if (e == null)
    return 0;
  if (v.isBlob(e))
    return e.size;
  if (v.isSpecCompliantForm(e))
    return (await new Request(e).arrayBuffer()).byteLength;
  if (v.isArrayBufferView(e))
    return e.byteLength;
  if (v.isURLSearchParams(e) && (e = e + ""), v.isString(e))
    return (await Nn(e)).byteLength;
}, Am = async (e, t) => {
  const r = v.toFiniteNumber(e.getContentLength());
  return r ?? Pm(t);
}, Im = _t && (async (e) => {
  let {
    url: t,
    method: r,
    data: a,
    signal: n,
    cancelToken: o,
    timeout: i,
    onDownloadProgress: l,
    onUploadProgress: d,
    responseType: m,
    headers: u,
    withCredentials: p = "same-origin",
    fetchOptions: g
  } = ri(e);
  m = m ? (m + "").toLowerCase() : "text";
  let [f, h] = n || o || i ? Sm([n, o], i) : [], y, x;
  const b = () => {
    !y && setTimeout(() => {
      f && f.unsubscribe();
    }), y = !0;
  };
  let S;
  try {
    if (d && Tm && r !== "get" && r !== "head" && (S = await Am(u, a)) !== 0) {
      let C = new Request(t, {
        method: "POST",
        body: a,
        duplex: "half"
      }), P;
      v.isFormData(a) && (P = C.headers.get("content-type")) && u.setContentType(P), C.body && (a = qa(C.body, za, Ma(
        S,
        mt(d)
      ), null, Nn));
    }
    v.isString(p) || (p = p ? "cors" : "omit"), x = new Request(t, {
      ...g,
      signal: f,
      method: r.toUpperCase(),
      headers: u.normalize().toJSON(),
      body: a,
      duplex: "half",
      withCredentials: p
    });
    let E = await fetch(x);
    const w = Sn && (m === "stream" || m === "response");
    if (Sn && (l || w)) {
      const C = {};
      ["status", "statusText", "headers"].forEach((D) => {
        C[D] = E[D];
      });
      const P = v.toFiniteNumber(E.headers.get("content-length"));
      E = new Response(
        qa(E.body, za, l && Ma(
          P,
          mt(l, !0)
        ), w && b, Nn),
        C
      );
    }
    m = m || "text";
    let N = await ut[v.findKey(ut, m) || "text"](E, e);
    return !w && b(), h && h(), await new Promise((C, P) => {
      ei(C, P, {
        data: N,
        headers: se.from(E.headers),
        status: E.status,
        statusText: E.statusText,
        config: e,
        request: x
      });
    });
  } catch (E) {
    throw b(), E && E.name === "TypeError" && /fetch/i.test(E.message) ? Object.assign(
      new F("Network Error", F.ERR_NETWORK, e, x),
      {
        cause: E.cause || E
      }
    ) : F.from(E, E && E.code, e, x);
  }
}), Cn = {
  http: Gc,
  xhr: _m,
  fetch: Im
};
v.forEach(Cn, (e, t) => {
  if (e) {
    try {
      Object.defineProperty(e, "name", { value: t });
    } catch {
    }
    Object.defineProperty(e, "adapterName", { value: t });
  }
});
const ja = (e) => `- ${e}`, Om = (e) => v.isFunction(e) || e === null || e === !1, ai = {
  getAdapter: (e) => {
    e = v.isArray(e) ? e : [e];
    const { length: t } = e;
    let r, a;
    const n = {};
    for (let o = 0; o < t; o++) {
      r = e[o];
      let i;
      if (a = r, !Om(r) && (a = Cn[(i = String(r)).toLowerCase()], a === void 0))
        throw new F(`Unknown adapter '${i}'`);
      if (a)
        break;
      n[i || "#" + o] = a;
    }
    if (!a) {
      const o = Object.entries(n).map(
        ([l, d]) => `adapter ${l} ` + (d === !1 ? "is not supported by the environment" : "is not available in the build")
      );
      let i = t ? o.length > 1 ? `since :
` + o.map(ja).join(`
`) : " " + ja(o[0]) : "as no adapter specified";
      throw new F(
        "There is no suitable adapter to dispatch the request " + i,
        "ERR_NOT_SUPPORT"
      );
    }
    return a;
  },
  adapters: Cn
};
function Jt(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new De(null, e);
}
function Ba(e) {
  return Jt(e), e.headers = se.from(e.headers), e.data = Kt.call(
    e,
    e.transformRequest
  ), ["post", "put", "patch"].indexOf(e.method) !== -1 && e.headers.setContentType("application/x-www-form-urlencoded", !1), ai.getAdapter(e.adapter || ra.adapter)(e).then(function(a) {
    return Jt(e), a.data = Kt.call(
      e,
      e.transformResponse,
      a
    ), a.headers = se.from(a.headers), a;
  }, function(a) {
    return Qo(a) || (Jt(e), a && a.response && (a.response.data = Kt.call(
      e,
      e.transformResponse,
      a.response
    ), a.response.headers = se.from(a.response.headers))), Promise.reject(a);
  });
}
const si = "1.7.2", na = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e, t) => {
  na[e] = function(a) {
    return typeof a === e || "a" + (t < 1 ? "n " : " ") + e;
  };
});
const Ha = {};
na.transitional = function(t, r, a) {
  function n(o, i) {
    return "[Axios v" + si + "] Transitional option '" + o + "'" + i + (a ? ". " + a : "");
  }
  return (o, i, l) => {
    if (t === !1)
      throw new F(
        n(i, " has been removed" + (r ? " in " + r : "")),
        F.ERR_DEPRECATED
      );
    return r && !Ha[i] && (Ha[i] = !0, console.warn(
      n(
        i,
        " has been deprecated since v" + r + " and will be removed in the near future"
      )
    )), t ? t(o, i, l) : !0;
  };
};
function Dm(e, t, r) {
  if (typeof e != "object")
    throw new F("options must be an object", F.ERR_BAD_OPTION_VALUE);
  const a = Object.keys(e);
  let n = a.length;
  for (; n-- > 0; ) {
    const o = a[n], i = t[o];
    if (i) {
      const l = e[o], d = l === void 0 || i(l, o, e);
      if (d !== !0)
        throw new F("option " + o + " must be " + d, F.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (r !== !0)
      throw new F("Unknown option " + o, F.ERR_BAD_OPTION);
  }
}
const Rn = {
  assertOptions: Dm,
  validators: na
}, ge = Rn.validators;
class dt {
  constructor(t) {
    this.defaults = t, this.interceptors = {
      request: new La(),
      response: new La()
    };
  }
  /**
   * Dispatch a request
   *
   * @param {String|Object} configOrUrl The config specific for this request (merged with this.defaults)
   * @param {?Object} config
   *
   * @returns {Promise} The Promise to be fulfilled
   */
  async request(t, r) {
    try {
      return await this._request(t, r);
    } catch (a) {
      if (a instanceof Error) {
        let n;
        Error.captureStackTrace ? Error.captureStackTrace(n = {}) : n = new Error();
        const o = n.stack ? n.stack.replace(/^.+\n/, "") : "";
        try {
          a.stack ? o && !String(a.stack).endsWith(o.replace(/^.+\n.+\n/, "")) && (a.stack += `
` + o) : a.stack = o;
        } catch {
        }
      }
      throw a;
    }
  }
  _request(t, r) {
    typeof t == "string" ? (r = r || {}, r.url = t) : r = t || {}, r = be(this.defaults, r);
    const { transitional: a, paramsSerializer: n, headers: o } = r;
    a !== void 0 && Rn.assertOptions(a, {
      silentJSONParsing: ge.transitional(ge.boolean),
      forcedJSONParsing: ge.transitional(ge.boolean),
      clarifyTimeoutError: ge.transitional(ge.boolean)
    }, !1), n != null && (v.isFunction(n) ? r.paramsSerializer = {
      serialize: n
    } : Rn.assertOptions(n, {
      encode: ge.function,
      serialize: ge.function
    }, !0)), r.method = (r.method || this.defaults.method || "get").toLowerCase();
    let i = o && v.merge(
      o.common,
      o[r.method]
    );
    o && v.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (h) => {
        delete o[h];
      }
    ), r.headers = se.concat(i, o);
    const l = [];
    let d = !0;
    this.interceptors.request.forEach(function(y) {
      typeof y.runWhen == "function" && y.runWhen(r) === !1 || (d = d && y.synchronous, l.unshift(y.fulfilled, y.rejected));
    });
    const m = [];
    this.interceptors.response.forEach(function(y) {
      m.push(y.fulfilled, y.rejected);
    });
    let u, p = 0, g;
    if (!d) {
      const h = [Ba.bind(this), void 0];
      for (h.unshift.apply(h, l), h.push.apply(h, m), g = h.length, u = Promise.resolve(r); p < g; )
        u = u.then(h[p++], h[p++]);
      return u;
    }
    g = l.length;
    let f = r;
    for (p = 0; p < g; ) {
      const h = l[p++], y = l[p++];
      try {
        f = h(f);
      } catch (x) {
        y.call(this, x);
        break;
      }
    }
    try {
      u = Ba.call(this, f);
    } catch (h) {
      return Promise.reject(h);
    }
    for (p = 0, g = m.length; p < g; )
      u = u.then(m[p++], m[p++]);
    return u;
  }
  getUri(t) {
    t = be(this.defaults, t);
    const r = ti(t.baseURL, t.url);
    return Yo(r, t.params, t.paramsSerializer);
  }
}
v.forEach(["delete", "get", "head", "options"], function(t) {
  dt.prototype[t] = function(r, a) {
    return this.request(be(a || {}, {
      method: t,
      url: r,
      data: (a || {}).data
    }));
  };
});
v.forEach(["post", "put", "patch"], function(t) {
  function r(a) {
    return function(o, i, l) {
      return this.request(be(l || {}, {
        method: t,
        headers: a ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: o,
        data: i
      }));
    };
  }
  dt.prototype[t] = r(), dt.prototype[t + "Form"] = r(!0);
});
const it = dt;
class aa {
  constructor(t) {
    if (typeof t != "function")
      throw new TypeError("executor must be a function.");
    let r;
    this.promise = new Promise(function(o) {
      r = o;
    });
    const a = this;
    this.promise.then((n) => {
      if (!a._listeners)
        return;
      let o = a._listeners.length;
      for (; o-- > 0; )
        a._listeners[o](n);
      a._listeners = null;
    }), this.promise.then = (n) => {
      let o;
      const i = new Promise((l) => {
        a.subscribe(l), o = l;
      }).then(n);
      return i.cancel = function() {
        a.unsubscribe(o);
      }, i;
    }, t(function(o, i, l) {
      a.reason || (a.reason = new De(o, i, l), r(a.reason));
    });
  }
  /**
   * Throws a `CanceledError` if cancellation has been requested.
   */
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  /**
   * Subscribe to the cancel signal
   */
  subscribe(t) {
    if (this.reason) {
      t(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(t) : this._listeners = [t];
  }
  /**
   * Unsubscribe from the cancel signal
   */
  unsubscribe(t) {
    if (!this._listeners)
      return;
    const r = this._listeners.indexOf(t);
    r !== -1 && this._listeners.splice(r, 1);
  }
  /**
   * Returns an object that contains a new `CancelToken` and a function that, when called,
   * cancels the `CancelToken`.
   */
  static source() {
    let t;
    return {
      token: new aa(function(n) {
        t = n;
      }),
      cancel: t
    };
  }
}
const Lm = aa;
function Fm(e) {
  return function(r) {
    return e.apply(null, r);
  };
}
function km(e) {
  return v.isObject(e) && e.isAxiosError === !0;
}
const Tn = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(Tn).forEach(([e, t]) => {
  Tn[t] = e;
});
const qm = Tn;
function oi(e) {
  const t = new it(e), r = Mo(it.prototype.request, t);
  return v.extend(r, it.prototype, t, { allOwnKeys: !0 }), v.extend(r, t, null, { allOwnKeys: !0 }), r.create = function(n) {
    return oi(be(e, n));
  }, r;
}
const W = oi(ra);
W.Axios = it;
W.CanceledError = De;
W.CancelToken = Lm;
W.isCancel = Qo;
W.VERSION = si;
W.toFormData = bt;
W.AxiosError = F;
W.Cancel = W.CanceledError;
W.all = function(t) {
  return Promise.all(t);
};
W.spread = Fm;
W.isAxiosError = km;
W.mergeConfig = be;
W.AxiosHeaders = se;
W.formToJSON = (e) => Vo(v.isHTMLForm(e) ? new FormData(e) : e);
W.getAdapter = ai.getAdapter;
W.HttpStatusCode = qm;
W.default = W;
const sa = W, Mm = ({ moveToSignup: e, changeDirection: t }) => {
  const [r, a] = R(!1), n = {
    email: "",
    password: ""
  }, o = _.object({
    email: _.string().min(1, "Email is required").email("Invalid email address"),
    password: _.string().min(1, "Password is required")
  }), i = We({
    resolver: Ae(o),
    defaultValues: n
  }), {
    handleSubmit: l,
    register: d,
    formState: { errors: m }
  } = i;
  async function u(p) {
    var h, y, x, b, S, E, w, N, C;
    const { email: g, password: f } = p;
    a(!0);
    try {
      const P = `${process.env.NEXT_PUBLIC_API_URL}/api/v1/user/login`, D = await sa.post(P, { email: g, password: f });
      ((h = D == null ? void 0 : D.data) == null ? void 0 : h.status) === 1 ? (q.success(((y = D == null ? void 0 : D.data) == null ? void 0 : y.message) || "Login successfull"), localStorage.setItem(
        "userDetails",
        JSON.stringify((b = (x = D == null ? void 0 : D.data) == null ? void 0 : x.responseData) == null ? void 0 : b.user)
      ), localStorage.setItem(
        "accessToken",
        JSON.stringify((E = (S = D == null ? void 0 : D.data) == null ? void 0 : S.responseData) == null ? void 0 : E.accessToken)
      ), t()) : q.error(((w = D == null ? void 0 : D.data) == null ? void 0 : w.message) || "Something went wrong!");
    } catch (P) {
      console.error("Login error", P), q.error(((C = (N = P == null ? void 0 : P.response) == null ? void 0 : N.data) == null ? void 0 : C.message) || "Something went wrong!");
    } finally {
      a(!1);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-center min-h-screen bg-gray-100" }, /* @__PURE__ */ s.createElement("div", { className: "bg-white p-8 rounded shadow-md w-full max-w-md" }, /* @__PURE__ */ s.createElement("h2", { className: "text-2xl font-bold mb-2" }, "Welcome back"), /* @__PURE__ */ s.createElement("p", { className: "mb-6" }, "Sign in to your account"), /* @__PURE__ */ s.createElement(je, { title: "Continue with GitHub", type: "outline" }), /* @__PURE__ */ s.createElement("div", { className: "h-4" }), /* @__PURE__ */ s.createElement(je, { title: "Continue with SSO", type: "outline" }), /* @__PURE__ */ s.createElement("div", { className: "flex items-center my-4" }, /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" }), /* @__PURE__ */ s.createElement("span", { className: "mx-4" }, "or"), /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" })), /* @__PURE__ */ s.createElement(On, { ...i }, /* @__PURE__ */ s.createElement("form", { onSubmit: l(u) }, /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Email ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "email",
      placeholder: "you@example.com",
      className: "w-full p-2 border border-gray-300 rounded",
      ...d("email")
    }
  ), m.email && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, m.email.message)), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("div", { className: "flex justify-between items-center mb-2" }, /* @__PURE__ */ s.createElement("label", { className: "block text-sm font-medium text-gray-700" }, "Password ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "a",
    {
      href: "/login/forgot-password",
      className: "text-sm text-gray-500"
    },
    "Forgot Password?"
  )), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "password",
      placeholder: "********",
      className: "w-full p-2 border border-gray-300 rounded",
      ...d("password")
    }
  ), m.password && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, m.password.message)), /* @__PURE__ */ s.createElement(
    je,
    {
      title: "Sign In",
      isLoading: !0,
      disabled: r,
      type: "filled",
      bgColour: "bg-green-500"
    }
  ))), /* @__PURE__ */ s.createElement("div", { className: "text-center mt-4" }, /* @__PURE__ */ s.createElement("span", { className: "mb-2 text-sm font-medium text-gray-700" }, "Don't have an account?", " "), /* @__PURE__ */ s.createElement(
    "span",
    {
      onClick: () => {
        console.log("signup button tapped"), e();
      },
      className: "text-sm text-gray-500 underline cursor-pointer"
    },
    "Sign Up Now"
  ))));
}, zm = Mm;
var ii = {
  color: void 0,
  size: void 0,
  className: void 0,
  style: void 0,
  attr: void 0
}, Ua = s.createContext && /* @__PURE__ */ s.createContext(ii), jm = ["attr", "size", "title"];
function Bm(e, t) {
  if (e == null)
    return {};
  var r = Hm(e, t), a, n;
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    for (n = 0; n < o.length; n++)
      a = o[n], !(t.indexOf(a) >= 0) && Object.prototype.propertyIsEnumerable.call(e, a) && (r[a] = e[a]);
  }
  return r;
}
function Hm(e, t) {
  if (e == null)
    return {};
  var r = {}, a = Object.keys(e), n, o;
  for (o = 0; o < a.length; o++)
    n = a[o], !(t.indexOf(n) >= 0) && (r[n] = e[n]);
  return r;
}
function ft() {
  return ft = Object.assign ? Object.assign.bind() : function(e) {
    for (var t = 1; t < arguments.length; t++) {
      var r = arguments[t];
      for (var a in r)
        Object.prototype.hasOwnProperty.call(r, a) && (e[a] = r[a]);
    }
    return e;
  }, ft.apply(this, arguments);
}
function $a(e, t) {
  var r = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(e);
    t && (a = a.filter(function(n) {
      return Object.getOwnPropertyDescriptor(e, n).enumerable;
    })), r.push.apply(r, a);
  }
  return r;
}
function pt(e) {
  for (var t = 1; t < arguments.length; t++) {
    var r = arguments[t] != null ? arguments[t] : {};
    t % 2 ? $a(Object(r), !0).forEach(function(a) {
      Um(e, a, r[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(r)) : $a(Object(r)).forEach(function(a) {
      Object.defineProperty(e, a, Object.getOwnPropertyDescriptor(r, a));
    });
  }
  return e;
}
function Um(e, t, r) {
  return t = $m(t), t in e ? Object.defineProperty(e, t, { value: r, enumerable: !0, configurable: !0, writable: !0 }) : e[t] = r, e;
}
function $m(e) {
  var t = Wm(e, "string");
  return typeof t == "symbol" ? t : String(t);
}
function Wm(e, t) {
  if (typeof e != "object" || e === null)
    return e;
  var r = e[Symbol.toPrimitive];
  if (r !== void 0) {
    var a = r.call(e, t || "default");
    if (typeof a != "object")
      return a;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (t === "string" ? String : Number)(e);
}
function li(e) {
  return e && e.map((t, r) => /* @__PURE__ */ s.createElement(t.tag, pt({
    key: r
  }, t.attr), li(t.child)));
}
function ci(e) {
  return (t) => /* @__PURE__ */ s.createElement(Gm, ft({
    attr: pt({}, e.attr)
  }, t), li(e.child));
}
function Gm(e) {
  var t = (r) => {
    var {
      attr: a,
      size: n,
      title: o
    } = e, i = Bm(e, jm), l = n || r.size || "1em", d;
    return r.className && (d = r.className), e.className && (d = (d ? d + " " : "") + e.className), /* @__PURE__ */ s.createElement("svg", ft({
      stroke: "currentColor",
      fill: "currentColor",
      strokeWidth: "0"
    }, r.attr, a, i, {
      className: d,
      style: pt(pt({
        color: e.color || r.color
      }, r.style), e.style),
      height: l,
      width: l,
      xmlns: "http://www.w3.org/2000/svg"
    }), o && /* @__PURE__ */ s.createElement("title", null, o), e.children);
  };
  return Ua !== void 0 ? /* @__PURE__ */ s.createElement(Ua.Consumer, null, (r) => t(r)) : t(ii);
}
function Wa(e) {
  return ci({ tag: "svg", attr: { viewBox: "0 0 640 512" }, child: [{ tag: "path", attr: { d: "M320 400c-75.85 0-137.25-58.71-142.9-133.11L72.2 185.82c-13.79 17.3-26.48 35.59-36.72 55.59a32.35 32.35 0 0 0 0 29.19C89.71 376.41 197.07 448 320 448c26.91 0 52.87-4 77.89-10.46L346 397.39a144.13 144.13 0 0 1-26 2.61zm313.82 58.1l-110.55-85.44a331.25 331.25 0 0 0 81.25-102.07 32.35 32.35 0 0 0 0-29.19C550.29 135.59 442.93 64 320 64a308.15 308.15 0 0 0-147.32 37.7L45.46 3.37A16 16 0 0 0 23 6.18L3.37 31.45A16 16 0 0 0 6.18 53.9l588.36 454.73a16 16 0 0 0 22.46-2.81l19.64-25.27a16 16 0 0 0-2.82-22.45zm-183.72-142l-39.3-30.38A94.75 94.75 0 0 0 416 256a94.76 94.76 0 0 0-121.31-92.21A47.65 47.65 0 0 1 304 192a46.64 46.64 0 0 1-1.54 10l-73.61-56.89A142.31 142.31 0 0 1 320 112a143.92 143.92 0 0 1 144 144c0 21.63-5.29 41.79-13.9 60.11z" }, child: [] }] })(e);
}
function Ga(e) {
  return ci({ tag: "svg", attr: { viewBox: "0 0 576 512" }, child: [{ tag: "path", attr: { d: "M572.52 241.4C518.29 135.59 410.93 64 288 64S57.68 135.64 3.48 241.41a32.35 32.35 0 0 0 0 29.19C57.71 376.41 165.07 448 288 448s230.32-71.64 284.52-177.41a32.35 32.35 0 0 0 0-29.19zM288 400a144 144 0 1 1 144-144 143.93 143.93 0 0 1-144 144zm0-240a95.31 95.31 0 0 0-25.31 3.79 47.85 47.85 0 0 1-66.9 66.9A95.78 95.78 0 1 0 288 160z" }, child: [] }] })(e);
}
const Km = ({ moveToLogin: e }) => {
  const [t, r] = R(!1), [a, n] = R(!1), [o, i] = R(!1), l = {
    firstName: "",
    lastName: "",
    email: "",
    password: "",
    confirmPassword: ""
  }, d = _.object({
    firstName: _.string().min(1, "First Name is required"),
    lastName: _.string().min(1, "Last Name is required"),
    email: _.string().min(1, "Email is required").email("Invalid email address"),
    password: _.string().min(8, "Password must be at least 8 characters").regex(/[A-Z]/, "Password must contain at least one uppercase letter").regex(/[a-z]/, "Password must contain at least one lowercase letter").regex(/[0-9]/, "Password must contain at least one number").regex(
      /[^a-zA-Z0-9]/,
      "Password must contain at least one special character"
    ),
    confirmPassword: _.string().min(8, "Confirm Password must be at least 8 characters").regex(
      /[A-Z]/,
      "Confirm Password must contain at least one uppercase letter"
    ).regex(
      /[a-z]/,
      "Confirm Password must contain at least one lowercase letter"
    ).regex(/[0-9]/, "Confirm Password must contain at least one number").regex(
      /[^a-zA-Z0-9]/,
      "Confirm Password must contain at least one special character"
    )
  }).refine((h) => h.password === h.confirmPassword, {
    message: "Passwords must match",
    path: ["confirmPassword"]
  }), m = We({
    resolver: Ae(d),
    defaultValues: l
  }), {
    handleSubmit: u,
    register: p,
    formState: { errors: g }
  } = m;
  async function f(h) {
    var w, N, C, P, D;
    const { firstName: y, lastName: x, email: b, password: S, confirmPassword: E } = h;
    r(!0);
    try {
      const I = `${process.env.NEXT_PUBLIC_API_URL}/api/v1/user/signup`, A = await sa.post(I, {
        firstName: y,
        lastName: x,
        email: b,
        password: S,
        confirmPassword: E,
        role: "admin"
      });
      ((w = A == null ? void 0 : A.data) == null ? void 0 : w.status) === 1 ? (q.success(((N = A == null ? void 0 : A.data) == null ? void 0 : N.message) || "User created successfully!"), e(), m.reset(l)) : q.error(((C = A == null ? void 0 : A.data) == null ? void 0 : C.message) || "Something went wrong!");
    } catch (I) {
      console.error("Sign up error", I), q.error(((D = (P = I == null ? void 0 : I.response) == null ? void 0 : P.data) == null ? void 0 : D.message) || "Something went wrong...");
    } finally {
      r(!1);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-center min-h-screen bg-gray-100" }, /* @__PURE__ */ s.createElement("div", { className: "bg-white p-8 md:m-8  rounded shadow-md w-full max-w-md" }, /* @__PURE__ */ s.createElement("h2", { className: "text-2xl font-bold mb-2" }, "Get started"), /* @__PURE__ */ s.createElement("p", { className: "mb-6" }, "Create a new account"), /* @__PURE__ */ s.createElement(je, { title: "Continue with GitHub", type: "outline" }), /* @__PURE__ */ s.createElement("div", { className: "flex items-center my-4" }, /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" }), /* @__PURE__ */ s.createElement("span", { className: "mx-4" }, "or"), /* @__PURE__ */ s.createElement("div", { className: "flex-grow border-t border-gray-300" })), /* @__PURE__ */ s.createElement(On, { ...m }, /* @__PURE__ */ s.createElement("form", { onSubmit: u(f) }, /* @__PURE__ */ s.createElement("div", { className: "flex mb-4 space-x-4" }, /* @__PURE__ */ s.createElement("div", { className: "w-1/2" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "First Name ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "text",
      placeholder: "First Name",
      className: "w-full p-2 border border-gray-300 rounded",
      ...p("firstName")
    }
  ), g.firstName && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.firstName.message)), /* @__PURE__ */ s.createElement("div", { className: "w-1/2" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Last Name ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "text",
      placeholder: "Last Name",
      className: "w-full p-2 border border-gray-300 rounded",
      ...p("lastName")
    }
  ), g.lastName && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.lastName.message))), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Email ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement(
    "input",
    {
      type: "email",
      placeholder: "you@example.com",
      className: "w-full p-2 border border-gray-300 rounded",
      ...p("email")
    }
  ), g.email && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.email.message)), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Password ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement("div", { className: "relative" }, /* @__PURE__ */ s.createElement(
    "input",
    {
      type: a ? "text" : "password",
      placeholder: "Password",
      className: "w-full p-2 pr-10 border border-gray-300 rounded",
      ...p("password")
    }
  ), /* @__PURE__ */ s.createElement(
    "button",
    {
      type: "button",
      onClick: () => n(!a),
      className: "absolute right-2 top-1/2 transform -translate-y-1/2"
    },
    a ? /* @__PURE__ */ s.createElement(Wa, { className: "w-5 h-5" }) : /* @__PURE__ */ s.createElement(Ga, { className: "w-5 h-5" })
  )), g.password && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.password.message)), /* @__PURE__ */ s.createElement("div", { className: "mb-4" }, /* @__PURE__ */ s.createElement("label", { className: "block mb-2 text-sm font-medium text-gray-700" }, "Confirm Password ", /* @__PURE__ */ s.createElement("span", { className: "text-red-500	" }, "*")), /* @__PURE__ */ s.createElement("div", { className: "relative" }, /* @__PURE__ */ s.createElement(
    "input",
    {
      type: o ? "text" : "password",
      placeholder: "Confirm Password",
      className: "w-full p-2 pr-10 border border-gray-300 rounded",
      ...p("confirmPassword")
    }
  ), /* @__PURE__ */ s.createElement(
    "button",
    {
      type: "button",
      onClick: () => i(!o),
      className: "absolute right-2 top-1/2 transform -translate-y-1/2"
    },
    o ? /* @__PURE__ */ s.createElement(Wa, { className: "w-5 h-5" }) : /* @__PURE__ */ s.createElement(Ga, { className: "w-5 h-5" })
  )), g.confirmPassword && /* @__PURE__ */ s.createElement("p", { className: "text-red-500 text-sm mt-1" }, g.confirmPassword.message)), /* @__PURE__ */ s.createElement(
    je,
    {
      title: "Sign Up",
      isLoading: t,
      disabled: t,
      type: "filled",
      bgColour: "bg-green-500"
    }
  ))), /* @__PURE__ */ s.createElement("div", { className: "text-center mt-4" }, /* @__PURE__ */ s.createElement("span", { className: "mb-2 text-sm font-medium text-gray-700" }, "Have an account?", " "), /* @__PURE__ */ s.createElement(
    "span",
    {
      onClick: e,
      className: "text-sm text-gray-500 underline cursor-pointer"
    },
    "Sign In Now"
  )), /* @__PURE__ */ s.createElement("p", { className: "text-center text-sm text-gray-500 mt-6" }, "By continuing, you agree to Supabase's", " ", /* @__PURE__ */ s.createElement("a", { href: "#", className: "underline" }, "Terms of Service"), " ", "and", " ", /* @__PURE__ */ s.createElement("a", { href: "#", className: "underline" }, "Privacy Policy"), ", and to receive periodic emails with updates.")));
}, Jm = Km;
function _f({ changeDirection: e }) {
  const [t, r] = R("login");
  return localStorage.getItem("userDetails"), /* @__PURE__ */ s.createElement("div", { className: "p-20" }, t === "signup" ? /* @__PURE__ */ s.createElement(
    Jm,
    {
      moveToLogin: () => {
        console.log("Login button tapped"), r("login");
      }
    }
  ) : /* @__PURE__ */ s.createElement(
    zm,
    {
      moveToSignup: () => {
        console.log("Signup button tapped"), r("signup");
      },
      changeDirection: e
    }
  ));
}
function T(...e) {
  return Sl(Nl(e));
}
const ye = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Ca.Root,
  {
    ref: r,
    className: T(
      "peer h-4 w-4 shrink-0 rounded-sm border border-primary ring-offset-background focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 data-[state=checked]:bg-primary data-[state=checked]:text-primary-foreground",
      e
    ),
    ...t
  },
  /* @__PURE__ */ c.createElement(
    Ca.Indicator,
    {
      className: T("flex items-center justify-center text-current")
    },
    /* @__PURE__ */ c.createElement(Ln, { className: "h-4 w-4" })
  )
));
ye.displayName = "Checkbox";
const Zm = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ s.createElement(Ce, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ s.createElement(Ce, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
], oa = Et(
  "inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium ring-offset-background transition-colors focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        default: "bg-primary text-primary-foreground hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground hover:bg-destructive/90",
        outline: "border border-input bg-background hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-10 px-4 py-2",
        sm: "h-9 rounded-md px-3",
        lg: "h-11 rounded-md px-8",
        icon: "h-10 w-10"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
), M = c.forwardRef(
  ({ className: e, variant: t, size: r, asChild: a = !1, ...n }, o) => {
    const i = a ? Ao : "button";
    return /* @__PURE__ */ c.createElement(
      i,
      {
        className: T(oa({ variant: t, size: r }), e),
        ref: o,
        ...n
      }
    );
  }
);
M.displayName = "Button";
const pe = $.Root, Le = $.Trigger, Ym = c.forwardRef(({ className: e, inset: t, children: r, ...a }, n) => /* @__PURE__ */ c.createElement(
  $.SubTrigger,
  {
    ref: n,
    className: T(
      "flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none focus:bg-accent data-[state=open]:bg-accent",
      t && "pl-8",
      e
    ),
    ...a
  },
  r,
  /* @__PURE__ */ c.createElement(wl, { className: "ml-auto h-4 w-4" })
));
Ym.displayName = $.SubTrigger.displayName;
const Xm = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  $.SubContent,
  {
    ref: r,
    className: T(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...t
  }
));
Xm.displayName = $.SubContent.displayName;
const ue = c.forwardRef(({ className: e, sideOffset: t = 4, ...r }, a) => /* @__PURE__ */ c.createElement($.Portal, null, /* @__PURE__ */ c.createElement(
  $.Content,
  {
    ref: a,
    sideOffset: t,
    className: T(
      "z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover p-1 text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...r
  }
)));
ue.displayName = $.Content.displayName;
const H = c.forwardRef(({ className: e, inset: t, ...r }, a) => /* @__PURE__ */ c.createElement(
  $.Item,
  {
    ref: a,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      t && "pl-8",
      e
    ),
    ...r
  }
));
H.displayName = $.Item.displayName;
const Nt = c.forwardRef(({ className: e, children: t, checked: r, ...a }, n) => /* @__PURE__ */ c.createElement(
  $.CheckboxItem,
  {
    ref: n,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    checked: r,
    ...a
  },
  /* @__PURE__ */ c.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ c.createElement($.ItemIndicator, null, /* @__PURE__ */ c.createElement(Ln, { className: "h-4 w-4" }))),
  t
));
Nt.displayName = $.CheckboxItem.displayName;
const Vm = c.forwardRef(({ className: e, children: t, ...r }, a) => /* @__PURE__ */ c.createElement(
  $.RadioItem,
  {
    ref: a,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none transition-colors focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...r
  },
  /* @__PURE__ */ c.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ c.createElement($.ItemIndicator, null, /* @__PURE__ */ c.createElement(vl, { className: "h-2 w-2 fill-current" }))),
  t
));
Vm.displayName = $.RadioItem.displayName;
const St = c.forwardRef(({ className: e, inset: t, ...r }, a) => /* @__PURE__ */ c.createElement(
  $.Label,
  {
    ref: a,
    className: T(
      "px-2 py-1.5 text-sm font-semibold",
      t && "pl-8",
      e
    ),
    ...r
  }
));
St.displayName = $.Label.displayName;
const me = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  $.Separator,
  {
    ref: r,
    className: T("-mx-1 my-1 h-px bg-muted", e),
    ...t
  }
));
me.displayName = $.Separator.displayName;
function ze({
  column: e,
  title: t,
  className: r
}) {
  return e.getCanSort() ? /* @__PURE__ */ s.createElement("div", { className: T("flex items-center space-x-2", r) }, /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement(Le, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ s.createElement("span", null, t),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ s.createElement(Re, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ s.createElement(Te, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ s.createElement(Fn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ue, { align: "start" }, /* @__PURE__ */ s.createElement(H, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ s.createElement(Te, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ s.createElement(H, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ s.createElement(Re, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ s.createElement("div", { className: T(r) }, t);
}
function Qm({
  row: e,
  onEdit: t,
  onStatus: r
}) {
  return /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement(Le, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ s.createElement(kn, { className: "h-4 w-4" }),
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[160px]" }, /* @__PURE__ */ s.createElement(H, { onClick: () => t(e.original) }, "Edit"), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement(H, { onClick: () => r(e.original) }, e.original.status === "Active" ? "Inactive" : "Active")));
}
const ia = oe.Root, eu = oe.Portal, mi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  oe.Overlay,
  {
    ref: r,
    className: T(
      "fixed inset-0 z-50 bg-white/80 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...t
  }
));
mi.displayName = oe.Overlay.displayName;
const tu = {
  top: "inset-x-0 top-0 border-b data-[state=closed]:slide-out-to-top data-[state=open]:slide-in-from-top",
  bottom: "inset-x-0 bottom-0 border-t data-[state=closed]:slide-out-to-bottom data-[state=open]:slide-in-from-bottom",
  left: "inset-y-0 left-0 h-full w-3/4 border-r data-[state=closed]:slide-out-to-left data-[state=open]:slide-in-from-left sm:max-w-sm",
  right: "inset-y-0 right-0 h-full w-3/4 border-l data-[state=closed]:slide-out-to-right data-[state=open]:slide-in-from-right sm:max-w-sm"
}, Ct = c.forwardRef(({ side: e = "right", className: t, children: r, ...a }, n) => /* @__PURE__ */ c.createElement(eu, null, /* @__PURE__ */ c.createElement(mi, null), /* @__PURE__ */ c.createElement(
  oe.Content,
  {
    ref: n,
    className: T(
      "fixed z-50 gap-4 bg-background p-6 shadow-lg transition ease-in-out data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:duration-300 data-[state=open]:duration-500",
      tu[e],
      t
    ),
    ...a
  },
  r,
  /* @__PURE__ */ c.createElement(oe.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-background transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-secondary" }, /* @__PURE__ */ c.createElement(To, { className: "h-4 w-4" }), /* @__PURE__ */ c.createElement("span", { className: "sr-only" }, "Close"))
)));
Ct.displayName = oe.Content.displayName;
const Rt = ({
  className: e,
  ...t
}) => /* @__PURE__ */ c.createElement("div", { className: T("flex flex-col space-y-2 text-center sm:text-left", e), ...t });
Rt.displayName = "SheetHeader";
const Tt = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(oe.Title, { ref: r, className: T("text-lg font-semibold text-foreground", e), ...t }));
Tt.displayName = oe.Title.displayName;
const Pt = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(oe.Description, { ref: r, className: T("text-sm text-muted-foreground", e), ...t }));
Pt.displayName = oe.Description.displayName;
const ru = Et(
  "text-sm font-medium leading-none peer-disabled:cursor-not-allowed peer-disabled:opacity-70"
), ui = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Io.Root,
  {
    ref: r,
    className: T(ru(), e),
    ...t
  }
));
ui.displayName = Io.Root.displayName;
const nu = Ge.Provider, au = Ge.Root, su = Ge.Trigger, di = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Ge.Content,
  {
    ref: r,
    side: "bottom",
    className: T(
      "z-50 overflow-hidden rounded-md border bg-popover px-3 py-1.5 text-sm text-popover-foreground shadow-md animate-in fade-in-0 zoom-in-95 data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=closed]:zoom-out-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...t
  }
));
di.displayName = Ge.Content.displayName;
var Xe = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function ou(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var fi = {}, Pn = { exports: {} }, pi = { exports: {} };
(function(e) {
  function t(r) {
    return r && r.__esModule ? r : {
      default: r
    };
  }
  e.exports = t, e.exports.__esModule = !0, e.exports.default = e.exports;
})(pi);
var Fe = pi.exports, Ve = { exports: {} }, Zt = { exports: {} }, Ka;
function gi() {
  return Ka || (Ka = 1, function(e) {
    function t() {
      return e.exports = t = Object.assign ? Object.assign.bind() : function(r) {
        for (var a = 1; a < arguments.length; a++) {
          var n = arguments[a];
          for (var o in n)
            Object.prototype.hasOwnProperty.call(n, o) && (r[o] = n[o]);
        }
        return r;
      }, e.exports.__esModule = !0, e.exports.default = e.exports, t.apply(this, arguments);
    }
    e.exports = t, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(Zt)), Zt.exports;
}
var Qe = { exports: {} }, Yt = { exports: {} }, Ja;
function iu() {
  return Ja || (Ja = 1, function(e) {
    function t(r, a) {
      if (r == null)
        return {};
      var n = {};
      for (var o in r)
        if (Object.prototype.hasOwnProperty.call(r, o)) {
          if (a.indexOf(o) >= 0)
            continue;
          n[o] = r[o];
        }
      return n;
    }
    e.exports = t, e.exports.__esModule = !0, e.exports.default = e.exports;
  }(Yt)), Yt.exports;
}
var Xt = { exports: {} };
/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
var Za;
function la() {
  return Za || (Za = 1, function(e) {
    (function() {
      var t = {}.hasOwnProperty;
      function r() {
        for (var o = "", i = 0; i < arguments.length; i++) {
          var l = arguments[i];
          l && (o = n(o, a(l)));
        }
        return o;
      }
      function a(o) {
        if (typeof o == "string" || typeof o == "number")
          return o;
        if (typeof o != "object")
          return "";
        if (Array.isArray(o))
          return r.apply(null, o);
        if (o.toString !== Object.prototype.toString && !o.toString.toString().includes("[native code]"))
          return o.toString();
        var i = "";
        for (var l in o)
          t.call(o, l) && o[l] && (i = n(i, l));
        return i;
      }
      function n(o, i) {
        return i ? o ? o + " " + i : o + i : o;
      }
      e.exports ? (r.default = r, e.exports = r) : window.classNames = r;
    })();
  }(Xt)), Xt.exports;
}
var Vt = {}, ne = {}, Qt, Ya;
function hi() {
  if (Ya)
    return Qt;
  Ya = 1;
  function e(t) {
    return t;
  }
  return Qt = e, Qt;
}
var er, Xa;
function lu() {
  if (Xa)
    return er;
  Xa = 1;
  var e = typeof Xe == "object" && Xe && Xe.Object === Object && Xe;
  return er = e, er;
}
var tr, Va;
function Ne() {
  if (Va)
    return tr;
  Va = 1;
  var e = lu(), t = typeof self == "object" && self && self.Object === Object && self, r = e || t || Function("return this")();
  return tr = r, tr;
}
var rr, Qa;
function Ei() {
  if (Qa)
    return rr;
  Qa = 1;
  var e = Ne(), t = e.Symbol;
  return rr = t, rr;
}
var nr, es;
function cu() {
  if (es)
    return nr;
  es = 1;
  var e = Ei(), t = Object.prototype, r = t.hasOwnProperty, a = t.toString, n = e ? e.toStringTag : void 0;
  function o(i) {
    var l = r.call(i, n), d = i[n];
    try {
      i[n] = void 0;
      var m = !0;
    } catch {
    }
    var u = a.call(i);
    return m && (l ? i[n] = d : delete i[n]), u;
  }
  return nr = o, nr;
}
var ar, ts;
function mu() {
  if (ts)
    return ar;
  ts = 1;
  var e = Object.prototype, t = e.toString;
  function r(a) {
    return t.call(a);
  }
  return ar = r, ar;
}
var sr, rs;
function yi() {
  if (rs)
    return sr;
  rs = 1;
  var e = Ei(), t = cu(), r = mu(), a = "[object Null]", n = "[object Undefined]", o = e ? e.toStringTag : void 0;
  function i(l) {
    return l == null ? l === void 0 ? n : a : o && o in Object(l) ? t(l) : r(l);
  }
  return sr = i, sr;
}
var or, ns;
function Ze() {
  if (ns)
    return or;
  ns = 1;
  function e(t) {
    var r = typeof t;
    return t != null && (r == "object" || r == "function");
  }
  return or = e, or;
}
var ir, as;
function uu() {
  if (as)
    return ir;
  as = 1;
  var e = yi(), t = Ze(), r = "[object AsyncFunction]", a = "[object Function]", n = "[object GeneratorFunction]", o = "[object Proxy]";
  function i(l) {
    if (!t(l))
      return !1;
    var d = e(l);
    return d == a || d == n || d == r || d == o;
  }
  return ir = i, ir;
}
var lr, ss;
function du() {
  if (ss)
    return lr;
  ss = 1;
  var e = Ne(), t = e["__core-js_shared__"];
  return lr = t, lr;
}
var cr, os;
function fu() {
  if (os)
    return cr;
  os = 1;
  var e = du(), t = function() {
    var a = /[^.]+$/.exec(e && e.keys && e.keys.IE_PROTO || "");
    return a ? "Symbol(src)_1." + a : "";
  }();
  function r(a) {
    return !!t && t in a;
  }
  return cr = r, cr;
}
var mr, is;
function pu() {
  if (is)
    return mr;
  is = 1;
  var e = Function.prototype, t = e.toString;
  function r(a) {
    if (a != null) {
      try {
        return t.call(a);
      } catch {
      }
      try {
        return a + "";
      } catch {
      }
    }
    return "";
  }
  return mr = r, mr;
}
var ur, ls;
function gu() {
  if (ls)
    return ur;
  ls = 1;
  var e = uu(), t = fu(), r = Ze(), a = pu(), n = /[\\^$.*+?()[\]{}|]/g, o = /^\[object .+?Constructor\]$/, i = Function.prototype, l = Object.prototype, d = i.toString, m = l.hasOwnProperty, u = RegExp(
    "^" + d.call(m).replace(n, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  );
  function p(g) {
    if (!r(g) || t(g))
      return !1;
    var f = e(g) ? u : o;
    return f.test(a(g));
  }
  return ur = p, ur;
}
var dr, cs;
function hu() {
  if (cs)
    return dr;
  cs = 1;
  function e(t, r) {
    return t == null ? void 0 : t[r];
  }
  return dr = e, dr;
}
var fr, ms;
function wi() {
  if (ms)
    return fr;
  ms = 1;
  var e = gu(), t = hu();
  function r(a, n) {
    var o = t(a, n);
    return e(o) ? o : void 0;
  }
  return fr = r, fr;
}
var pr, us;
function Eu() {
  if (us)
    return pr;
  us = 1;
  var e = wi(), t = Ne(), r = e(t, "WeakMap");
  return pr = r, pr;
}
var gr, ds;
function vi() {
  if (ds)
    return gr;
  ds = 1;
  var e = Eu(), t = e && new e();
  return gr = t, gr;
}
var hr, fs;
function bi() {
  if (fs)
    return hr;
  fs = 1;
  var e = hi(), t = vi(), r = t ? function(a, n) {
    return t.set(a, n), a;
  } : e;
  return hr = r, hr;
}
var Er, ps;
function ca() {
  if (ps)
    return Er;
  ps = 1;
  var e = Ze(), t = Object.create, r = function() {
    function a() {
    }
    return function(n) {
      if (!e(n))
        return {};
      if (t)
        return t(n);
      a.prototype = n;
      var o = new a();
      return a.prototype = void 0, o;
    };
  }();
  return Er = r, Er;
}
var yr, gs;
function At() {
  if (gs)
    return yr;
  gs = 1;
  var e = ca(), t = Ze();
  function r(a) {
    return function() {
      var n = arguments;
      switch (n.length) {
        case 0:
          return new a();
        case 1:
          return new a(n[0]);
        case 2:
          return new a(n[0], n[1]);
        case 3:
          return new a(n[0], n[1], n[2]);
        case 4:
          return new a(n[0], n[1], n[2], n[3]);
        case 5:
          return new a(n[0], n[1], n[2], n[3], n[4]);
        case 6:
          return new a(n[0], n[1], n[2], n[3], n[4], n[5]);
        case 7:
          return new a(n[0], n[1], n[2], n[3], n[4], n[5], n[6]);
      }
      var o = e(a.prototype), i = a.apply(o, n);
      return t(i) ? i : o;
    };
  }
  return yr = r, yr;
}
var wr, hs;
function yu() {
  if (hs)
    return wr;
  hs = 1;
  var e = At(), t = Ne(), r = 1;
  function a(n, o, i) {
    var l = o & r, d = e(n);
    function m() {
      var u = this && this !== t && this instanceof m ? d : n;
      return u.apply(l ? i : this, arguments);
    }
    return m;
  }
  return wr = a, wr;
}
var vr, Es;
function xi() {
  if (Es)
    return vr;
  Es = 1;
  function e(t, r, a) {
    switch (a.length) {
      case 0:
        return t.call(r);
      case 1:
        return t.call(r, a[0]);
      case 2:
        return t.call(r, a[0], a[1]);
      case 3:
        return t.call(r, a[0], a[1], a[2]);
    }
    return t.apply(r, a);
  }
  return vr = e, vr;
}
var br, ys;
function _i() {
  if (ys)
    return br;
  ys = 1;
  var e = Math.max;
  function t(r, a, n, o) {
    for (var i = -1, l = r.length, d = n.length, m = -1, u = a.length, p = e(l - d, 0), g = Array(u + p), f = !o; ++m < u; )
      g[m] = a[m];
    for (; ++i < d; )
      (f || i < l) && (g[n[i]] = r[i]);
    for (; p--; )
      g[m++] = r[i++];
    return g;
  }
  return br = t, br;
}
var xr, ws;
function Ni() {
  if (ws)
    return xr;
  ws = 1;
  var e = Math.max;
  function t(r, a, n, o) {
    for (var i = -1, l = r.length, d = -1, m = n.length, u = -1, p = a.length, g = e(l - m, 0), f = Array(g + p), h = !o; ++i < g; )
      f[i] = r[i];
    for (var y = i; ++u < p; )
      f[y + u] = a[u];
    for (; ++d < m; )
      (h || i < l) && (f[y + n[d]] = r[i++]);
    return f;
  }
  return xr = t, xr;
}
var _r, vs;
function wu() {
  if (vs)
    return _r;
  vs = 1;
  function e(t, r) {
    for (var a = t.length, n = 0; a--; )
      t[a] === r && ++n;
    return n;
  }
  return _r = e, _r;
}
var Nr, bs;
function ma() {
  if (bs)
    return Nr;
  bs = 1;
  function e() {
  }
  return Nr = e, Nr;
}
var Sr, xs;
function ua() {
  if (xs)
    return Sr;
  xs = 1;
  var e = ca(), t = ma(), r = 4294967295;
  function a(n) {
    this.__wrapped__ = n, this.__actions__ = [], this.__dir__ = 1, this.__filtered__ = !1, this.__iteratees__ = [], this.__takeCount__ = r, this.__views__ = [];
  }
  return a.prototype = e(t.prototype), a.prototype.constructor = a, Sr = a, Sr;
}
var Cr, _s;
function vu() {
  if (_s)
    return Cr;
  _s = 1;
  function e() {
  }
  return Cr = e, Cr;
}
var Rr, Ns;
function Si() {
  if (Ns)
    return Rr;
  Ns = 1;
  var e = vi(), t = vu(), r = e ? function(a) {
    return e.get(a);
  } : t;
  return Rr = r, Rr;
}
var Tr, Ss;
function bu() {
  if (Ss)
    return Tr;
  Ss = 1;
  var e = {};
  return Tr = e, Tr;
}
var Pr, Cs;
function xu() {
  if (Cs)
    return Pr;
  Cs = 1;
  var e = bu(), t = Object.prototype, r = t.hasOwnProperty;
  function a(n) {
    for (var o = n.name + "", i = e[o], l = r.call(e, o) ? i.length : 0; l--; ) {
      var d = i[l], m = d.func;
      if (m == null || m == n)
        return d.name;
    }
    return o;
  }
  return Pr = a, Pr;
}
var Ar, Rs;
function Ci() {
  if (Rs)
    return Ar;
  Rs = 1;
  var e = ca(), t = ma();
  function r(a, n) {
    this.__wrapped__ = a, this.__actions__ = [], this.__chain__ = !!n, this.__index__ = 0, this.__values__ = void 0;
  }
  return r.prototype = e(t.prototype), r.prototype.constructor = r, Ar = r, Ar;
}
var Ir, Ts;
function _u() {
  if (Ts)
    return Ir;
  Ts = 1;
  var e = Array.isArray;
  return Ir = e, Ir;
}
var Or, Ps;
function Ri() {
  if (Ps)
    return Or;
  Ps = 1;
  function e(t) {
    return t != null && typeof t == "object";
  }
  return Or = e, Or;
}
var Dr, As;
function Ti() {
  if (As)
    return Dr;
  As = 1;
  function e(t, r) {
    var a = -1, n = t.length;
    for (r || (r = Array(n)); ++a < n; )
      r[a] = t[a];
    return r;
  }
  return Dr = e, Dr;
}
var Lr, Is;
function Nu() {
  if (Is)
    return Lr;
  Is = 1;
  var e = ua(), t = Ci(), r = Ti();
  function a(n) {
    if (n instanceof e)
      return n.clone();
    var o = new t(n.__wrapped__, n.__chain__);
    return o.__actions__ = r(n.__actions__), o.__index__ = n.__index__, o.__values__ = n.__values__, o;
  }
  return Lr = a, Lr;
}
var Fr, Os;
function Su() {
  if (Os)
    return Fr;
  Os = 1;
  var e = ua(), t = Ci(), r = ma(), a = _u(), n = Ri(), o = Nu(), i = Object.prototype, l = i.hasOwnProperty;
  function d(m) {
    if (n(m) && !a(m) && !(m instanceof e)) {
      if (m instanceof t)
        return m;
      if (l.call(m, "__wrapped__"))
        return o(m);
    }
    return new t(m);
  }
  return d.prototype = r.prototype, d.prototype.constructor = d, Fr = d, Fr;
}
var kr, Ds;
function Cu() {
  if (Ds)
    return kr;
  Ds = 1;
  var e = ua(), t = Si(), r = xu(), a = Su();
  function n(o) {
    var i = r(o), l = a[i];
    if (typeof l != "function" || !(i in e.prototype))
      return !1;
    if (o === l)
      return !0;
    var d = t(l);
    return !!d && o === d[0];
  }
  return kr = n, kr;
}
var qr, Ls;
function Pi() {
  if (Ls)
    return qr;
  Ls = 1;
  var e = 800, t = 16, r = Date.now;
  function a(n) {
    var o = 0, i = 0;
    return function() {
      var l = r(), d = t - (l - i);
      if (i = l, d > 0) {
        if (++o >= e)
          return arguments[0];
      } else
        o = 0;
      return n.apply(void 0, arguments);
    };
  }
  return qr = a, qr;
}
var Mr, Fs;
function Ai() {
  if (Fs)
    return Mr;
  Fs = 1;
  var e = bi(), t = Pi(), r = t(e);
  return Mr = r, Mr;
}
var zr, ks;
function Ru() {
  if (ks)
    return zr;
  ks = 1;
  var e = /\{\n\/\* \[wrapped with (.+)\] \*/, t = /,? & /;
  function r(a) {
    var n = a.match(e);
    return n ? n[1].split(t) : [];
  }
  return zr = r, zr;
}
var jr, qs;
function Tu() {
  if (qs)
    return jr;
  qs = 1;
  var e = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/;
  function t(r, a) {
    var n = a.length;
    if (!n)
      return r;
    var o = n - 1;
    return a[o] = (n > 1 ? "& " : "") + a[o], a = a.join(n > 2 ? ", " : " "), r.replace(e, `{
/* [wrapped with ` + a + `] */
`);
  }
  return jr = t, jr;
}
var Br, Ms;
function Pu() {
  if (Ms)
    return Br;
  Ms = 1;
  function e(t) {
    return function() {
      return t;
    };
  }
  return Br = e, Br;
}
var Hr, zs;
function Au() {
  if (zs)
    return Hr;
  zs = 1;
  var e = wi(), t = function() {
    try {
      var r = e(Object, "defineProperty");
      return r({}, "", {}), r;
    } catch {
    }
  }();
  return Hr = t, Hr;
}
var Ur, js;
function Iu() {
  if (js)
    return Ur;
  js = 1;
  var e = Pu(), t = Au(), r = hi(), a = t ? function(n, o) {
    return t(n, "toString", {
      configurable: !0,
      enumerable: !1,
      value: e(o),
      writable: !0
    });
  } : r;
  return Ur = a, Ur;
}
var $r, Bs;
function Ou() {
  if (Bs)
    return $r;
  Bs = 1;
  var e = Iu(), t = Pi(), r = t(e);
  return $r = r, $r;
}
var Wr, Hs;
function Du() {
  if (Hs)
    return Wr;
  Hs = 1;
  function e(t, r) {
    for (var a = -1, n = t == null ? 0 : t.length; ++a < n && r(t[a], a, t) !== !1; )
      ;
    return t;
  }
  return Wr = e, Wr;
}
var Gr, Us;
function Lu() {
  if (Us)
    return Gr;
  Us = 1;
  function e(t, r, a, n) {
    for (var o = t.length, i = a + (n ? 1 : -1); n ? i-- : ++i < o; )
      if (r(t[i], i, t))
        return i;
    return -1;
  }
  return Gr = e, Gr;
}
var Kr, $s;
function Fu() {
  if ($s)
    return Kr;
  $s = 1;
  function e(t) {
    return t !== t;
  }
  return Kr = e, Kr;
}
var Jr, Ws;
function ku() {
  if (Ws)
    return Jr;
  Ws = 1;
  function e(t, r, a) {
    for (var n = a - 1, o = t.length; ++n < o; )
      if (t[n] === r)
        return n;
    return -1;
  }
  return Jr = e, Jr;
}
var Zr, Gs;
function qu() {
  if (Gs)
    return Zr;
  Gs = 1;
  var e = Lu(), t = Fu(), r = ku();
  function a(n, o, i) {
    return o === o ? r(n, o, i) : e(n, t, i);
  }
  return Zr = a, Zr;
}
var Yr, Ks;
function Mu() {
  if (Ks)
    return Yr;
  Ks = 1;
  var e = qu();
  function t(r, a) {
    var n = r == null ? 0 : r.length;
    return !!n && e(r, a, 0) > -1;
  }
  return Yr = t, Yr;
}
var Xr, Js;
function zu() {
  if (Js)
    return Xr;
  Js = 1;
  var e = Du(), t = Mu(), r = 1, a = 2, n = 8, o = 16, i = 32, l = 64, d = 128, m = 256, u = 512, p = [
    ["ary", d],
    ["bind", r],
    ["bindKey", a],
    ["curry", n],
    ["curryRight", o],
    ["flip", u],
    ["partial", i],
    ["partialRight", l],
    ["rearg", m]
  ];
  function g(f, h) {
    return e(p, function(y) {
      var x = "_." + y[0];
      h & y[1] && !t(f, x) && f.push(x);
    }), f.sort();
  }
  return Xr = g, Xr;
}
var Vr, Zs;
function Ii() {
  if (Zs)
    return Vr;
  Zs = 1;
  var e = Ru(), t = Tu(), r = Ou(), a = zu();
  function n(o, i, l) {
    var d = i + "";
    return r(o, t(d, a(e(d), l)));
  }
  return Vr = n, Vr;
}
var Qr, Ys;
function Oi() {
  if (Ys)
    return Qr;
  Ys = 1;
  var e = Cu(), t = Ai(), r = Ii(), a = 1, n = 2, o = 4, i = 8, l = 32, d = 64;
  function m(u, p, g, f, h, y, x, b, S, E) {
    var w = p & i, N = w ? x : void 0, C = w ? void 0 : x, P = w ? y : void 0, D = w ? void 0 : y;
    p |= w ? l : d, p &= ~(w ? d : l), p & o || (p &= ~(a | n));
    var I = [
      u,
      p,
      h,
      P,
      N,
      D,
      C,
      b,
      S,
      E
    ], A = g.apply(void 0, I);
    return e(u) && t(A, I), A.placeholder = f, r(A, u, p);
  }
  return Qr = m, Qr;
}
var en, Xs;
function Di() {
  if (Xs)
    return en;
  Xs = 1;
  function e(t) {
    var r = t;
    return r.placeholder;
  }
  return en = e, en;
}
var tn, Vs;
function ju() {
  if (Vs)
    return tn;
  Vs = 1;
  var e = 9007199254740991, t = /^(?:0|[1-9]\d*)$/;
  function r(a, n) {
    var o = typeof a;
    return n = n ?? e, !!n && (o == "number" || o != "symbol" && t.test(a)) && a > -1 && a % 1 == 0 && a < n;
  }
  return tn = r, tn;
}
var rn, Qs;
function Bu() {
  if (Qs)
    return rn;
  Qs = 1;
  var e = Ti(), t = ju(), r = Math.min;
  function a(n, o) {
    for (var i = n.length, l = r(o.length, i), d = e(n); l--; ) {
      var m = o[l];
      n[l] = t(m, i) ? d[m] : void 0;
    }
    return n;
  }
  return rn = a, rn;
}
var nn, eo;
function da() {
  if (eo)
    return nn;
  eo = 1;
  var e = "__lodash_placeholder__";
  function t(r, a) {
    for (var n = -1, o = r.length, i = 0, l = []; ++n < o; ) {
      var d = r[n];
      (d === a || d === e) && (r[n] = e, l[i++] = n);
    }
    return l;
  }
  return nn = t, nn;
}
var an, to;
function Li() {
  if (to)
    return an;
  to = 1;
  var e = _i(), t = Ni(), r = wu(), a = At(), n = Oi(), o = Di(), i = Bu(), l = da(), d = Ne(), m = 1, u = 2, p = 8, g = 16, f = 128, h = 512;
  function y(x, b, S, E, w, N, C, P, D, I) {
    var A = b & f, O = b & m, L = b & u, j = b & (p | g), te = b & h, X = L ? void 0 : a(x);
    function z() {
      for (var k = arguments.length, B = Array(k), Se = k; Se--; )
        B[Se] = arguments[Se];
      if (j)
        var ke = o(z), Bt = r(B, ke);
      if (E && (B = e(B, E, w, j)), N && (B = t(B, N, C, j)), k -= Bt, j && k < I) {
        var Ht = l(B, ke);
        return n(
          x,
          b,
          y,
          z.placeholder,
          S,
          B,
          Ht,
          P,
          D,
          I - k
        );
      }
      var qe = O ? S : this, Ut = L ? qe[x] : x;
      return k = B.length, P ? B = i(B, P) : te && k > 1 && B.reverse(), A && D < k && (B.length = D), this && this !== d && this instanceof z && (Ut = X || a(Ut)), Ut.apply(qe, B);
    }
    return z;
  }
  return an = y, an;
}
var sn, ro;
function Hu() {
  if (ro)
    return sn;
  ro = 1;
  var e = xi(), t = At(), r = Li(), a = Oi(), n = Di(), o = da(), i = Ne();
  function l(d, m, u) {
    var p = t(d);
    function g() {
      for (var f = arguments.length, h = Array(f), y = f, x = n(g); y--; )
        h[y] = arguments[y];
      var b = f < 3 && h[0] !== x && h[f - 1] !== x ? [] : o(h, x);
      if (f -= b.length, f < u)
        return a(
          d,
          m,
          r,
          g.placeholder,
          void 0,
          h,
          b,
          void 0,
          void 0,
          u - f
        );
      var S = this && this !== i && this instanceof g ? p : d;
      return e(S, this, h);
    }
    return g;
  }
  return sn = l, sn;
}
var on, no;
function Uu() {
  if (no)
    return on;
  no = 1;
  var e = xi(), t = At(), r = Ne(), a = 1;
  function n(o, i, l, d) {
    var m = i & a, u = t(o);
    function p() {
      for (var g = -1, f = arguments.length, h = -1, y = d.length, x = Array(y + f), b = this && this !== r && this instanceof p ? u : o; ++h < y; )
        x[h] = d[h];
      for (; f--; )
        x[h++] = arguments[++g];
      return e(b, m ? l : this, x);
    }
    return p;
  }
  return on = n, on;
}
var ln, ao;
function $u() {
  if (ao)
    return ln;
  ao = 1;
  var e = _i(), t = Ni(), r = da(), a = "__lodash_placeholder__", n = 1, o = 2, i = 4, l = 8, d = 128, m = 256, u = Math.min;
  function p(g, f) {
    var h = g[1], y = f[1], x = h | y, b = x < (n | o | d), S = y == d && h == l || y == d && h == m && g[7].length <= f[8] || y == (d | m) && f[7].length <= f[8] && h == l;
    if (!(b || S))
      return g;
    y & n && (g[2] = f[2], x |= h & n ? 0 : i);
    var E = f[3];
    if (E) {
      var w = g[3];
      g[3] = w ? e(w, E, f[4]) : E, g[4] = w ? r(g[3], a) : f[4];
    }
    return E = f[5], E && (w = g[5], g[5] = w ? t(w, E, f[6]) : E, g[6] = w ? r(g[5], a) : f[6]), E = f[7], E && (g[7] = E), y & d && (g[8] = g[8] == null ? f[8] : u(g[8], f[8])), g[9] == null && (g[9] = f[9]), g[0] = f[0], g[1] = x, g;
  }
  return ln = p, ln;
}
var cn, so;
function Wu() {
  if (so)
    return cn;
  so = 1;
  var e = /\s/;
  function t(r) {
    for (var a = r.length; a-- && e.test(r.charAt(a)); )
      ;
    return a;
  }
  return cn = t, cn;
}
var mn, oo;
function Gu() {
  if (oo)
    return mn;
  oo = 1;
  var e = Wu(), t = /^\s+/;
  function r(a) {
    return a && a.slice(0, e(a) + 1).replace(t, "");
  }
  return mn = r, mn;
}
var un, io;
function Ku() {
  if (io)
    return un;
  io = 1;
  var e = yi(), t = Ri(), r = "[object Symbol]";
  function a(n) {
    return typeof n == "symbol" || t(n) && e(n) == r;
  }
  return un = a, un;
}
var dn, lo;
function Ju() {
  if (lo)
    return dn;
  lo = 1;
  var e = Gu(), t = Ze(), r = Ku(), a = 0 / 0, n = /^[-+]0x[0-9a-f]+$/i, o = /^0b[01]+$/i, i = /^0o[0-7]+$/i, l = parseInt;
  function d(m) {
    if (typeof m == "number")
      return m;
    if (r(m))
      return a;
    if (t(m)) {
      var u = typeof m.valueOf == "function" ? m.valueOf() : m;
      m = t(u) ? u + "" : u;
    }
    if (typeof m != "string")
      return m === 0 ? m : +m;
    m = e(m);
    var p = o.test(m);
    return p || i.test(m) ? l(m.slice(2), p ? 2 : 8) : n.test(m) ? a : +m;
  }
  return dn = d, dn;
}
var fn, co;
function Zu() {
  if (co)
    return fn;
  co = 1;
  var e = Ju(), t = 1 / 0, r = 17976931348623157e292;
  function a(n) {
    if (!n)
      return n === 0 ? n : 0;
    if (n = e(n), n === t || n === -t) {
      var o = n < 0 ? -1 : 1;
      return o * r;
    }
    return n === n ? n : 0;
  }
  return fn = a, fn;
}
var pn, mo;
function Yu() {
  if (mo)
    return pn;
  mo = 1;
  var e = Zu();
  function t(r) {
    var a = e(r), n = a % 1;
    return a === a ? n ? a - n : a : 0;
  }
  return pn = t, pn;
}
var gn, uo;
function Xu() {
  if (uo)
    return gn;
  uo = 1;
  var e = bi(), t = yu(), r = Hu(), a = Li(), n = Uu(), o = Si(), i = $u(), l = Ai(), d = Ii(), m = Yu(), u = "Expected a function", p = 1, g = 2, f = 8, h = 16, y = 32, x = 64, b = Math.max;
  function S(E, w, N, C, P, D, I, A) {
    var O = w & g;
    if (!O && typeof E != "function")
      throw new TypeError(u);
    var L = C ? C.length : 0;
    if (L || (w &= ~(y | x), C = P = void 0), I = I === void 0 ? I : b(m(I), 0), A = A === void 0 ? A : m(A), L -= P ? P.length : 0, w & x) {
      var j = C, te = P;
      C = P = void 0;
    }
    var X = O ? void 0 : o(E), z = [
      E,
      w,
      N,
      C,
      P,
      j,
      te,
      D,
      I,
      A
    ];
    if (X && i(z, X), E = z[0], w = z[1], N = z[2], C = z[3], P = z[4], A = z[9] = z[9] === void 0 ? O ? 0 : E.length : b(z[9] - L, 0), !A && w & (f | h) && (w &= ~(f | h)), !w || w == p)
      var k = t(E, w, N);
    else
      w == f || w == h ? k = r(E, w, A) : (w == y || w == (p | y)) && !P.length ? k = n(E, w, N, C) : k = a.apply(void 0, z);
    var B = X ? e : l;
    return d(B(k, z), E, w);
  }
  return gn = S, gn;
}
var hn, fo;
function Vu() {
  if (fo)
    return hn;
  fo = 1;
  var e = Xu(), t = 8;
  function r(a, n, o) {
    n = o ? void 0 : n;
    var i = e(a, t, void 0, void 0, void 0, void 0, void 0, n);
    return i.placeholder = r.placeholder, i;
  }
  return r.placeholder = {}, hn = r, hn;
}
var po;
function fa() {
  if (po)
    return ne;
  po = 1;
  var e = Fe;
  ne.__esModule = !0, ne.prefix = ne.defaultClassPrefix = ne.getClassNamePrefix = ne.globalKey = void 0;
  var t = e(Vu()), r = e(la()), a = "rs-";
  ne.globalKey = a;
  var n = function() {
    return a;
  };
  ne.getClassNamePrefix = n;
  var o = function(d) {
    return d ? "" + n() + d : void 0;
  };
  ne.defaultClassPrefix = o;
  var i = (0, t.default)(function(l, d) {
    return !l || !d ? "" : Array.isArray(d) ? (0, r.default)(d.filter(function(m) {
      return !!m;
    }).map(function(m) {
      return l + "-" + m;
    })) : l + "-" + d;
  });
  return ne.prefix = i, ne;
}
var et = { exports: {} }, go;
function Qu() {
  return go || (go = 1, function(e, t) {
    var r = Fe;
    t.__esModule = !0, t.default = i;
    var a = fa(), n = r(la()), o = s;
    function i(l) {
      var d = (0, a.defaultClassPrefix)("icon"), m = (0, o.useCallback)(function(u) {
        return (0, a.prefix)(d, u);
      }, []);
      return [(0, n.default)(d, (0, a.defaultClassPrefix)(l)), m];
    }
    e.exports = t.default;
  }(et, et.exports)), et.exports;
}
var tt = { exports: {} }, ho;
function ed() {
  return ho || (ho = 1, function(e, t) {
    t.__esModule = !0, t.default = r;
    function r() {
      return typeof document < "u" && typeof window < "u" && typeof document.createElement == "function";
    }
    e.exports = t.default;
  }(tt, tt.exports)), tt.exports;
}
var rt = { exports: {} }, nt = { exports: {} }, Eo;
function td() {
  if (Eo)
    return nt.exports;
  Eo = 1;
  var e = [], t = [], r = "insert-css: You need to provide a CSS string. Usage: insertCss(cssString[, options]).";
  function a(o, i) {
    if (i = i || {}, o === void 0)
      throw new Error(r);
    var l = i.prepend === !0 ? "prepend" : "append", d = i.container !== void 0 ? i.container : document.querySelector("head"), m = e.indexOf(d);
    m === -1 && (m = e.push(d) - 1, t[m] = {});
    var u;
    return t[m] !== void 0 && t[m][l] !== void 0 ? u = t[m][l] : (u = t[m][l] = n(), l === "prepend" ? d.insertBefore(u, d.childNodes[0]) : d.appendChild(u)), o.charCodeAt(0) === 65279 && (o = o.substr(1, o.length)), u.styleSheet ? u.styleSheet.cssText += o : u.textContent += o, u;
  }
  function n() {
    var o = document.createElement("style");
    return o.setAttribute("type", "text/css"), o;
  }
  return nt.exports = a, nt.exports.insertCss = a, nt.exports;
}
var yo;
function rd() {
  return yo || (yo = 1, function(e, t) {
    t.__esModule = !0, t.default = void 0;
    var r = td(), a = fa(), n = s, o = (0, a.getClassNamePrefix)(), i = "." + o + `icon {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  vertical-align: middle;
}
.` + o + `icon[tabindex] {
  cursor: pointer;
}
.` + o + `icon-spin {
  -webkit-animation: icon-spin 2s infinite linear;
          animation: icon-spin 2s infinite linear;
}
.` + o + `icon-pulse {
  -webkit-animation: icon-spin 1s infinite steps(8);
          animation: icon-spin 1s infinite steps(8);
}
.` + o + `icon-flip-horizontal {
  -webkit-transform: scaleX(-1);
      -ms-transform: scaleX(-1);
          transform: scaleX(-1);
}
.` + o + `icon-flip-vertical {
  -webkit-transform: scaleY(-1);
      -ms-transform: scaleY(-1);
          transform: scaleY(-1);
}
@-webkit-keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}
@keyframes icon-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}`, l = !1, d = function(p) {
      p === void 0 && (p = i), (0, n.useEffect)(function() {
        l || ((0, r.insertCss)(p, {
          prepend: !0
        }), l = !0);
      }, []);
    }, m = d;
    t.default = m, e.exports = t.default;
  }(rt, rt.exports)), rt.exports;
}
var wo;
function nd() {
  return wo || (wo = 1, function(e) {
    var t = Fe;
    e.__esModule = !0;
    var r = {
      useClassNames: !0,
      inBrowserEnv: !0,
      useInsertStyles: !0
    };
    e.useInsertStyles = e.inBrowserEnv = e.useClassNames = void 0;
    var a = fa();
    Object.keys(a).forEach(function(l) {
      l === "default" || l === "__esModule" || Object.prototype.hasOwnProperty.call(r, l) || l in e && e[l] === a[l] || (e[l] = a[l]);
    });
    var n = t(Qu());
    e.useClassNames = n.default;
    var o = t(ed());
    e.inBrowserEnv = o.default;
    var i = t(rd());
    e.useInsertStyles = i.default;
  }(Vt)), Vt;
}
var vo;
function ad() {
  return vo || (vo = 1, function(e, t) {
    var r = Fe;
    t.__esModule = !0, t.default = void 0;
    var a = r(gi()), n = r(iu()), o = r(s), i = r(la()), l = r(Tl), d = nd(), m = {
      as: "svg",
      fill: "currentColor",
      width: "1em",
      height: "1em"
    };
    function u(f) {
      var h = {};
      return Object.entries(f).forEach(function(y) {
        var x = y[0], b = y[1];
        typeof b < "u" && (h[x] = b);
      }), h;
    }
    var p = /* @__PURE__ */ o.default.forwardRef(function(f, h) {
      var y, x = f.as, b = f.spin, S = f.pulse, E = f.flip, w = f.fill, N = f.className, C = f.rotate, P = f.children, D = f.viewBox, I = f.width, A = f.height, O = f.style, L = (0, n.default)(f, ["as", "spin", "pulse", "flip", "fill", "className", "rotate", "children", "viewBox", "width", "height", "style"]), j = (0, d.useClassNames)(), te = j[0], X = j[1], z = (0, i.default)(N, te, (y = {}, y[X("spin")] = b, y[X("pulse")] = S, y[X("flip-" + E)] = !!E, y)), k = {
        msTransform: "rotate(" + C + "deg)",
        transform: "rotate(" + C + "deg)"
      };
      (0, d.useInsertStyles)();
      var B = u({
        width: I,
        height: A,
        fill: w,
        viewBox: D,
        className: z,
        style: C ? (0, a.default)({}, k, O) : O
      });
      return /* @__PURE__ */ o.default.createElement(x, (0, a.default)({
        "aria-hidden": !0,
        focusable: !1,
        ref: h
      }, B, L), P);
    });
    p.displayName = "Icon", p.defaultProps = m, p.propTypes = {
      spin: l.default.bool,
      pulse: l.default.bool,
      rotate: l.default.number,
      viewBox: l.default.string,
      as: l.default.oneOfType([l.default.elementType, l.default.string]),
      flip: l.default.oneOf(["horizontal", "vertical"]),
      fill: l.default.string
    };
    var g = p;
    t.default = g, e.exports = t.default;
  }(Qe, Qe.exports)), Qe.exports;
}
var bo;
function sd() {
  return bo || (bo = 1, function(e, t) {
    var r = Fe;
    t.__esModule = !0, t.default = void 0;
    var a = r(gi()), n = r(s), o = r(ad());
    function i(d) {
      var m = d.as, u = d.ariaLabel, p = d.displayName, g = d.category, f = /* @__PURE__ */ n.default.forwardRef(function(h, y) {
        return /* @__PURE__ */ n.default.createElement(o.default, (0, a.default)({
          "aria-label": u,
          "data-category": g,
          ref: y,
          as: m
        }, h));
      });
      return f.displayName = p, f;
    }
    var l = i;
    t.default = l, e.exports = t.default;
  }(Ve, Ve.exports)), Ve.exports;
}
var En = {}, xo;
function od() {
  return xo || (xo = 1, function(e) {
    function t(m) {
      "@babel/helpers - typeof";
      return typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? t = function(p) {
        return typeof p;
      } : t = function(p) {
        return p && typeof Symbol == "function" && p.constructor === Symbol && p !== Symbol.prototype ? "symbol" : typeof p;
      }, t(m);
    }
    Object.defineProperty(e, "__esModule", {
      value: !0
    }), e.default = void 0;
    var r = n(s);
    function a() {
      if (typeof WeakMap != "function")
        return null;
      var m = /* @__PURE__ */ new WeakMap();
      return a = function() {
        return m;
      }, m;
    }
    function n(m) {
      if (m && m.__esModule)
        return m;
      if (m === null || t(m) !== "object" && typeof m != "function")
        return { default: m };
      var u = a();
      if (u && u.has(m))
        return u.get(m);
      var p = {}, g = Object.defineProperty && Object.getOwnPropertyDescriptor;
      for (var f in m)
        if (Object.prototype.hasOwnProperty.call(m, f)) {
          var h = g ? Object.getOwnPropertyDescriptor(m, f) : null;
          h && (h.get || h.set) ? Object.defineProperty(p, f, h) : p[f] = m[f];
        }
      return p.default = m, u && u.set(m, p), p;
    }
    function o() {
      return o = Object.assign || function(m) {
        for (var u = 1; u < arguments.length; u++) {
          var p = arguments[u];
          for (var g in p)
            Object.prototype.hasOwnProperty.call(p, g) && (m[g] = p[g]);
        }
        return m;
      }, o.apply(this, arguments);
    }
    function i(m, u) {
      return /* @__PURE__ */ r.createElement("svg", o({
        width: "1em",
        height: "1em",
        viewBox: "0 0 16 16",
        fill: "currentColor",
        ref: u
      }, m), /* @__PURE__ */ r.createElement("path", {
        d: "M8 15A7 7 0 108 1a7 7 0 000 14zm0 1A8 8 0 118 0a8 8 0 010 16z"
      }), /* @__PURE__ */ r.createElement("path", {
        d: "M9 5a1 1 0 11-2 0 1 1 0 012 0zM8 7a1 1 0 011 1v3a1 1 0 01-2 0V8a1 1 0 011-1z"
      }));
    }
    var l = /* @__PURE__ */ r.forwardRef(i), d = l;
    e.default = d;
  }(En)), En;
}
(function(e, t) {
  var r = Fe;
  t.__esModule = !0, t.default = void 0;
  var a = r(sd()), n = r(od()), o = (0, a.default)({
    as: n.default,
    ariaLabel: "info outline",
    category: "status",
    displayName: "InfoOutline"
  }), i = o;
  t.default = i, e.exports = t.default;
})(Pn, Pn.exports);
var id = Pn.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return t.default;
    }
  });
  var t = r(id);
  function r(a) {
    return a && a.__esModule ? a : { default: a };
  }
})(fi);
const ld = /* @__PURE__ */ ou(fi), Fi = ({ className: e, info: t }) => /* @__PURE__ */ s.createElement(nu, null, /* @__PURE__ */ s.createElement(au, null, /* @__PURE__ */ s.createElement(su, { asChild: !0 }, /* @__PURE__ */ s.createElement("span", { className: T("icon", e) }, /* @__PURE__ */ s.createElement(ld, { style: { fontSize: "0.9rem", marginLeft: "8px", cursor: "pointer" } }))), /* @__PURE__ */ s.createElement(di, null, /* @__PURE__ */ s.createElement("p", null, t))));
Fi.displayName = "TooltipViwer";
const cd = Fi, pa = On, ki = c.createContext(
  {}
), ga = ({
  ...e
}) => /* @__PURE__ */ c.createElement(ki.Provider, { value: { name: e.name } }, /* @__PURE__ */ c.createElement(hl, { ...e })), It = () => {
  const e = c.useContext(ki), t = c.useContext(qi), { getFieldState: r, formState: a } = Ro(), n = r(e.name, a);
  if (!e)
    throw new Error("useFormField should be used within <FormField>");
  const { id: o } = t;
  return {
    id: o,
    name: e.name,
    formItemId: `${o}-form-item`,
    formDescriptionId: `${o}-form-item-description`,
    formMessageId: `${o}-form-item-message`,
    ...n
  };
}, qi = c.createContext(
  {}
), Ot = c.forwardRef(({ className: e, ...t }, r) => {
  const a = c.useId();
  return /* @__PURE__ */ c.createElement(qi.Provider, { value: { id: a } }, /* @__PURE__ */ c.createElement("div", { ref: r, className: T("space-y-2", e), ...t }));
});
Ot.displayName = "FormItem";
const Dt = c.forwardRef(({ className: e, info: t, required: r, ...a }, n) => {
  const { error: o, formItemId: i } = It();
  return /* @__PURE__ */ c.createElement("div", { className: "flex items-center" }, /* @__PURE__ */ c.createElement(
    ui,
    {
      ref: n,
      className: T(o && "text-destructive", e),
      htmlFor: i,
      ...a
    }
  ), r && /* @__PURE__ */ c.createElement("p", { className: "text-red-500 ml-1" }, "*"), t && /* @__PURE__ */ c.createElement(cd, { info: t }));
});
Dt.displayName = "FormLabel";
const Mi = c.forwardRef(({ ...e }, t) => {
  const { error: r, formItemId: a, formDescriptionId: n, formMessageId: o } = It();
  return /* @__PURE__ */ c.createElement(
    Ao,
    {
      ref: t,
      id: a,
      "aria-describedby": r ? `${n} ${o}` : `${n}`,
      "aria-invalid": !!r,
      ...e
    }
  );
});
Mi.displayName = "FormControl";
const zi = c.forwardRef(({ className: e, ...t }, r) => {
  const { formDescriptionId: a } = It();
  return /* @__PURE__ */ c.createElement(
    "p",
    {
      ref: r,
      id: a,
      className: T("text-sm text-muted-foreground", e),
      ...t
    }
  );
});
zi.displayName = "FormDescription";
const Lt = c.forwardRef(({ className: e, children: t, ...r }, a) => {
  const { error: n, formMessageId: o } = It(), i = n ? String(n == null ? void 0 : n.message) : t;
  return i ? /* @__PURE__ */ c.createElement(
    "p",
    {
      ref: a,
      id: o,
      className: T("text-sm font-medium text-destructive", e),
      ...r
    },
    i
  ) : null;
});
Lt.displayName = "FormMessage";
function ha({ children: e, className: t, onSubmit: r }) {
  return /* @__PURE__ */ s.createElement("form", { onSubmit: r, className: t }, e);
}
const Ye = s.forwardRef(
  ({ className: e, type: t = "text", pattern: r, minLength: a, maxLength: n, info: o, ...i }, l) => {
    const [d, m] = R(!1), u = (p) => {
      const g = p.target.value;
      let f = g;
      switch (r) {
        case "Text":
          f = g.replace(/^\s+|[^A-Za-z]+/g, "");
          break;
        case "Email":
          f = g.replace(/[^A-Za-z0-9@._-]/g, "").toLowerCase();
          break;
        case "Number":
          f = g.replace(/[^\d]/g, "");
          break;
        case "GST":
          f = g.replace(/[^A-Za-z0-9]/g, "").toUpperCase();
          break;
        case "URL":
          f = g.replace(/[^A-Za-z0-9!@#$%^&*_+\-=;:'",./?]/g, "");
          break;
        case "Decimal": {
          f = g.replace(/[^\d.]/g, "");
          const h = f.split(".");
          if (h.length > 2) {
            const y = h.shift(), x = h.join("");
            f = y + "." + x;
          } else
            h[0] = h[0].slice(0, 9), h[1] && (h[1] = h[1].slice(0, 2)), f = h.join(".");
          break;
        }
        case "Text With Space":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "");
          break;
        case "Text Number":
          f = g.replace(/[^A-Za-z0-9]/g, "");
          break;
        case "Upper Case":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "").toUpperCase();
          break;
        case "Lower Case":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "").toLowerCase();
          break;
        case "Init Caps":
          f = g.replace(/^\s+|[^A-Za-z\s]+/g, "").charAt(0).toUpperCase() + g.replace(/^\s+|[^A-Za-z\s]+/g, "").slice(1).toLowerCase();
          break;
        default:
          f = g;
          break;
      }
      p.target.value = f;
    };
    return /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2 relative" }, /* @__PURE__ */ s.createElement(
      "input",
      {
        type: t === "password" ? d ? "text" : "password" : t,
        minLength: a,
        maxLength: n,
        className: T(
          "flex-1 h-10 w-full rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background file:border-0 file:bg-transparent file:text-sm file:font-medium placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50",
          e
        ),
        ref: l,
        onInput: u,
        ...i
      }
    ), t === "password" && /* @__PURE__ */ s.createElement(
      "span",
      {
        onClick: () => m((p) => !p),
        className: "absolute top-1/2 transform -translate-y-1/2 right-14 cursor-pointer",
        style: { marginRight: "-35px" }
      },
      d ? /* @__PURE__ */ s.createElement(Ra, { icon: Pl }) : /* @__PURE__ */ s.createElement(Ra, { icon: Al })
    ));
  }
);
Ye.displayName = "Input";
function de({
  label: e,
  name: t,
  description: r,
  form: a,
  pattern: n,
  maxLength: o,
  minLength: i,
  type: l,
  info: d,
  placeholder: m,
  required: u
}) {
  return /* @__PURE__ */ s.createElement(
    ga,
    {
      control: a.control,
      name: t,
      rules: {
        required: `${r} is required`,
        minLength: i ? {
          value: i,
          message: `${r} must be at least ${i} characters`
        } : void 0,
        maxLength: o ? {
          value: o,
          message: `${r} must not exceed ${o} characters`
        } : void 0
      },
      render: ({ field: p }) => /* @__PURE__ */ s.createElement(Ot, null, /* @__PURE__ */ s.createElement(Dt, { info: d, required: u }, e), /* @__PURE__ */ s.createElement(Mi, null, /* @__PURE__ */ s.createElement(
        Ye,
        {
          info: d,
          type: l,
          placeholder: m,
          minLength: i,
          maxLength: o,
          pattern: n,
          ...p
        }
      )), /* @__PURE__ */ s.createElement(Lt, null))
    }
  );
}
function md({ placeholder: e, info: t, label: r, required: a, name: n, description: o, options: i, returnLabel: l, displayLabel: d }) {
  const { control: m } = Ro(), u = i.map((g) => ({
    ...g,
    value: g && l ? g[l] : g,
    label: g && d ? g[d] : g
  })), p = (g) => u.find((f) => f.value === g);
  return /* @__PURE__ */ s.createElement(
    ga,
    {
      control: m,
      name: n,
      render: ({ field: g }) => /* @__PURE__ */ s.createElement(Ot, null, /* @__PURE__ */ s.createElement(Dt, { info: t, required: a }, r), /* @__PURE__ */ s.createElement(
        Oo,
        {
          options: u,
          onChange: (f) => g.onChange(f ? f.value : ""),
          value: p(g.value),
          placeholder: e,
          className: "react-select-container",
          classNamePrefix: "react-select"
        }
      ), /* @__PURE__ */ s.createElement(zi, null, o), /* @__PURE__ */ s.createElement(Lt, null))
    }
  );
}
function ud({ displayLabel: e, name: t, options: r, form: a, info: n, required: o, label: i }) {
  const l = r.map((m) => !m.hasOwnProperty("label") || !m.hasOwnProperty("value") ? {
    ...m,
    label: e && m.hasOwnProperty(e) ? m[e] : "Select",
    value: e && m.hasOwnProperty(e) ? m[e] : "Select"
  } : m), d = (m) => !m || typeof m != "object" || !m.hasOwnProperty("label") || !m.hasOwnProperty("value") ? {
    ...m,
    label: e && (m != null && m.hasOwnProperty(e)) ? m[e] : "Select",
    value: e && (m != null && m.hasOwnProperty(e)) ? m[e] : "Select"
  } : m;
  return /* @__PURE__ */ s.createElement(
    ga,
    {
      control: a.control,
      name: t,
      render: ({ field: m }) => /* @__PURE__ */ s.createElement(Ot, null, /* @__PURE__ */ s.createElement(Dt, { info: n, required: o }, i), /* @__PURE__ */ s.createElement(
        Oo,
        {
          value: d(m.value),
          onChange: m.onChange,
          options: l
        }
      ), /* @__PURE__ */ s.createElement(Lt, null))
    }
  );
}
function Ea({ returnLabel: e, displayLabel: t, name: r, options: a, form: n, info: o, required: i, label: l, placeholder: d }) {
  return !!(t && !e) ? /* @__PURE__ */ s.createElement(
    ud,
    {
      name: r,
      options: a,
      form: n,
      displayLabel: t,
      returnLabel: e,
      info: o,
      label: l,
      placeholder: d,
      required: i
    }
  ) : /* @__PURE__ */ s.createElement(
    md,
    {
      name: r,
      options: a,
      form: n,
      displayLabel: t,
      returnLabel: e,
      info: o,
      label: l,
      placeholder: d,
      required: i
    }
  );
}
const dd = ({
  submitType: e,
  // submitVariant,
  // clearVariant,
  submitlabel: t,
  clearlabel: r,
  loader: a,
  clearAction: n
}) => /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement("div", { style: { display: "flex", flexDirection: "row", gap: "10px", justifyContent: "end" } }, r && /* @__PURE__ */ s.createElement(M, { type: "button", onClick: n }, r), t && /* @__PURE__ */ s.createElement(M, { type: e }, a ? /* @__PURE__ */ s.createElement(bl, { className: "h-6 w-6 animate-spin" }) : t))), ya = dd, fd = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, pd = _.object({
  name: _.string().min(1, "Name is required."),
  // other fields...
  subscription_details: _.object({
    plan_id: _.string(),
    plan_name: _.string(),
    plan_validity: _.string()
  }).refine((e) => Object.values(e).every((t) => t !== ""), { message: "Subscription details are required" }),
  // status: z.string().min(1, 'required'),
  email: _.string().min(1, { message: "Email is required" }).refine((e) => fd.test(e), { message: "Invalid email format" }),
  phone: _.string().min(1, { message: "Phone number is required" }).min(8, { message: "Phone number must be at least 8 digits long" })
});
function _o({ defaultValue: e, isEdit: t, onRefresh: r, setShowSideNav: a, supabase: n }) {
  var g, f;
  R(null);
  const [o, i] = R(!1), [l, d] = R([{
    plan_id: "1",
    plan_name: "Standard",
    plan_validity: "2024-06-02"
  }, {
    plan_id: "2",
    plan_name: "Enterprice",
    plan_validity: "2024-06-02"
  }]), m = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    email: (e == null ? void 0 : e.email) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    country_code: "+91",
    plan_id: ((g = e == null ? void 0 : e.subscription_details) == null ? void 0 : g.plan_id) || "",
    plan_name: ((f = e == null ? void 0 : e.subscription_details) == null ? void 0 : f.plan_name) || "",
    subscription_details: (e == null ? void 0 : e.subscription_details) || {
      plan_id: "",
      plan_name: "",
      plan_validity: ""
    },
    status: (e == null ? void 0 : e.status) || "",
    default_user_id: (e == null ? void 0 : e.default_user_id) || "00000000-0000-0000-0000-000000000000",
    default_user_name: (e == null ? void 0 : e.default_user_name) || "",
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date()
  };
  console.log("defaultValues");
  const u = We({
    resolver: Ae(pd),
    defaultValues: m
  });
  G(() => {
    (async () => {
      try {
        const { data: { session: y }, error: x } = await n.auth.getSession();
        if (x)
          throw x;
        const b = y == null ? void 0 : y.access_token, S = await sa.get(`${process.env.NEXT_PUBLIC_SUPABASE_URL}/auth/v1/plan/`, {
          headers: {
            Authorization: `Bearer ${b}`
          }
        });
        console.log("plan list ", S.data);
        const E = S.data.plan.map((w) => ({
          plan_id: w.plan_id ?? "",
          plan_name: w.plan_name ?? "-",
          plan_validity: w.plan_validity ?? "-"
        }));
        d(E), console.log("plan list data ", E);
      } catch (y) {
        console.error("error plan", y);
      }
    })();
  }, []), G(() => {
    console.log(e, "phonephonephonephone");
    async function h(y, x) {
      try {
        const { data: b, error: S } = await n.from("tenant").select("*");
        S ? console.error(`Error fetching data from ${y}:`, S.message) : x(b || []);
      } catch (b) {
        console.error(`Error fetching data from ${y}:`, b);
      }
    }
    h("roles", d);
  }, []);
  async function p(h) {
    console.log("ff", h);
    const y = {
      ...u.getValues(),
      plan_id: h.subscription_details.plan_id,
      plan_name: h.subscription_details.plan_name,
      plan_validity: h.subscription_details.plan_validity
    };
    try {
      if (t) {
        i(!0);
        const { error: x } = await n.auth.updateTenant(y);
        x ? setTimeout(() => {
          q.error((x == null ? void 0 : x.message) ?? "Something went wrong"), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), u.reset(), q.success("Successfully updated");
        }, 2e3), r(), a(!1));
      } else {
        i(!0), console.log("Create Request Data :", u.getValues);
        const x = {
          ...u.getValues(),
          plan_id: h.subscription_details.plan_id,
          plan_name: h.subscription_details.plan_name,
          plan_validity: h.subscription_details.plan_validity
        }, { error: b } = await n.auth.createTenant(x);
        b ? setTimeout(() => {
          q.error((b == null ? void 0 : b.message) ?? "Something went wrong."), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), u.reset(), q.success("Successfully created");
        }, 2e3), r(), a(!1));
      }
    } catch (x) {
      console.error("Error fetching customers:", x);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { style: { height: "80vh", overflowY: "auto" } }, " ", /* @__PURE__ */ s.createElement("div", { style: { marginLeft: "4px", marginRight: "4px" } }, /* @__PURE__ */ s.createElement(pa, { ...u }, /* @__PURE__ */ s.createElement(ha, { onSubmit: u.handleSubmit(p), className: "space-y-8" }, /* @__PURE__ */ s.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ s.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Name",
      form: u,
      maxLength: 25
    }
  ), /* @__PURE__ */ s.createElement(
    Ea,
    {
      label: "Subscription Details",
      placeholder: "Subscription Details",
      required: !0,
      name: "subscription_details",
      options: l,
      form: u,
      displayLabel: "plan_name"
    }
  ), /* @__PURE__ */ s.createElement(
    de,
    {
      required: !0,
      label: "Phone Number",
      name: "phone",
      pattern: "[0-9]*",
      form: u,
      type: "number",
      placeholder: "Phone Number",
      maxLength: 18
    }
  ), t ? "" : /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      required: !0,
      form: u,
      pattern: "Email"
    }
  )), /* @__PURE__ */ s.createElement(
    ya,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: t === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => u.reset({ ...m, phone: "" }),
      loader: o
    }
  )))));
}
function ji({ showSideNav: e, onRefresh: t, data: r, onClose: a, isEdit: n = !1, setShowSideNav: o, supabase: i }) {
  const [l, d] = c.useState([]);
  async function m(p) {
    const { data: g, error: f } = await i.auth.getTenantById({ id: p });
    return f ? (console.error("Error fetching tenant details:", f.message), []) : g.role.Tenant;
  }
  c.useEffect(() => {
    e && (r != null && r.id) && (async () => {
      const p = await m(r.id);
      d(p);
    })();
  }, [e, r == null ? void 0 : r.id]), c.useEffect(() => {
    console.log("tenantDetail", l);
  }, [l]);
  const u = () => {
    a();
  };
  return /* @__PURE__ */ c.createElement(ia, { open: e, onOpenChange: u }, /* @__PURE__ */ c.createElement(Ct, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ c.createElement(Rt, { className: "px-2" }, /* @__PURE__ */ c.createElement(Tt, null, "TENANT"), /* @__PURE__ */ c.createElement(Pt, null, `${n ? "Update a tenant" : "Create a tenant"}`)), n && (l == null ? void 0 : l.length) > 0 ? /* @__PURE__ */ c.createElement(_o, { supabase: i, onRefresh: t, setShowSideNav: o, isEdit: n, defaultValue: l[0] }) : n ? "Loading" : /* @__PURE__ */ c.createElement(_o, { setShowSideNav: o, onRefresh: t, isEdit: n, defaultValue: void 0, supabase: i })));
}
const gd = ({
  onRefresh: e,
  onCallDelete: t,
  oncallStatus: r,
  supabase: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ s.createElement(
      ye,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement(
      ye,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ze, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ze, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "country_code",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ze, { column: n, title: "" }),
    cell: ({ row: n }) => {
      console.log("Country Code:", n.getValue("country_code"));
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "phone",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ze, { column: n, title: "Phone" }),
    cell: ({ row: n }) => (
      // <div className="w-[125px]" style={{ width: '' }}>
      //   {(row.getValue("country_code") as string) +"-"+ (row.getValue("phone") as string)}
      // </div>
      /* @__PURE__ */ s.createElement("div", { className: "w-[125px]", style: { width: "" } }, (() => {
        let o = n.getValue("country_code"), i = n.getValue("phone");
        return `${o}${i}`;
      })())
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "default_user_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Default UserName" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = labels.find((label) => label.value === row.original.default_user_name)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("default_user_name")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(ze, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = Zm.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ s.createElement(o.icon, null), /* @__PURE__ */ s.createElement("span", null, o.value)) : null;
    }
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = R(!1), [l, d] = R(null), m = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), d(f), i(!0);
      }, u = () => {
        i(!1);
      }, p = (f) => {
        console.log("Tenant", f), r(f);
      }, g = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), t(f);
      };
      return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(Qm, { row: n, onEdit: m, onDelete: g, onStatus: p }), l && /* @__PURE__ */ s.createElement(ji, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: l, onClose: u, supabase: a }));
    }
  }
], Ft = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement("div", { className: "relative w-full overflow-auto" }, /* @__PURE__ */ c.createElement(
  "table",
  {
    ref: r,
    className: T("w-full caption-bottom text-sm", e),
    ...t
  }
)));
Ft.displayName = "Table";
const kt = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement("thead", { ref: r, className: T("[&_tr]:border-b", e), ...t }));
kt.displayName = "TableHeader";
const xe = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  "tbody",
  {
    ref: r,
    className: T("[&_tr:last-child]:border-0", e),
    ...t
  }
));
xe.displayName = "TableBody";
const hd = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  "tfoot",
  {
    ref: r,
    className: T(
      "border-t bg-muted/50 font-medium [&>tr]:last:border-b-0",
      e
    ),
    ...t
  }
));
hd.displayName = "TableFooter";
const Z = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  "tr",
  {
    ref: r,
    className: T(
      "border-b transition-colors hover:bg-muted/50 data-[state=selected]:bg-muted",
      e
    ),
    ...t
  }
));
Z.displayName = "TableRow";
const qt = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  "th",
  {
    ref: r,
    className: T(
      "h-12 px-4 text-left align-middle font-medium text-muted-foreground [&:has([role=checkbox])]:pr-0",
      e
    ),
    ...t
  }
));
qt.displayName = "TableHead";
const Q = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  "td",
  {
    ref: r,
    className: T("p-4 align-middle [&:has([role=checkbox])]:pr-0", e),
    ...t
  }
));
Q.displayName = "TableCell";
const Ed = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  "caption",
  {
    ref: r,
    className: T("mt-4 text-sm text-muted-foreground", e),
    ...t
  }
));
Ed.displayName = "TableCaption";
const wa = U.Root, va = U.Value, Mt = c.forwardRef(({ className: e, children: t, ...r }, a) => /* @__PURE__ */ c.createElement(
  U.Trigger,
  {
    ref: a,
    className: T(
      "flex h-10 w-full items-center justify-between rounded-md border border-input bg-background px-3 py-2 text-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",
      e
    ),
    ...r
  },
  t,
  /* @__PURE__ */ c.createElement(U.Icon, { asChild: !0 }, /* @__PURE__ */ c.createElement(Po, { className: "h-4 w-4 opacity-50" }))
));
Mt.displayName = U.Trigger.displayName;
const Bi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  U.ScrollUpButton,
  {
    ref: r,
    className: T(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...t
  },
  /* @__PURE__ */ c.createElement(xl, { className: "h-4 w-4" })
));
Bi.displayName = U.ScrollUpButton.displayName;
const Hi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  U.ScrollDownButton,
  {
    ref: r,
    className: T(
      "flex cursor-default items-center justify-center py-1",
      e
    ),
    ...t
  },
  /* @__PURE__ */ c.createElement(Po, { className: "h-4 w-4" })
));
Hi.displayName = U.ScrollDownButton.displayName;
const zt = c.forwardRef(({ className: e, children: t, position: r = "popper", ...a }, n) => /* @__PURE__ */ c.createElement(U.Portal, null, /* @__PURE__ */ c.createElement(
  U.Content,
  {
    ref: n,
    className: T(
      "relative z-50 max-h-96 min-w-[8rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      r === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
      e
    ),
    position: r,
    ...a
  },
  /* @__PURE__ */ c.createElement(Bi, null),
  /* @__PURE__ */ c.createElement(
    U.Viewport,
    {
      className: T(
        "p-1",
        r === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
      )
    },
    t
  ),
  /* @__PURE__ */ c.createElement(Hi, null)
)));
zt.displayName = U.Content.displayName;
const yd = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  U.Label,
  {
    ref: r,
    className: T("py-1.5 pl-8 pr-2 text-sm font-semibold", e),
    ...t
  }
));
yd.displayName = U.Label.displayName;
const jt = c.forwardRef(({ className: e, children: t, ...r }, a) => /* @__PURE__ */ c.createElement(
  U.Item,
  {
    ref: a,
    className: T(
      "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-8 pr-2 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      e
    ),
    ...r
  },
  /* @__PURE__ */ c.createElement("span", { className: "absolute left-2 flex h-3.5 w-3.5 items-center justify-center" }, /* @__PURE__ */ c.createElement(U.ItemIndicator, null, /* @__PURE__ */ c.createElement(Ln, { className: "h-4 w-4" }))),
  /* @__PURE__ */ c.createElement(U.ItemText, null, t)
));
jt.displayName = U.Item.displayName;
const wd = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  U.Separator,
  {
    ref: r,
    className: T("-mx-1 my-1 h-px bg-muted", e),
    ...t
  }
));
wd.displayName = U.Separator.displayName;
function vd({
  table: e,
  pageSizeArray: t
}) {
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ s.createElement(
    wa,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (r) => {
        e.setPageSize(Number(r));
      }
    },
    /* @__PURE__ */ s.createElement(Mt, { className: "h-8 w-[70px]" }, /* @__PURE__ */ s.createElement(va, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ s.createElement(zt, { side: "top" }, t.map((r) => /* @__PURE__ */ s.createElement(jt, { key: r, value: `${r}` }, r)))
  )), /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ s.createElement(qn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ s.createElement(Mn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ s.createElement(zn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ s.createElement(jn, { className: "h-4 w-4" })
  ))));
}
function bd({
  table: e
}) {
  return /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement($n, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ s.createElement(Bn, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ s.createElement(St, null, "Toggle columns"), /* @__PURE__ */ s.createElement(me, null), e.getAllColumns().filter(
    (t) => typeof t.accessorFn < "u" && t.getCanHide()
  ).map((t) => /* @__PURE__ */ s.createElement(
    Nt,
    {
      key: t.id,
      className: "capitalize",
      checked: t.getIsVisible(),
      onCheckedChange: (r) => t.toggleVisibility(!!r)
    },
    t.id
  ))));
}
function xd({
  table: e,
  onRefresh: t,
  supabase: r
}) {
  const [a, n] = R(""), [o, i] = R(!1), l = () => {
    i(!1);
  }, d = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, m = (p) => {
    p.target.value.trim() != "" ? (n(p.target.value), e.setGlobalFilter(p.target.value)) : (n(""), e.resetGlobalFilter());
  }, u = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("tt", e.getColumn("status")), /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ s.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    Ye,
    {
      placeholder: "Search...",
      value: a,
      onChange: m,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), d && /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      onClick: u,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ s.createElement(Hn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(bd, { table: e }), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ s.createElement(Un, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(ji, { onRefresh: t, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: l, supabase: r }));
}
function fe({
  className: e,
  ...t
}) {
  return /* @__PURE__ */ s.createElement(
    "div",
    {
      className: T("animate-pulse rounded-md bg-muted", e),
      ...t
    }
  );
}
function _d({
  columns: e,
  data: t,
  isLoading: r,
  onRefresh: a,
  errorMessage: n,
  message: o,
  supabase: i,
  dataLoader: l
}) {
  var S;
  const [d, m] = c.useState({}), [u, p] = c.useState({}), [g, f] = c.useState(
    []
  ), [h, y] = c.useState([]), x = [10, 20, 30, 50, 100], b = Wn({
    data: t,
    columns: e,
    state: {
      sorting: h,
      columnVisibility: u,
      rowSelection: d,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: m,
    onSortingChange: y,
    onColumnFiltersChange: f,
    onColumnVisibilityChange: p,
    getCoreRowModel: Gn(),
    getFilteredRowModel: Kn(),
    getPaginationRowModel: Jn(),
    getSortedRowModel: Zn(),
    getFacetedRowModel: Yn(),
    getFacetedUniqueValues: Xn(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ c.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ c.createElement(xd, { table: b, onRefresh: a, supabase: i }), /* @__PURE__ */ c.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ c.createElement(Ft, null, /* @__PURE__ */ c.createElement(kt, null, b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id }, E.headers.map((w) => /* @__PURE__ */ c.createElement(qt, { key: w.id, colSpan: w.colSpan }, w.isPlaceholder ? null : Pe(
    w.column.columnDef.header,
    w.getContext()
  )))))), n || l && t.length === 0 ? /* @__PURE__ */ c.createElement(xe, { style: { height: "100px" } }, /* @__PURE__ */ c.createElement(
    "p",
    {
      style: { textAlign: "center", marginLeft: "350px", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    o || "Data Not Found"
  )) : /* @__PURE__ */ c.createElement(xe, null, r ? /* @__PURE__ */ c.createElement(c.Fragment, null, b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id }, E.headers.map((w) => /* @__PURE__ */ c.createElement(
    Q,
    {
      key: w.id,
      colSpan: w.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  )))), b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id + "-2" }, E.headers.map((w) => /* @__PURE__ */ c.createElement(
    Q,
    {
      key: w.id + "-2",
      colSpan: w.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (S = b.getRowModel().rows) != null && S.length ? b.getRowModel().rows.map((E) => /* @__PURE__ */ c.createElement(
    Z,
    {
      key: E.id,
      "data-state": E.getIsSelected() && "selected"
    },
    E.getVisibleCells().map((w) => /* @__PURE__ */ c.createElement(Q, { key: w.id }, Pe(
      w.column.columnDef.cell,
      w.getContext()
    )))
  )) : /* @__PURE__ */ c.createElement(Z, null, /* @__PURE__ */ c.createElement(
    Q,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ c.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ c.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, b.getFilteredSelectedRowModel().rows.length, " of", " ", b.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ c.createElement(vd, { table: b, pageSizeArray: n ? [0] : x })));
}
const Nd = _.object({
  plan_id: _.string().optional(),
  plan_name: _.string().optional(),
  plan_validity: _.string().optional()
}), Sd = _.object({
  id: _.string().optional(),
  name: _.string().optional(),
  default_user_name: _.string().optional(),
  created_at: _.string().optional(),
  updated_at: _.string().optional(),
  created_by: _.string().optional(),
  modified_by: _.string().optional(),
  default_user_id: _.string().optional(),
  email: _.string().optional(),
  phone: _.string().optional(),
  status: _.string().optional(),
  country_code: _.string().optional(),
  subscription_details: Nd.optional()
});
function Nf({ supabase: e }) {
  const [t, r] = R([]), [a, n] = R(!1), [o, i] = R(!1), [l, d] = R(null), m = (w) => {
    console.log("done", w);
  }, u = (w) => {
    E(w.id, w.status);
  }, p = (w) => {
    console.log("done", w), S(w.id ?? "");
  }, g = async () => {
    n(!0);
    try {
      const w = await b();
      r(w);
    } catch (w) {
      console.error("Error refreshing data:", w);
    } finally {
      n(!1);
    }
  }, [f, h] = R(!1);
  G(() => {
    g(), h(!1);
  }, [f]);
  const [y, x] = R(!1), b = async () => {
    let { data: w, error: N } = await e.auth.tenantsList();
    return console.log(w, "datadatadata"), N ? (console.error("Error fetching tenants:", N.message), x(!1), i(!0), d(N.message), []) : (i(!1), d(null), x(!0), _.array(Sd).parse(w.tenant.tenants));
  }, S = async (w) => {
    let { data: N, error: C } = await e.auth.deleteTenant({
      id: w
    });
    C ? (console.error("Error fetching tenants:", C.message), q.error((C == null ? void 0 : C.message) ?? "Something went wrong")) : (g(), N != null && N.message && q.success(N.message));
  }, E = async (w, N) => {
    N === "Active" ? N = "Inactive" : N = "Active";
    let { data: C, error: P } = await e.auth.changeTenantStatus({ status: N, id: [w] });
    console.log(C, "datadatadata"), P ? (console.error("Error fetching tenants:", P.message), q.error((P == null ? void 0 : P.message) ?? "Something went wrong")) : (q.success("Successfully updated"), h(!0));
  };
  return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(
    Dn,
    {
      richColors: !0,
      position: "top-right",
      visibleToasts: 1,
      duration: 3e3
    }
  ), /* @__PURE__ */ s.createElement(
    _d,
    {
      columns: gd({ onEdit: m, onRefresh: g, onCallDelete: p, oncallStatus: u, supabase: e }),
      data: t,
      supabase: e,
      isLoading: a,
      errorMessage: o,
      onRefresh: g,
      message: l,
      dataLoader: y
    }
  ));
}
const Cd = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ s.createElement(Ce, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ s.createElement(Ce, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
];
function yn({
  column: e,
  title: t,
  className: r
}) {
  return e.getCanSort() ? /* @__PURE__ */ s.createElement("div", { className: T("flex items-center space-x-2", r) }, /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement(Le, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ s.createElement("span", null, t),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ s.createElement(Re, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ s.createElement(Te, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ s.createElement(Fn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ue, { align: "start" }, /* @__PURE__ */ s.createElement(H, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ s.createElement(Te, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ s.createElement(H, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ s.createElement(Re, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ s.createElement("div", { className: T(r) }, t);
}
const Ui = Y.Root, $i = Y.Trigger, Rd = Y.Portal, Wi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Y.Overlay,
  {
    className: T(
      "fixed inset-0 z-50 bg-black/80  data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
      e
    ),
    ...t,
    ref: r
  }
));
Wi.displayName = Y.Overlay.displayName;
const ba = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(Rd, null, /* @__PURE__ */ c.createElement(Wi, null), /* @__PURE__ */ c.createElement(
  Y.Content,
  {
    ref: r,
    className: T(
      "fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg translate-x-[-50%] translate-y-[-50%] gap-4 border bg-background p-6 shadow-lg duration-200 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%] data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%] sm:rounded-lg",
      e
    ),
    ...t
  }
)));
ba.displayName = Y.Content.displayName;
const xa = ({
  className: e,
  ...t
}) => /* @__PURE__ */ c.createElement(
  "div",
  {
    className: T(
      "flex flex-col space-y-2 text-center sm:text-left",
      e
    ),
    ...t
  }
);
xa.displayName = "AlertDialogHeader";
const _a = ({
  className: e,
  ...t
}) => /* @__PURE__ */ c.createElement(
  "div",
  {
    className: T(
      "flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2",
      e
    ),
    ...t
  }
);
_a.displayName = "AlertDialogFooter";
const Na = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Y.Title,
  {
    ref: r,
    className: T("text-lg font-semibold", e),
    ...t
  }
));
Na.displayName = Y.Title.displayName;
const Gi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Y.Description,
  {
    ref: r,
    className: T("text-sm text-muted-foreground", e),
    ...t
  }
));
Gi.displayName = Y.Description.displayName;
const $e = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Y.Action,
  {
    ref: r,
    className: T(oa(), e),
    ...t
  }
));
$e.displayName = Y.Action.displayName;
const Sa = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  Y.Cancel,
  {
    ref: r,
    className: T(
      oa({ variant: "outline" }),
      "mt-2 sm:mt-0",
      e
    ),
    ...t
  }
));
Sa.displayName = Y.Cancel.displayName;
function Td({
  row: e,
  onEdit: t,
  onDelete: r,
  onStatus: a
}) {
  const [n, o] = R("11111");
  G(() => {
    try {
      const l = localStorage.getItem("config");
      if (!l)
        throw new Error("Config string not found in localStorage.");
      const m = JSON.parse(l).roles || "";
      o(m);
    } catch (l) {
      console.error("Error retrieving or parsing config:", l);
    }
  }, []);
  const i = (l, d) => l.length > d && l[d] === "1";
  return /* @__PURE__ */ s.createElement(Ui, null, /* @__PURE__ */ s.createElement(ba, null, /* @__PURE__ */ s.createElement(xa, null, /* @__PURE__ */ s.createElement(Na, null, "Are you absolutely sure?"), /* @__PURE__ */ s.createElement(Gi, null, "This action cannot be undone. This will permanently delete the item.")), /* @__PURE__ */ s.createElement(_a, null, /* @__PURE__ */ s.createElement(Sa, null, "Cancel"), i(n, 2) ? /* @__PURE__ */ s.createElement($e, { onClick: () => r(e.original) }, "Delete") : /* @__PURE__ */ s.createElement($e, { disabled: !0 }, "Delete"))), /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement(Le, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ s.createElement(kn, { className: "h-4 w-4" }),
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[160px]" }, i(n, 1) ? /* @__PURE__ */ s.createElement(H, { onClick: () => t(e.original) }, "Edit") : /* @__PURE__ */ s.createElement(H, { disabled: !0 }, "Edit"), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement($i, { asChild: !0 }, i(n, 2) ? /* @__PURE__ */ s.createElement(H, null, "Delete") : /* @__PURE__ */ s.createElement(H, { disabled: !0 }, "Delete")), /* @__PURE__ */ s.createElement(me, null), i(n, 1) ? /* @__PURE__ */ s.createElement(H, { onClick: () => a(e.original) }, e.original.status === "Active" ? "Inactive" : "Active") : /* @__PURE__ */ s.createElement(H, { disabled: !0 }, e.original.status === "Active" ? "Inactive" : "Active"))));
}
const gt = _.object({
  id: _.string().default(""),
  name: _.string().default(""),
  type: _.string().default(""),
  description: _.string().default(""),
  status: _.string().default(""),
  access_level: _.record(_.string()).default({}),
  // Dynamic access_level
  is_default: _.boolean().default(!1),
  created_by: _.string().default(""),
  modified_by: _.string().default(""),
  tenant_id: _.string().default(""),
  created_at: _.string().default(""),
  updated_at: _.string().default(""),
  role_type: _.string().default("")
}), ht = c.forwardRef(
  ({ className: e, orientation: t = "horizontal", decorative: r = !0, ...a }, n) => /* @__PURE__ */ c.createElement(
    Do.Root,
    {
      ref: n,
      decorative: r,
      orientation: t,
      className: T(
        "shrink-0 bg-border",
        t === "horizontal" ? "h-[1px] w-full" : "h-full w-[1px]",
        e
      ),
      ...a
    }
  )
);
ht.displayName = Do.Root.displayName;
function No({ defaultValue: e, isEdit: t, setShowSideNav: r, onRefresh: a, supabase: n }) {
  const [o, i] = R(!1), [, l] = R(["SA", "A", "S"]), [d, m] = R({}), [u, p] = R([]), [g, f] = R({}), h = {
    id: (e == null ? void 0 : e.id) || "",
    name: (e == null ? void 0 : e.name) || "",
    type: (e == null ? void 0 : e.type) || "",
    description: (e == null ? void 0 : e.description) || "",
    access_level: (e == null ? void 0 : e.access_level) || {},
    status: (e == null ? void 0 : e.status) || "",
    is_default: (e == null ? void 0 : e.is_default) || !1,
    created_by: (e == null ? void 0 : e.created_by) || "00000000-0000-0000-0000-000000000000",
    modified_by: (e == null ? void 0 : e.modified_by) || "00000000-0000-0000-0000-000000000000",
    tenant_id: (e == null ? void 0 : e.tenant_id) || "00000000-0000-0000-0000-000000000000",
    created_at: (e == null ? void 0 : e.created_at) || /* @__PURE__ */ new Date(),
    updated_at: (e == null ? void 0 : e.updated_at) || /* @__PURE__ */ new Date(),
    permissionType: void 0
  }, y = _.object({
    name: _.string().min(1, "Name is required"),
    permissionType: _.object({}),
    access_level: _.record(_.string())
  }), x = _.object({
    name: _.string().min(5, "Name must be at least 5 characters long").min(1, "Name is required"),
    access_level: _.record(_.string())
  }), S = We({
    resolver: Ae(t === !0 ? x : y),
    defaultValues: h
  }), { setValue: E, watch: w, getValues: N } = S, C = N(), P = w();
  console.log("values", C), G(() => {
    if (console.log("permissionType", C.permissionType, P == null ? void 0 : P.permissionType), C != null && C.permissionType) {
      let I = P == null ? void 0 : P.permissionType;
      m(I);
    }
  }, [P.permissionType]), G(() => {
    const I = P.permissionType;
    if (console.log("mytype", P.permissionType), console.log("mytype", u), I && u.length > 0) {
      const A = u.filter((O) => typeof O == "object" && O !== null && "access_level" in O ? O.access_level === I : !1);
      console.log("mytype", A), A.length > 0 ? E("type", A[0].type || "") : E("type", "");
    } else
      E("type", "");
  }, [P.permissionType, u]), G(() => {
    E("access_level", d);
  }, [d]), console.log("permission", d), G(() => {
    async function I(A, O) {
      try {
        const { data: L, error: j } = await n.from("tenant").select("*");
        j ? console.error(`Error fetching data from ${A}:`, j.message) : O(L || []);
      } catch (L) {
        console.error(`Error fetching data from ${A}:`, L);
      }
    }
    I("roles", l);
  }, []), G(() => {
    async function I() {
      let { data: A, error: O } = await n.auth.rolesList();
      O ? (console.error("Error fetching tenants:", O.message), p([])) : (console.log("rolesList", _.array(gt).parse(A.role.roles)), p(_.array(gt).parse(A.role.roles)));
    }
    I();
  }, []), console.log("rolesList", u), G(() => {
    var I, A;
    if (t) {
      let O = e == null ? void 0 : e.access_level;
      m(O);
    } else {
      console.log("test", (I = u[0]) == null ? void 0 : I.access_level);
      let O = u && ((A = u[0]) == null ? void 0 : A.access_level);
      console.log("tempAcc", O);
    }
  }, [e, u]);
  async function D(I) {
    try {
      if (t) {
        i(!0), console.log("datas", C);
        const A = {
          ...I,
          id: C.id,
          description: C.description
        }, { error: O } = await n.auth.updateRole(A);
        O ? setTimeout(() => {
          q.error((O == null ? void 0 : O.message) ?? "Something went wrong"), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), S.reset(), q.success("Successfully updated");
        }, 2e3), a(), r(!1));
      } else {
        i(!0), console.log("datas", g);
        const A = {
          ...I,
          type: C.type,
          description: C.description,
          is_default: !0
        }, { error: O } = await n.auth.createRole(A);
        O ? setTimeout(() => {
          q.error((O == null ? void 0 : O.message) ?? "Something went wrong"), i(!1);
        }, 2e3) : (setTimeout(() => {
          i(!1), S.reset(), q.success("Successfully created");
        }, 2e3), a(), r(!1));
      }
    } catch (A) {
      console.error("Error fetching customers:", A);
    }
  }
  return /* @__PURE__ */ s.createElement("div", { style: { height: "80vh", overflowY: "auto" }, className: "px-2" }, " ", /* @__PURE__ */ s.createElement(pa, { ...S }, /* @__PURE__ */ s.createElement(ha, { onSubmit: S.handleSubmit(D), className: "space-y-8" }, /* @__PURE__ */ s.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ s.createElement("div", { style: { display: "grid", gap: "20px" } }, /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Name",
      name: "name",
      required: !0,
      type: "character varying",
      placeholder: "Enter Role name",
      form: S,
      maxLength: 25
    }
  ), /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Description",
      name: "description",
      type: "character varying",
      placeholder: "Enter Description",
      form: S,
      maxLength: 100
    }
  )), /* @__PURE__ */ s.createElement(ht, null), t === !1 ? /* @__PURE__ */ s.createElement(
    Ea,
    {
      label: "Role Type",
      placeholder: "Select Role",
      required: !0,
      name: "permissionType",
      options: u,
      form: S,
      displayLabel: "name",
      returnLabel: "access_level"
    }
  ) : null, /* @__PURE__ */ s.createElement("div", null, d && Object.entries(d).map(([I, A], O) => /* @__PURE__ */ s.createElement(s.Fragment, null, console.log("index", O, "Key:", I, "Value:", typeof A), O === 0 && /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-6 items-center" }, " ", /* @__PURE__ */ s.createElement("div", { className: "col-span-1" }), /* @__PURE__ */ s.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-5 gap-4" }, ["Read", "Write", "Delete", "Import", "Export"].map((L, j) => /* @__PURE__ */ s.createElement("div", { key: j, className: "px-3 py-2" }, /* @__PURE__ */ s.createElement("div", { className: "px-3 py-3 flex items-center gap-x-2 capitalize" }, L)))))), /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-6 items-center", key: I }, /* @__PURE__ */ s.createElement("div", { className: "col-span-1" }, /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-1 gap-1" }, /* @__PURE__ */ s.createElement("div", { className: "text-md cursor-pointer capitalize" }, I))), /* @__PURE__ */ s.createElement("div", { className: "col-span-5" }, /* @__PURE__ */ s.createElement("div", { className: "grid grid-cols-5 gap-4" }, [...A].map((L, j) => /* @__PURE__ */ s.createElement("div", { key: j, className: "px-3 py-2" }, /* @__PURE__ */ s.createElement("div", { className: "px-5 py-3 flex items-center gap-x-2" }, /* @__PURE__ */ s.createElement(
    ye,
    {
      id: `${I}-${j}`,
      name: `${I}-${j}`,
      checked: L === "1",
      onCheckedChange: (te) => {
        console.log("inside", te);
        const X = te ? "1" : "0", z = A.substring(0, j) + X + A.substring(j + 1);
        console.log("click", z);
        const k = { ...d, [I]: z };
        console.log("inside", te), m(k);
      }
    }
  )))))))))), /* @__PURE__ */ s.createElement(ht, null), /* @__PURE__ */ s.createElement(
    ya,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: t === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        const I = S.getValues("type");
        console.log("currentType", I), f({ ...h, type: I, name: "", description: "", permissionType: C.permissionType }), S.reset({ ...h, type: I, name: "", description: "", permissionType: C.permissionType });
      },
      loader: o
    }
  ))));
}
function Ki({ showSideNav: e, onRefresh: t, data: r, onClose: a, isEdit: n = !1, setShowSideNav: o, supabase: i }) {
  const [l, d] = c.useState([]);
  async function m(p) {
    const { data: g, error: f } = await i.auth.getRoleById({ id: p });
    return f ? (console.error("Error fetching tenant details:", f.message), []) : _.array(gt).parse([g.role]);
  }
  c.useEffect(() => {
    e && (r != null && r.id) && (async () => {
      const p = await m(r.id);
      d(p);
    })();
  }, [e, r == null ? void 0 : r.id]), c.useEffect(() => {
    console.log("tenantDetail", l);
  }, [l]);
  const u = () => {
    a();
  };
  return /* @__PURE__ */ c.createElement(ia, { open: e, onOpenChange: u }, /* @__PURE__ */ c.createElement(Ct, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ c.createElement(Rt, { className: "px-2" }, /* @__PURE__ */ c.createElement(Tt, null, "ROLE"), /* @__PURE__ */ c.createElement(Pt, null, `${n ? "Update a role" : "Create a new role"} `)), n && (l == null ? void 0 : l.length) > 0 ? /* @__PURE__ */ c.createElement(No, { supabase: i, onRefresh: t, setShowSideNav: o, isEdit: n, defaultValue: l[0] }) : n ? "Loading" : /* @__PURE__ */ c.createElement(No, { onRefresh: t, setShowSideNav: o, isEdit: n, defaultValue: void 0, supabase: i })));
}
const Pd = ({
  onRefresh: e,
  onCallDelete: t,
  onCallStatus: r,
  supabase: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ s.createElement(
      ye,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement(
      ye,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(yn, { column: n, title: "Name" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "" }, n.getValue("name")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "type",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(yn, { column: n, title: "Type" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("type")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "role_type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Privilege" />
  //   ),
  //   cell: ({ row }) => (
  //     <div className="w-[80px]">{row.getValue("role_type")}</div>
  //   ),
  //   enableSorting: false,
  //   enableHiding: false,
  // },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(yn, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = Cd.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ s.createElement(o.icon, null), /* @__PURE__ */ s.createElement("span", null, o.label)) : null;
    },
    filterFn: (n, o, i) => i.includes(n.getValue(o))
  },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = R(!1), [l, d] = R(null), m = (f) => {
        r(f);
      }, u = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), d(f), i(!0);
      }, p = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), t(f);
      }, g = () => {
        i(!1);
      };
      return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(Td, { row: n, onEdit: u, onDelete: p, onStatus: m }), l && o && /* @__PURE__ */ s.createElement(Ki, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: l, onClose: g, supabase: a }));
    }
  }
];
function Ad({
  table: e,
  pageSizeArray: t
}) {
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ s.createElement(
    wa,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (r) => {
        e.setPageSize(Number(r));
      }
    },
    /* @__PURE__ */ s.createElement(Mt, { className: "h-8 w-[70px]" }, /* @__PURE__ */ s.createElement(va, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ s.createElement(zt, { side: "top" }, t.map((r) => /* @__PURE__ */ s.createElement(jt, { key: r, value: `${r}` }, r)))
  )), /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ s.createElement(qn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ s.createElement(Mn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ s.createElement(zn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ s.createElement(jn, { className: "h-4 w-4" })
  ))));
}
function Id({
  table: e
}) {
  return /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement($n, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ s.createElement(Bn, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ s.createElement(St, null, "Toggle columns"), /* @__PURE__ */ s.createElement(me, null), e.getAllColumns().filter(
    (t) => typeof t.accessorFn < "u" && t.getCanHide()
  ).map((t) => /* @__PURE__ */ s.createElement(
    Nt,
    {
      key: t.id,
      className: "capitalize",
      checked: t.getIsVisible(),
      onCheckedChange: (r) => t.toggleVisibility(!!r)
    },
    t.id
  ))));
}
const Od = Et(
  "inline-flex items-center rounded-full border px-2.5 py-0.5 text-xs font-semibold transition-colors focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2",
  {
    variants: {
      variant: {
        default: "border-transparent bg-primary text-primary-foreground hover:bg-primary/80",
        secondary: "border-transparent bg-secondary text-secondary-foreground hover:bg-secondary/80",
        destructive: "border-transparent bg-destructive text-destructive-foreground hover:bg-destructive/80",
        outline: "text-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
);
function wn({ className: e, variant: t, ...r }) {
  return /* @__PURE__ */ c.createElement("div", { className: T(Od({ variant: t }), e), ...r });
}
const Ji = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  V,
  {
    ref: r,
    className: T(
      "flex h-full w-full flex-col overflow-hidden rounded-md bg-popover text-popover-foreground",
      e
    ),
    ...t
  }
));
Ji.displayName = V.displayName;
const Zi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement("div", { className: "flex items-center border-b px-3", "cmdk-input-wrapper": "" }, /* @__PURE__ */ c.createElement(_l, { className: "mr-2 h-4 w-4 shrink-0 opacity-50" }), /* @__PURE__ */ c.createElement(
  V.Input,
  {
    ref: r,
    className: T(
      "flex h-11 w-full rounded-md bg-transparent py-3 text-sm outline-none placeholder:text-muted-foreground disabled:cursor-not-allowed disabled:opacity-50",
      e
    ),
    ...t
  }
)));
Zi.displayName = V.Input.displayName;
const Yi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  V.List,
  {
    ref: r,
    className: T("max-h-[300px] overflow-y-auto overflow-x-hidden", e),
    ...t
  }
));
Yi.displayName = V.List.displayName;
const Xi = c.forwardRef((e, t) => /* @__PURE__ */ c.createElement(
  V.Empty,
  {
    ref: t,
    className: "py-6 text-center text-sm",
    ...e
  }
));
Xi.displayName = V.Empty.displayName;
const An = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  V.Group,
  {
    ref: r,
    className: T(
      "overflow-hidden p-1 text-foreground [&_[cmdk-group-heading]]:px-2 [&_[cmdk-group-heading]]:py-1.5 [&_[cmdk-group-heading]]:text-xs [&_[cmdk-group-heading]]:font-medium [&_[cmdk-group-heading]]:text-muted-foreground",
      e
    ),
    ...t
  }
));
An.displayName = V.Group.displayName;
const Vi = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  V.Separator,
  {
    ref: r,
    className: T("-mx-1 h-px bg-border", e),
    ...t
  }
));
Vi.displayName = V.Separator.displayName;
const In = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  V.Item,
  {
    ref: r,
    className: T(
      "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none aria-selected:bg-accent aria-selected:text-accent-foreground data-[disabled='true']:pointer-events-none data-[disabled='true']:opacity-50",
      e
    ),
    ...t
  }
));
In.displayName = V.Item.displayName;
const Dd = He.Root, Ld = He.Trigger, Qi = c.forwardRef(({ className: e, align: t = "center", sideOffset: r = 4, ...a }, n) => /* @__PURE__ */ c.createElement(He.Portal, null, /* @__PURE__ */ c.createElement(
  He.Content,
  {
    ref: n,
    align: t,
    sideOffset: r,
    className: T(
      "z-50 w-72 rounded-md border bg-popover p-4 text-popover-foreground shadow-md outline-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      e
    ),
    ...a
  }
)));
Qi.displayName = He.Content.displayName;
function Fd({
  column: e,
  title: t,
  options: r
}) {
  const a = e == null ? void 0 : e.getFacetedUniqueValues(), n = new Set(e == null ? void 0 : e.getFilterValue());
  return /* @__PURE__ */ c.createElement(Dd, null, /* @__PURE__ */ c.createElement(Ld, { asChild: !0 }, /* @__PURE__ */ c.createElement(M, { variant: "outline", size: "sm", className: "h-8 border-dashed" }, /* @__PURE__ */ c.createElement(Cl, { className: "mr-2 h-4 w-4" }), t, (n == null ? void 0 : n.size) > 0 && /* @__PURE__ */ c.createElement(c.Fragment, null, /* @__PURE__ */ c.createElement(ht, { orientation: "vertical", className: "mx-2 h-4" }), /* @__PURE__ */ c.createElement(
    wn,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal lg:hidden"
    },
    n.size
  ), /* @__PURE__ */ c.createElement("div", { className: "hidden space-x-1 lg:flex" }, n.size > 2 ? /* @__PURE__ */ c.createElement(
    wn,
    {
      variant: "secondary",
      className: "rounded-sm px-1 font-normal"
    },
    n.size,
    " selected"
  ) : r.filter((o) => n.has(o.value)).map((o) => /* @__PURE__ */ c.createElement(
    wn,
    {
      variant: "secondary",
      key: o.value,
      className: "rounded-sm px-1 font-normal"
    },
    o.label
  )))))), /* @__PURE__ */ c.createElement(Qi, { className: "w-[200px] p-0", align: "start" }, /* @__PURE__ */ c.createElement(Ji, null, /* @__PURE__ */ c.createElement(Zi, { placeholder: t }), /* @__PURE__ */ c.createElement(Yi, null, /* @__PURE__ */ c.createElement(Xi, null, "No results found."), /* @__PURE__ */ c.createElement(An, null, r.map((o) => {
    const i = n.has(o.value);
    return /* @__PURE__ */ c.createElement(
      In,
      {
        key: o.value,
        onSelect: () => {
          i ? n.delete(o.value) : n.add(o.value);
          const l = Array.from(n);
          e == null || e.setFilterValue(
            l.length ? l : void 0
          );
        }
      },
      /* @__PURE__ */ c.createElement(
        "div",
        {
          className: T(
            "mr-2 flex h-4 w-4 items-center justify-center rounded-sm border border-primary",
            i ? "bg-primary text-primary-foreground" : "opacity-50 [&_svg]:invisible"
          )
        },
        /* @__PURE__ */ c.createElement(Rl, { className: T("h-4 w-4") })
      ),
      o.icon && /* @__PURE__ */ c.createElement(o.icon, { className: "mr-2 h-4 w-4 text-muted-foreground" }),
      /* @__PURE__ */ c.createElement("span", null, o.label),
      (a == null ? void 0 : a.get(o.value)) && /* @__PURE__ */ c.createElement("span", { className: "ml-auto flex h-4 w-4 items-center justify-center font-mono text-xs" }, a.get(o.value))
    );
  })), n.size > 0 && /* @__PURE__ */ c.createElement(c.Fragment, null, /* @__PURE__ */ c.createElement(Vi, null), /* @__PURE__ */ c.createElement(An, null, /* @__PURE__ */ c.createElement(
    In,
    {
      onSelect: () => e == null ? void 0 : e.setFilterValue(void 0),
      className: "justify-center text-center"
    },
    "Clear filters"
  )))))));
}
function kd({
  table: e,
  onRefresh: t,
  supabase: r
}) {
  const [a, n] = R(""), [o, i] = R(!1), l = () => {
    i(!1);
  }, d = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, m = (g) => {
    g.target.value.trim() != "" ? (n(g.target.value), e.setGlobalFilter(g.target.value)) : (n(""), e.resetGlobalFilter());
  }, u = [
    {
      value: "Active",
      label: "Active"
    },
    {
      value: "Inactive",
      label: "Inactive"
    }
    // {
    //               value: "Blocked",
    //               label: "Blocked",
    //             },
    // {
    //               value: "Deactivated",
    //               label: "Deactivated",
    //             },
  ];
  console.log("table", e.getColumn("status"));
  const p = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ s.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    Ye,
    {
      placeholder: "Search...",
      value: a,
      onChange: m,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), e.getColumn("status") && /* @__PURE__ */ s.createElement(
    Fd,
    {
      column: e.getColumn("status"),
      title: "status",
      options: u
    }
  ), d && /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      onClick: p,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ s.createElement(Hn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(Id, { table: e }), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ s.createElement(Un, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(Ki, { onRefresh: t, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: l, supabase: r }));
}
function qd({
  columns: e,
  data: t,
  isLoading: r,
  onRefresh: a,
  errorMessage: n,
  message: o,
  supabase: i,
  dataLoader: l
}) {
  var S;
  const [d, m] = c.useState({}), [u, p] = c.useState({}), [g, f] = c.useState(
    []
  ), [h, y] = c.useState([]), x = [10, 20, 30, 50, 100], b = Wn({
    data: t,
    columns: e,
    state: {
      sorting: h,
      columnVisibility: u,
      rowSelection: d,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: m,
    onSortingChange: y,
    onColumnFiltersChange: f,
    onColumnVisibilityChange: p,
    getCoreRowModel: Gn(),
    getFilteredRowModel: Kn(),
    getPaginationRowModel: Jn(),
    getSortedRowModel: Zn(),
    getFacetedRowModel: Yn(),
    getFacetedUniqueValues: Xn(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ c.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ c.createElement(kd, { table: b, onRefresh: a, supabase: i }), /* @__PURE__ */ c.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ c.createElement(Ft, null, /* @__PURE__ */ c.createElement(kt, null, b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id }, E.headers.map((w) => /* @__PURE__ */ c.createElement(qt, { key: w.id, colSpan: w.colSpan }, w.isPlaceholder ? null : Pe(
    w.column.columnDef.header,
    w.getContext()
  )))))), n || l && t.length === 0 ? /* @__PURE__ */ c.createElement(xe, { style: { height: "100px" } }, /* @__PURE__ */ c.createElement(
    "p",
    {
      style: { position: "absolute", zIndex: "4", width: "90%", textAlign: "center", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    o || "Data Not Found"
  )) : /* @__PURE__ */ c.createElement(xe, null, r ? /* @__PURE__ */ c.createElement(c.Fragment, null, b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id }, E.headers.map((w) => /* @__PURE__ */ c.createElement(
    Q,
    {
      key: w.id,
      colSpan: w.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  )))), b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id + "-2" }, E.headers.map((w) => /* @__PURE__ */ c.createElement(
    Q,
    {
      key: w.id + "-2",
      colSpan: w.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (S = b.getRowModel().rows) != null && S.length ? b.getRowModel().rows.map((E) => /* @__PURE__ */ c.createElement(
    Z,
    {
      key: E.id,
      "data-state": E.getIsSelected() && "selected"
    },
    E.getVisibleCells().map((w) => /* @__PURE__ */ c.createElement(Q, { key: w.id }, Pe(
      w.column.columnDef.cell,
      w.getContext()
    )))
  )) : /* @__PURE__ */ c.createElement(Z, null, /* @__PURE__ */ c.createElement(
    Q,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ c.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ c.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, b.getFilteredSelectedRowModel().rows.length, " of", " ", b.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ c.createElement(
    Ad,
    {
      table: b,
      pageSizeArray: n ? [0] : x
    }
  )));
}
function Sf({ supabase: e }) {
  const [t, r] = R([]), [a, n] = R(!1), [o, i] = R(!1), [l, d] = R(null), m = (w) => {
    S(w.id, w.status);
  }, u = (w) => {
    console.log("done", w);
  }, p = (w) => {
    console.log("done", w), E(w.id);
  }, g = async () => {
    i(!0);
    try {
      const w = await b();
      r(w);
    } catch (w) {
      console.error("Error refreshing data:", w);
    } finally {
      i(!1);
    }
  }, [f, h] = R(!1);
  G(() => {
    g(), h(!1);
  }, [f]);
  const [y, x] = R(!1), b = async () => {
    let { data: w, error: N } = await e.auth.rolesList();
    return console.log("hiii2"), N ? (console.error("Error fetching tenants:", N.message), x(!1), n(!0), d(N.message), []) : (n(!1), d(null), x(!0), _.array(gt).parse(w.role.roles));
  }, S = async (w, N) => {
    N === "Active" ? N = "Inactive" : N = "Active";
    let { error: C } = await e.auth.changeRoleStatus({
      status: N,
      id: [w]
    });
    C ? (console.error("Error fetching tenants:", C.message), q.error((C == null ? void 0 : C.message) ?? "Something went wrong")) : (q.success("Successfully updated"), h(!0));
  }, E = async (w) => {
    let { error: N } = await e.auth.deleteRole({
      id: w,
      tenant_id: ""
    });
    N ? (console.error("Error fetching tenants:", N.message), q.error((N == null ? void 0 : N.message) ?? "Something went wrong")) : (q.success("Successfully deleted"), h(!0));
  };
  return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(
    Dn,
    {
      richColors: !0,
      position: "top-right",
      visibleToasts: 1,
      duration: 3e3
    }
  ), /* @__PURE__ */ s.createElement(
    qd,
    {
      columns: Pd({ onEdit: u, onRefresh: g, onCallDelete: p, onCallStatus: m, supabase: e }),
      data: t,
      supabase: e,
      errorMessage: a,
      isLoading: o,
      onRefresh: g,
      message: l,
      dataLoader: y
    }
  ));
}
const Md = [
  {
    value: "Active",
    label: "Active",
    icon: () => /* @__PURE__ */ s.createElement(Ce, { style: {
      color: "green",
      backgroundColor: "green",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the red color
  },
  {
    value: "Inactive",
    label: "Inactive",
    icon: () => /* @__PURE__ */ s.createElement(Ce, { style: {
      color: "red",
      backgroundColor: "red",
      marginRight: "3px",
      width: "6px",
      // Adjust size as needed
      height: "6px",
      // Adjust size as needed
      borderRadius: "50%"
      // Makes the icon circular
    } })
    // Apply the blue color
  }
];
function at({
  column: e,
  title: t,
  className: r
}) {
  return e.getCanSort() ? /* @__PURE__ */ s.createElement("div", { className: T("flex items-center space-x-2", r) }, /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement(Le, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      size: "sm",
      className: "-ml-3 h-8 data-[state=open]:bg-accent"
    },
    /* @__PURE__ */ s.createElement("span", null, t),
    e.getIsSorted() === "desc" ? /* @__PURE__ */ s.createElement(Re, { className: "ml-2 h-4 w-4" }) : e.getIsSorted() === "asc" ? /* @__PURE__ */ s.createElement(Te, { className: "ml-2 h-4 w-4" }) : /* @__PURE__ */ s.createElement(Fn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement(ue, { align: "start" }, /* @__PURE__ */ s.createElement(H, { onClick: () => e.toggleSorting(!1) }, /* @__PURE__ */ s.createElement(Te, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Asc"), /* @__PURE__ */ s.createElement(H, { onClick: () => e.toggleSorting(!0) }, /* @__PURE__ */ s.createElement(Re, { className: "mr-2 h-3.5 w-3.5 text-muted-foreground/70" }), "Desc")))) : /* @__PURE__ */ s.createElement("div", { className: "w-[165px]", style: {} }, t);
}
function zd({
  row: e,
  onEdit: t,
  onDelete: r,
  onStatus: a
}) {
  let n = "11111";
  try {
    const i = localStorage.getItem("config");
    if (!i)
      throw new Error("Config string not found in localStorage.");
    n = JSON.parse(i).users || "";
  } catch (i) {
    return console.error("Error retrieving or parsing config:", i), null;
  }
  const o = (i, l) => i.length > l && i[l] === "1";
  return /* @__PURE__ */ s.createElement(Ui, null, /* @__PURE__ */ s.createElement(ba, null, /* @__PURE__ */ s.createElement(xa, null, /* @__PURE__ */ s.createElement(Na, null, "Are you sure you want to delete?")), /* @__PURE__ */ s.createElement(_a, null, /* @__PURE__ */ s.createElement(Sa, null, "Cancel"), o(n, 2) ? /* @__PURE__ */ s.createElement($e, { onClick: () => r(e.original) }, "Delete") : /* @__PURE__ */ s.createElement($e, { disabled: !0 }, "Delete"))), /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement(Le, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      className: "flex h-8 w-8 p-0 data-[state=open]:bg-muted"
    },
    /* @__PURE__ */ s.createElement(kn, { className: "h-4 w-4" }),
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Open menu")
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[160px]" }, o(n, 1) ? /* @__PURE__ */ s.createElement(H, { onClick: () => t(e.original) }, "Edit") : /* @__PURE__ */ s.createElement(H, { disabled: !0 }, "Edit"), /* @__PURE__ */ s.createElement(me, null), /* @__PURE__ */ s.createElement($i, { asChild: !0 }, o(n, 2) ? /* @__PURE__ */ s.createElement(H, null, "Delete") : /* @__PURE__ */ s.createElement(H, { disabled: !0 }, "Delete")), /* @__PURE__ */ s.createElement(me, null), o(n, 1) ? /* @__PURE__ */ s.createElement(H, { onClick: () => a(e.original) }, e.original.status === "Active" ? "Inactive" : "Active") : /* @__PURE__ */ s.createElement(H, { disabled: !0 }, e.original.status === "Active" ? "Inactive" : "Active"))));
}
const el = _.object({
  id: _.any(),
  name: _.any(),
  aud: _.any(),
  phone: _.any(),
  role: _.any(),
  email: _.any(),
  password: _.any(),
  email_confirmed_at: _.any(),
  confirmed_at: _.any(),
  last_sign_in_at: _.any(),
  app_metadata: _.any(),
  user_metadata: _.any(),
  identities: _.any(),
  created_at: _.any(),
  updated_at: _.any(),
  is_anonymous: _.any(),
  tenant_id: _.any(),
  role_id: _.any(),
  role_type: _.any(),
  privilege_type: _.any(),
  role_name: _.any(),
  status: _.any()
}), tl = /^[^\s@]+@[^\s@]+\.[^\s@]+$/, jd = _.object({
  name: _.string().min(1, "Name is required"),
  email: _.string().min(1, { message: "Email is required" }).refine((e) => tl.test(e), { message: "Invalid email format" }),
  password: _.string().min(0, "Password is required").min(6, "Password must be at least 6 characters long"),
  role_id: _.string().min(1, "Role ID is required"),
  phone: _.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
}), Bd = _.object({
  name: _.string().min(1, "Name is required"),
  email: _.string().min(1, { message: "Email is required" }).refine((e) => tl.test(e), { message: "Invalid email format" }),
  role_id: _.string().min(1, "Role ID is required"),
  phone: _.string().min(1, "Phone number is required").min(10, "Invalid phone number")
  // user_metadata: 
});
function So({ defaultValue: e, isEdit: t, onReferesh: r, setShowSideNav: a, supabaseAuthAdmin: n }) {
  const [o, i] = R(!1), [l, d] = R([]), m = {
    id: (e == null ? void 0 : e.id) || "",
    email: (e == null ? void 0 : e.email) || "",
    password: (e == null ? void 0 : e.password) || "",
    phone: (e == null ? void 0 : e.phone) || "",
    role_id: (e == null ? void 0 : e.role_id) || "",
    name: (e == null ? void 0 : e.name) || ""
  }, u = We({
    resolver: Ae(t ? Bd : jd),
    defaultValues: m
  });
  console.log("defaultValues", m), G(() => {
    async function g(f, h) {
      try {
        const { data: y, error: x } = await n.auth.rolesList();
        x ? (console.error(`Error fetching data from ${f}:`, x.message), h([])) : h(y.role.roles);
      } catch (y) {
        console.error(`Error fetching data from ${f}:`, y);
      }
    }
    g("roles", d);
  }, []);
  async function p(g) {
    try {
      if (t) {
        i(!0);
        const f = u.getValues(), { password: h, name: y, ...x } = f, b = {
          ...x,
          user_metadata: {
            name: f.name
          }
        };
        let { error: S } = await n.auth.admin.updateUserById(b.id, b);
        S ? setTimeout(() => {
          q.error((S == null ? void 0 : S.message) ?? "Something went wrong"), i(!1);
        }, 2e3) : (r(), a(!1), setTimeout(() => {
          i(!1), u.reset(), q.success("Successfully updated");
        }, 2e3));
      } else {
        i(!0);
        const f = u.getValues(), { name: h, ...y } = f, x = {
          ...y,
          country_code: "+91",
          user_metadata: {
            name: f.name
          }
        };
        let { error: b } = await n.auth.admin.createUser(x);
        setTimeout(b ? () => {
          q.error((b == null ? void 0 : b.message) ?? "Something went wrong"), i(!1);
        } : () => {
          r(), i(!1), a(!1), u.reset(), q.success("Successfully created");
        }, 2e3);
      }
    } catch (f) {
      console.error("Error fetching customers:", f);
    }
  }
  return G(() => {
    l && l.length > 0 && console.log(l, "role_idData");
  }, [l]), /* @__PURE__ */ s.createElement(pa, { ...u }, /* @__PURE__ */ s.createElement(ha, { onSubmit: u.handleSubmit(p), className: "space-y-8" }, /* @__PURE__ */ s.createElement("div", { style: { fontWeight: "700", fontSize: "20px" } }), /* @__PURE__ */ s.createElement("div", { style: { display: "grid", gridTemplateColumns: "repeat(2, 1fr)", gap: "20px" } }, /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Name",
      name: "name",
      type: "text",
      placeholder: "Name",
      form: u,
      required: !0,
      maxLength: 25
    }
  ), /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Email",
      name: "email",
      type: "character varying",
      placeholder: "Email",
      form: u,
      required: !0
    }
  ), /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Phone Number",
      name: "phone",
      type: "number",
      placeholder: "Phone Number",
      form: u,
      required: !0,
      pattern: "[0-9]*",
      maxLength: 18
    }
  ), t ? "" : /* @__PURE__ */ s.createElement(
    de,
    {
      label: "Password",
      name: "password",
      type: "password",
      required: !0,
      placeholder: "Password",
      form: u,
      pattern: "Password"
    }
  ), /* @__PURE__ */ s.createElement(
    Ea,
    {
      label: "Role",
      placeholder: "Select Role",
      required: !0,
      name: "role_id",
      options: l,
      form: u,
      displayLabel: "name",
      returnLabel: "id"
    }
  )), /* @__PURE__ */ s.createElement(
    ya,
    {
      submitVariant: "default",
      clearVariant: "outline",
      submitlabel: "Submit",
      clearlabel: t === !1 ? "Clear" : void 0,
      submitType: "submit",
      clearAction: () => {
        console.log("form", u), u.reset({ ...m, email: "", phone: "" });
      },
      loader: o
    }
  )));
}
function rl({ showSideNav: e, onRefresh: t, data: r, onClose: a, isEdit: n = !1, setShowSideNav: o, supabaseAuthAdmin: i }) {
  const [l, d] = c.useState([]);
  async function m(p) {
    let { data: { user: g }, error: f } = await i.auth.admin.getUserById(p);
    return f ? (console.error("Error fetching tenant details:", f.message), []) : _.array(el).parse([g]);
  }
  c.useEffect(() => {
    console.error("USER ID", r == null ? void 0 : r.id), e && (r != null && r.id) && (async () => {
      const p = await m(r.id);
      d(p);
    })();
  }, [e, r == null ? void 0 : r.id]), c.useEffect(() => {
    console.log("tenantDetail", l);
  }, [l]);
  const u = () => {
    a();
  };
  return /* @__PURE__ */ c.createElement(ia, { open: e, onOpenChange: u }, /* @__PURE__ */ c.createElement(Ct, { className: "w-[800px]", style: {
    maxWidth: "100%"
  } }, /* @__PURE__ */ c.createElement(Rt, null, /* @__PURE__ */ c.createElement(Tt, null, "USER"), /* @__PURE__ */ c.createElement(Pt, null, `${n ? "Update a user" : "Create a new user"} `, n && (l == null ? void 0 : l.length) > 0 ? /* @__PURE__ */ c.createElement(So, { supabaseAuthAdmin: i, onReferesh: t, setShowSideNav: o, isEdit: n, defaultValue: l[0] }) : n ? "Loading" : /* @__PURE__ */ c.createElement(So, { supabaseAuthAdmin: i, onReferesh: t, setShowSideNav: o, isEdit: n, defaultValue: void 0 })))));
}
const Hd = ({
  onRefresh: e,
  onCallDelete: t,
  oncallStatus: r,
  supabaseAuthAdmin: a
}) => [
  {
    id: "select",
    header: ({ table: n }) => /* @__PURE__ */ s.createElement(
      ye,
      {
        checked: n.getIsAllPageRowsSelected() ? !0 : n.getIsSomePageRowsSelected() ? "indeterminate" : !1,
        onCheckedChange: (o) => n.toggleAllPageRowsSelected(!!o),
        "aria-label": "Select all",
        className: "translate-y-[2px]"
      }
    ),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement(
      ye,
      {
        checked: n.getIsSelected(),
        onCheckedChange: (o) => n.toggleSelected(!!o),
        "aria-label": "Select row",
        className: "translate-y-[2px]"
      }
    ),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(at, { column: n, title: "Name" }),
    cell: ({ row: n }) => {
      const o = n.getValue("name");
      return console.log("name:", n.getValue("name")), /* @__PURE__ */ s.createElement("div", { className: "w-[85px]" }, o);
    },
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "email",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(at, { column: n, title: "Email" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[80px]" }, n.getValue("email")),
    enableSorting: !1,
    enableHiding: !1
  },
  {
    accessorKey: "role_name",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(at, { column: n, title: "Role" }),
    cell: ({ row: n }) => /* @__PURE__ */ s.createElement("div", { className: "w-[85px]", style: {} }, n.getValue("role_name")),
    enableSorting: !1,
    enableHiding: !1
  },
  // {
  //   accessorKey: "privilege_type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Privilage" />
  //   ),
  //   cell: ({ row }) => <div className="w-[80px]">{row.getValue("privilege_type")}</div>,
  //   enableSorting: false,
  //   enableHiding: false,
  // },
  {
    accessorKey: "status",
    header: ({ column: n }) => /* @__PURE__ */ s.createElement(at, { column: n, title: "Status" }),
    cell: ({ row: n }) => {
      const o = Md.find(
        (i) => i.value === n.getValue("status")
      );
      return o ? /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center" }, o.icon && /* @__PURE__ */ s.createElement(o.icon, null), /* @__PURE__ */ s.createElement("span", null, o.label)) : null;
    }
  },
  // {
  //   accessorKey: "type",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Type" />
  //   ),
  //   cell: ({ row }) => {
  //     const label = roleType.find((label) => label.value === row.original.role_type)
  //     return (
  //       <div className="flex space-x-2">
  //         {label && <Badge variant="outline">{label.label}</Badge>}
  //         <span className="max-w-[500px] truncate font-medium">
  //           {row.getValue("type")}
  //         </span>
  //       </div>
  //     )
  //   },
  // },
  // {
  //   accessorKey: "status",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Status" />
  //   ),
  //   cell: ({ row }) => {
  //     const status = statusNew.find(
  //       (status) => status.value === row.getValue("status")
  //     )
  //     if (!status) {
  //       return null
  //     }
  //     return (
  //       <div className="flex w-[100px] items-center">
  //         {status.icon && (
  //           <status.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )}
  //         <span>{status.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  // {
  //   accessorKey: "plan_name",
  //   header: ({ column }) => (
  //     <DataTableColumnHeader column={column} title="Plan" />
  //   ),
  //   cell: ({ row }) => {
  //     const priority = planNames.find(
  //       (priority) => priority.value === row.getValue("plan_name")
  //     )
  //     if (!priority) {
  //       return null
  //     }
  //     return (
  //       <div className="flex items-center">
  //         {/* {priority.icon && (
  //           <priority.icon className="mr-2 h-4 w-4 text-muted-foreground" />
  //         )} */}
  //         <span>{priority.label}</span>
  //       </div>
  //     )
  //   },
  //   filterFn: (row, id, value) => {
  //     return value.includes(row.getValue(id))
  //   },
  // },
  {
    id: "actions",
    cell: ({ row: n }) => {
      const [o, i] = R(!1), [l, d] = R(null), m = (f) => {
        console.log("Tenant", f), r(f);
      }, u = (f) => {
        console.log("Edit clicked for:", f == null ? void 0 : f.id), d(f), i(!0);
      }, p = (f) => {
        console.log("Delete clicked for:", f == null ? void 0 : f.id), t(f);
      }, g = () => {
        i(!1);
      };
      return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(zd, { row: n, onEdit: u, onDelete: p, onStatus: m }), l && o && /* @__PURE__ */ s.createElement(rl, { setShowSideNav: i, onRefresh: e, isEdit: !0, showSideNav: o, data: l, onClose: g, supabaseAuthAdmin: a }));
    }
  }
];
function Ud({
  table: e,
  pageSizeArray: t
}) {
  return /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-6 lg:space-x-8" }, /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement("p", { className: "text-sm font-medium" }, "Rows per page"), /* @__PURE__ */ s.createElement(
    wa,
    {
      value: `${e.getState().pagination.pageSize}`,
      onValueChange: (r) => {
        e.setPageSize(Number(r));
      }
    },
    /* @__PURE__ */ s.createElement(Mt, { className: "h-8 w-[70px]" }, /* @__PURE__ */ s.createElement(va, { placeholder: e.getState().pagination.pageSize })),
    /* @__PURE__ */ s.createElement(zt, { side: "top" }, t.map((r) => /* @__PURE__ */ s.createElement(jt, { key: r, value: `${r}` }, r)))
  )), /* @__PURE__ */ s.createElement("div", { className: "flex w-[100px] items-center justify-center text-sm font-medium" }, "Page ", e.getState().pagination.pageIndex + 1, " of", " ", e.getPageCount()), /* @__PURE__ */ s.createElement("div", { className: "flex items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(0),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to first page"),
    /* @__PURE__ */ s.createElement(qn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.previousPage(),
      disabled: !e.getCanPreviousPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to previous page"),
    /* @__PURE__ */ s.createElement(Mn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "h-8 w-8 p-0",
      onClick: () => e.nextPage(),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to next page"),
    /* @__PURE__ */ s.createElement(zn, { className: "h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      className: "hidden h-8 w-8 p-0 lg:flex",
      onClick: () => e.setPageIndex(e.getPageCount() - 1),
      disabled: !e.getCanNextPage()
    },
    /* @__PURE__ */ s.createElement("span", { className: "sr-only" }, "Go to last page"),
    /* @__PURE__ */ s.createElement(jn, { className: "h-4 w-4" })
  ))));
}
function $d({
  table: e
}) {
  return /* @__PURE__ */ s.createElement(pe, null, /* @__PURE__ */ s.createElement($n, { asChild: !0 }, /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "outline",
      size: "sm",
      className: "ml-auto hidden h-8 lg:flex"
    },
    /* @__PURE__ */ s.createElement(Bn, { className: "mr-2 h-4 w-4" }),
    "View"
  )), /* @__PURE__ */ s.createElement(ue, { align: "end", className: "w-[150px]" }, /* @__PURE__ */ s.createElement(St, null, "Toggle columns"), /* @__PURE__ */ s.createElement(me, null), e.getAllColumns().filter(
    (t) => typeof t.accessorFn < "u" && t.getCanHide()
  ).map((t) => /* @__PURE__ */ s.createElement(
    Nt,
    {
      key: t.id,
      className: "capitalize",
      checked: t.getIsVisible(),
      onCheckedChange: (r) => t.toggleVisibility(!!r)
    },
    t.id
  ))));
}
function Wd({
  table: e,
  onRefresh: t,
  supabaseAuthAdmin: r
}) {
  const [a, n] = R(""), [o, i] = R(!1), l = () => {
    i(!1);
  }, d = e.getState().globalFilter != null || e.getState().columnFilters.length > 0, m = (p) => {
    p.target.value.trim() != "" ? (n(p.target.value), e.setGlobalFilter(p.target.value)) : (n(""), e.resetGlobalFilter());
  }, u = () => {
    n(""), e.resetGlobalFilter(), e.resetColumnFilters();
  };
  return console.log("table", e.getColumn("status")), /* @__PURE__ */ s.createElement("div", { className: "flex items-center justify-between" }, /* @__PURE__ */ s.createElement("div", { className: "flex flex-1 items-center space-x-2" }, /* @__PURE__ */ s.createElement(
    Ye,
    {
      placeholder: "Search...",
      value: a,
      onChange: m,
      className: "h-8 w-[150px] lg:w-[250px]"
    }
  ), d && /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "ghost",
      onClick: u,
      className: "h-8 px-2 lg:px-3"
    },
    "Reset",
    /* @__PURE__ */ s.createElement(Hn, { className: "ml-2 h-4 w-4" })
  )), /* @__PURE__ */ s.createElement($d, { table: e }), /* @__PURE__ */ s.createElement(
    M,
    {
      variant: "default",
      size: "sm",
      onClick: () => i(!0),
      className: "h-8 px-2 lg:px-3 ml-4"
    },
    "Add",
    /* @__PURE__ */ s.createElement(Un, { className: "ml-2 h-4 w-4" })
  ), /* @__PURE__ */ s.createElement(rl, { onRefresh: t, setShowSideNav: i, isEdit: !1, showSideNav: o, data: [], onClose: l, supabaseAuthAdmin: r }));
}
function Gd({
  columns: e,
  data: t,
  isLoading: r,
  onRefresh: a,
  supabaseAuthAdmin: n,
  errorMessage: o,
  message: i,
  dataLoader: l
}) {
  var S;
  const [d, m] = c.useState({}), [u, p] = c.useState({}), [g, f] = c.useState(
    []
  ), [h, y] = c.useState([]), x = [10, 20, 30, 50, 100], b = Wn({
    data: t,
    columns: e,
    state: {
      sorting: h,
      columnVisibility: u,
      rowSelection: d,
      columnFilters: g
    },
    initialState: { pagination: { pageSize: 10 } },
    enableRowSelection: !0,
    onRowSelectionChange: m,
    onSortingChange: y,
    onColumnFiltersChange: f,
    onColumnVisibilityChange: p,
    getCoreRowModel: Gn(),
    getFilteredRowModel: Kn(),
    getPaginationRowModel: Jn(),
    getSortedRowModel: Zn(),
    getFacetedRowModel: Yn(),
    getFacetedUniqueValues: Xn(),
    autoResetPageIndex: !0
  });
  return /* @__PURE__ */ c.createElement("div", { className: "space-y-4" }, /* @__PURE__ */ c.createElement(Wd, { table: b, onRefresh: a, supabaseAuthAdmin: n }), /* @__PURE__ */ c.createElement("div", { className: "rounded-md border" }, /* @__PURE__ */ c.createElement(Ft, null, /* @__PURE__ */ c.createElement(kt, null, b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id }, E.headers.map((w) => /* @__PURE__ */ c.createElement(qt, { key: w.id, colSpan: w.colSpan }, w.isPlaceholder ? null : Pe(
    w.column.columnDef.header,
    w.getContext()
  )))))), o || l && t.length === 0 ? /* @__PURE__ */ c.createElement(xe, { style: { height: "100px" } }, /* @__PURE__ */ c.createElement(
    "p",
    {
      style: { position: "absolute", zIndex: "4", width: "90%", textAlign: "center", fontWeight: "bold" },
      className: "h-8 px-2 lg:px-3 ml-4 mt-4"
    },
    i || "Data Not Found"
  )) : /* @__PURE__ */ c.createElement(xe, null, r ? /* @__PURE__ */ c.createElement(c.Fragment, null, b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id }, E.headers.map((w) => /* @__PURE__ */ c.createElement(
    Q,
    {
      key: w.id,
      colSpan: w.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  )))), b.getHeaderGroups().map((E) => /* @__PURE__ */ c.createElement(Z, { key: E.id + "-2" }, E.headers.map((w) => /* @__PURE__ */ c.createElement(
    Q,
    {
      key: w.id + "-2",
      colSpan: w.colSpan,
      className: "h-6"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  ))))) : (S = b.getRowModel().rows) != null && S.length ? b.getRowModel().rows.map((E) => /* @__PURE__ */ c.createElement(
    Z,
    {
      key: E.id,
      "data-state": E.getIsSelected() && "selected"
    },
    E.getVisibleCells().map((w) => /* @__PURE__ */ c.createElement(Q, { key: w.id }, Pe(
      w.column.columnDef.cell,
      w.getContext()
    )))
  )) : /* @__PURE__ */ c.createElement(Z, null, /* @__PURE__ */ c.createElement(
    Q,
    {
      colSpan: e.length,
      className: "h-24 text-center"
    },
    /* @__PURE__ */ c.createElement(fe, { className: "w-[100px] h-[20px] rounded-full" })
  ))))), /* @__PURE__ */ c.createElement("div", { className: "flex items-center justify-between px-2" }, /* @__PURE__ */ c.createElement("div", { className: "flex-1 text-sm text-muted-foreground" }, b.getFilteredSelectedRowModel().rows.length, " of", " ", b.getFilteredRowModel().rows.length, " row(s) selected."), /* @__PURE__ */ c.createElement(Ud, { table: b, pageSizeArray: o ? [0] : x })));
}
function Cf({ supabase: e, supabaseAuthAdmin: t }) {
  const [r, a] = R([]), [n, o] = R(!1), [i, l] = R(!1), [d, m] = R(null), u = (N) => {
    console.log("done", N);
  }, p = async () => {
    o(!0);
    try {
      const N = await x();
      a(N);
    } catch (N) {
      console.error("Error refreshing data:", N);
    } finally {
      o(!1);
    }
  }, [g, f] = R(!1);
  G(() => {
    p(), f(!1);
  }, [g]);
  const [h, y] = R(!1), x = async () => {
    let { data: { users: N }, error: C } = await t.auth.admin.listUsers();
    return console.log("tenants", N), C ? (console.error("Error fetching tenants:", C.message), l(!0), m(C.message), y(!1), []) : (l(!1), m(null), y(!0), _.array(el).parse(N));
  }, b = (N) => {
    console.log("done", N), S(N.id);
  }, S = async (N) => {
    let { error: C } = await e.auth.admin.deleteUser(N);
    C ? (console.error("Error fetching tenants:", C.message), q.success((C == null ? void 0 : C.message) ?? "Something went wrong.")) : (p(), console.log("toast list"), q.success("Successfully Deleted"), f(!0));
  }, E = (N) => {
    w(N.id, N.status);
  }, w = async (N, C) => {
    C === "Active" ? C = "Inactive" : C = "Active";
    let { data: P, error: D } = await e.auth.admin.changeUserStatus({ status: C, id: [N] });
    console.log(P, "datadatadata"), D ? (console.error("Error fetching tenants:", D.message), q.error((D == null ? void 0 : D.message) ?? "Something went wrong.")) : (p(), P != null && P.message ? q.success(P.message) : q.success("Successfully updated "));
  };
  return /* @__PURE__ */ s.createElement(s.Fragment, null, /* @__PURE__ */ s.createElement(
    Dn,
    {
      richColors: !0,
      position: "top-right",
      visibleToasts: 1,
      duration: 3e3
    }
  ), /* @__PURE__ */ s.createElement(
    Gd,
    {
      columns: Hd({ onEdit: u, onRefresh: p, onCallDelete: b, oncallStatus: E, supabaseAuthAdmin: t }),
      data: r,
      supabaseAuthAdmin: t,
      isLoading: n,
      onRefresh: p,
      errorMessage: i,
      message: d,
      dataLoader: h
    }
  ));
}
const Kd = ee.Provider, nl = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  ee.Viewport,
  {
    ref: r,
    className: T(
      "fixed top-0 z-[100] flex max-h-screen w-full flex-col-reverse p-4 sm:bottom-0 sm:right-0 sm:top-auto sm:flex-col md:max-w-[420px]",
      e
    ),
    ...t
  }
));
nl.displayName = ee.Viewport.displayName;
const Jd = Et(
  "group pointer-events-auto relative flex w-full items-center justify-between space-x-4 overflow-hidden rounded-md border p-6 pr-8 shadow-lg transition-all data-[swipe=cancel]:translate-x-0 data-[swipe=end]:translate-x-[var(--radix-toast-swipe-end-x)] data-[swipe=move]:translate-x-[var(--radix-toast-swipe-move-x)] data-[swipe=move]:transition-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[swipe=end]:animate-out data-[state=closed]:fade-out-80 data-[state=closed]:slide-out-to-right-full data-[state=open]:slide-in-from-top-full data-[state=open]:sm:slide-in-from-bottom-full",
  {
    variants: {
      variant: {
        default: "border bg-background text-foreground",
        destructive: "destructive group border-destructive bg-destructive text-destructive-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
), al = c.forwardRef(({ className: e, variant: t, ...r }, a) => /* @__PURE__ */ c.createElement(
  ee.Root,
  {
    ref: a,
    className: T(Jd({ variant: t }), e),
    ...r
  }
));
al.displayName = ee.Root.displayName;
const Zd = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  ee.Action,
  {
    ref: r,
    className: T(
      "inline-flex h-8 shrink-0 items-center justify-center rounded-md border bg-transparent px-3 text-sm font-medium ring-offset-background transition-colors hover:bg-secondary focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 group-[.destructive]:border-muted/40 group-[.destructive]:hover:border-destructive/30 group-[.destructive]:hover:bg-destructive group-[.destructive]:hover:text-destructive-foreground group-[.destructive]:focus:ring-destructive",
      e
    ),
    ...t
  }
));
Zd.displayName = ee.Action.displayName;
const sl = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  ee.Close,
  {
    ref: r,
    className: T(
      "absolute right-2 top-2 rounded-md p-1 text-foreground/50 opacity-0 transition-opacity hover:text-foreground focus:opacity-100 focus:outline-none focus:ring-2 group-hover:opacity-100 group-[.destructive]:text-red-300 group-[.destructive]:hover:text-red-50 group-[.destructive]:focus:ring-red-400 group-[.destructive]:focus:ring-offset-red-600",
      e
    ),
    "toast-close": "",
    ...t
  },
  /* @__PURE__ */ c.createElement(To, { className: "h-4 w-4" })
));
sl.displayName = ee.Close.displayName;
const ol = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  ee.Title,
  {
    ref: r,
    className: T("text-sm font-semibold", e),
    ...t
  }
));
ol.displayName = ee.Title.displayName;
const il = c.forwardRef(({ className: e, ...t }, r) => /* @__PURE__ */ c.createElement(
  ee.Description,
  {
    ref: r,
    className: T("text-sm opacity-90", e),
    ...t
  }
));
il.displayName = ee.Description.displayName;
const Yd = 1, Xd = 1e6;
let vn = 0;
function Vd() {
  return vn = (vn + 1) % Number.MAX_SAFE_INTEGER, vn.toString();
}
const bn = /* @__PURE__ */ new Map(), Co = (e) => {
  if (bn.has(e))
    return;
  const t = setTimeout(() => {
    bn.delete(e), Be({
      type: "REMOVE_TOAST",
      toastId: e
    });
  }, Xd);
  bn.set(e, t);
}, Qd = (e, t) => {
  switch (t.type) {
    case "ADD_TOAST":
      return {
        ...e,
        toasts: [t.toast, ...e.toasts].slice(0, Yd)
      };
    case "UPDATE_TOAST":
      return {
        ...e,
        toasts: e.toasts.map(
          (r) => r.id === t.toast.id ? { ...r, ...t.toast } : r
        )
      };
    case "DISMISS_TOAST": {
      const { toastId: r } = t;
      return r ? Co(r) : e.toasts.forEach((a) => {
        Co(a.id);
      }), {
        ...e,
        toasts: e.toasts.map(
          (a) => a.id === r || r === void 0 ? {
            ...a,
            open: !1
          } : a
        )
      };
    }
    case "REMOVE_TOAST":
      return t.toastId === void 0 ? {
        ...e,
        toasts: []
      } : {
        ...e,
        toasts: e.toasts.filter((r) => r.id !== t.toastId)
      };
  }
}, lt = [];
let ct = { toasts: [] };
function Be(e) {
  ct = Qd(ct, e), lt.forEach((t) => {
    t(ct);
  });
}
function ef({ ...e }) {
  const t = Vd(), r = (n) => Be({
    type: "UPDATE_TOAST",
    toast: { ...n, id: t }
  }), a = () => Be({ type: "DISMISS_TOAST", toastId: t });
  return Be({
    type: "ADD_TOAST",
    toast: {
      ...e,
      id: t,
      open: !0,
      onOpenChange: (n) => {
        n || a();
      }
    }
  }), {
    id: t,
    dismiss: a,
    update: r
  };
}
function tf() {
  const [e, t] = c.useState(ct);
  return c.useEffect(() => (lt.push(t), () => {
    const r = lt.indexOf(t);
    r > -1 && lt.splice(r, 1);
  }), [e]), {
    ...e,
    toast: ef,
    dismiss: (r) => Be({ type: "DISMISS_TOAST", toastId: r })
  };
}
function Rf() {
  const { toasts: e } = tf();
  return /* @__PURE__ */ s.createElement(Kd, null, e.map(function({ id: t, title: r, description: a, action: n, ...o }) {
    return /* @__PURE__ */ s.createElement(al, { key: t, ...o }, /* @__PURE__ */ s.createElement("div", { className: "grid gap-1" }, r && /* @__PURE__ */ s.createElement(ol, null, r), a && /* @__PURE__ */ s.createElement(il, null, a)), n, /* @__PURE__ */ s.createElement(sl, null));
  }), /* @__PURE__ */ s.createElement(nl, null));
}
export {
  ve as Anchor,
  Ke as Auth,
  _f as AutheticationPage,
  Ie as Button,
  le as Container,
  Fl as Divider,
  he as Input,
  Ee as Label,
  ce as Message,
  Rf as PasubotToaster,
  Sf as Role,
  Nf as Tenent,
  Cf as User
};
